package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.AmazonPay: ImageVector
    get() {
        if (_amazonPay != null) {
            return _amazonPay!!
        }
        _amazonPay = Builder(name = "AmazonPay", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.0f, 325.3f)
                curveToRelative(2.3f, -4.2f, 5.2f, -4.9f, 9.7f, -2.5f)
                curveToRelative(10.4f, 5.6f, 20.6f, 11.4f, 31.2f, 16.7f)
                arcToRelative(595.88f, 595.88f, 0.0f, false, false, 127.4f, 46.3f)
                arcToRelative(616.61f, 616.61f, 0.0f, false, false, 63.2f, 11.8f)
                arcToRelative(603.33f, 603.33f, 0.0f, false, false, 95.0f, 5.2f)
                curveToRelative(17.4f, -0.4f, 34.8f, -1.8f, 52.1f, -3.8f)
                arcToRelative(603.66f, 603.66f, 0.0f, false, false, 163.3f, -42.8f)
                curveToRelative(2.9f, -1.2f, 5.9f, -2.0f, 9.1f, -1.2f)
                curveToRelative(6.7f, 1.8f, 9.0f, 9.0f, 4.1f, 13.9f)
                arcToRelative(70.0f, 70.0f, 0.0f, false, true, -9.6f, 7.4f)
                curveToRelative(-30.7f, 21.1f, -64.2f, 36.4f, -99.6f, 47.9f)
                arcToRelative(473.31f, 473.31f, 0.0f, false, true, -75.1f, 17.6f)
                arcToRelative(431.0f, 431.0f, 0.0f, false, true, -53.2f, 4.8f)
                arcToRelative(21.3f, 21.3f, 0.0f, false, false, -2.5f, 0.3f)
                lineTo(308.0f, 446.9f)
                arcToRelative(21.3f, 21.3f, 0.0f, false, false, -2.5f, -0.3f)
                curveToRelative(-3.6f, -0.2f, -7.2f, -0.3f, -10.7f, -0.4f)
                arcToRelative(426.3f, 426.3f, 0.0f, false, true, -50.4f, -5.3f)
                arcTo(448.4f, 448.4f, 0.0f, false, true, 164.0f, 420.0f)
                arcToRelative(443.33f, 443.33f, 0.0f, false, true, -145.6f, -87.0f)
                curveToRelative(-1.8f, -1.6f, -3.0f, -3.8f, -4.4f, -5.7f)
                close()
                moveTo(172.0f, 65.1f)
                lineToRelative(-4.3f, 0.6f)
                arcToRelative(80.92f, 80.92f, 0.0f, false, false, -38.0f, 15.1f)
                curveToRelative(-2.4f, 1.7f, -4.6f, 3.5f, -7.1f, 5.4f)
                arcToRelative(4.29f, 4.29f, 0.0f, false, true, -0.4f, -1.4f)
                curveToRelative(-0.4f, -2.7f, -0.8f, -5.5f, -1.3f, -8.2f)
                curveToRelative(-0.7f, -4.6f, -3.0f, -6.6f, -7.6f, -6.6f)
                horizontalLineToRelative(-11.5f)
                curveToRelative(-6.9f, 0.0f, -8.2f, 1.3f, -8.2f, 8.2f)
                verticalLineToRelative(209.3f)
                curveToRelative(0.0f, 1.0f, 0.0f, 2.0f, 0.1f, 3.0f)
                curveToRelative(0.2f, 3.0f, 2.0f, 4.9f, 4.9f, 5.0f)
                curveToRelative(7.0f, 0.1f, 14.1f, 0.1f, 21.1f, 0.0f)
                curveToRelative(2.9f, 0.0f, 4.7f, -2.0f, 5.0f, -5.0f)
                curveToRelative(0.1f, -1.0f, 0.1f, -2.0f, 0.1f, -3.0f)
                verticalLineToRelative(-72.4f)
                curveToRelative(1.1f, 0.9f, 1.7f, 1.4f, 2.2f, 1.9f)
                curveToRelative(17.9f, 14.9f, 38.5f, 19.8f, 61.0f, 15.4f)
                curveToRelative(20.4f, -4.0f, 34.6f, -16.5f, 43.8f, -34.9f)
                curveToRelative(7.0f, -13.9f, 9.9f, -28.7f, 10.3f, -44.1f)
                curveToRelative(0.5f, -17.1f, -1.2f, -33.9f, -8.1f, -49.8f)
                curveToRelative(-8.5f, -19.6f, -22.6f, -32.5f, -43.9f, -36.9f)
                curveToRelative(-3.2f, -0.7f, -6.5f, -1.0f, -9.8f, -1.5f)
                curveToRelative(-2.8f, -0.1f, -5.5f, -0.1f, -8.3f, -0.1f)
                close()
                moveTo(124.6f, 107.0f)
                arcToRelative(3.48f, 3.48f, 0.0f, false, true, 1.7f, -3.3f)
                curveToRelative(13.7f, -9.5f, 28.8f, -14.5f, 45.6f, -13.2f)
                curveToRelative(14.9f, 1.1f, 27.1f, 8.4f, 33.5f, 25.9f)
                curveToRelative(3.9f, 10.7f, 4.9f, 21.8f, 4.9f, 33.0f)
                curveToRelative(0.0f, 10.4f, -0.8f, 20.6f, -4.0f, 30.6f)
                curveToRelative(-6.8f, 21.3f, -22.4f, 29.4f, -42.6f, 28.5f)
                curveToRelative(-14.0f, -0.6f, -26.2f, -6.0f, -37.4f, -13.9f)
                arcToRelative(3.57f, 3.57f, 0.0f, false, true, -1.7f, -3.3f)
                curveToRelative(0.1f, -14.1f, 0.0f, -28.1f, 0.0f, -42.2f)
                reflectiveCurveToRelative(0.1f, -28.0f, 0.0f, -42.1f)
                close()
                moveTo(330.3f, 65.1f)
                curveToRelative(-1.0f, 0.1f, -2.0f, 0.3f, -2.9f, 0.4f)
                arcToRelative(148.0f, 148.0f, 0.0f, false, false, -28.9f, 4.1f)
                curveToRelative(-6.1f, 1.6f, -12.0f, 3.8f, -17.9f, 5.8f)
                curveToRelative(-3.6f, 1.2f, -5.4f, 3.8f, -5.3f, 7.7f)
                curveToRelative(0.1f, 3.3f, -0.1f, 6.6f, 0.0f, 9.9f)
                curveToRelative(0.1f, 4.8f, 2.1f, 6.1f, 6.8f, 4.9f)
                curveToRelative(7.8f, -2.0f, 15.6f, -4.2f, 23.5f, -5.7f)
                curveToRelative(12.3f, -2.3f, 24.7f, -3.3f, 37.2f, -1.4f)
                curveToRelative(6.5f, 1.0f, 12.6f, 2.9f, 16.8f, 8.4f)
                curveToRelative(3.7f, 4.8f, 5.1f, 10.5f, 5.3f, 16.4f)
                curveToRelative(0.3f, 8.3f, 0.2f, 16.6f, 0.3f, 24.9f)
                arcToRelative(7.84f, 7.84f, 0.0f, false, true, -0.2f, 1.4f)
                curveToRelative(-0.5f, -0.1f, -0.9f, 0.0f, -1.3f, -0.1f)
                arcToRelative(180.56f, 180.56f, 0.0f, false, false, -32.0f, -4.9f)
                curveToRelative(-11.3f, -0.6f, -22.5f, 0.1f, -33.3f, 3.9f)
                curveToRelative(-12.9f, 4.5f, -23.3f, 12.3f, -29.4f, 24.9f)
                curveToRelative(-4.7f, 9.8f, -5.4f, 20.2f, -3.9f, 30.7f)
                curveToRelative(2.0f, 14.0f, 9.0f, 24.8f, 21.4f, 31.7f)
                curveToRelative(11.9f, 6.6f, 24.8f, 7.4f, 37.9f, 5.4f)
                curveToRelative(15.1f, -2.3f, 28.5f, -8.7f, 40.3f, -18.4f)
                arcToRelative(7.36f, 7.36f, 0.0f, false, true, 1.6f, -1.1f)
                curveToRelative(0.6f, 3.8f, 1.1f, 7.4f, 1.8f, 11.0f)
                curveToRelative(0.6f, 3.1f, 2.5f, 5.1f, 5.4f, 5.2f)
                curveToRelative(5.4f, 0.1f, 10.9f, 0.1f, 16.3f, 0.0f)
                arcToRelative(4.84f, 4.84f, 0.0f, false, false, 4.8f, -4.7f)
                arcToRelative(26.2f, 26.2f, 0.0f, false, false, 0.1f, -2.8f)
                verticalLineToRelative(-106.0f)
                arcToRelative(80.0f, 80.0f, 0.0f, false, false, -0.9f, -12.9f)
                curveToRelative(-1.9f, -12.9f, -7.4f, -23.5f, -19.0f, -30.4f)
                curveToRelative(-6.7f, -4.0f, -14.1f, -6.0f, -21.8f, -7.1f)
                curveToRelative(-3.6f, -0.5f, -7.2f, -0.8f, -10.8f, -1.3f)
                curveToRelative(-3.9f, 0.1f, -7.9f, 0.1f, -11.9f, 0.1f)
                close()
                moveTo(365.3f, 192.8f)
                arcToRelative(3.33f, 3.33f, 0.0f, false, true, -1.5f, 3.0f)
                curveToRelative(-11.2f, 8.1f, -23.5f, 13.5f, -37.4f, 14.9f)
                curveToRelative(-5.7f, 0.6f, -11.4f, 0.4f, -16.8f, -1.8f)
                arcToRelative(20.08f, 20.08f, 0.0f, false, true, -12.4f, -13.3f)
                arcToRelative(32.9f, 32.9f, 0.0f, false, true, -0.1f, -19.4f)
                curveToRelative(2.5f, -8.3f, 8.4f, -13.0f, 16.4f, -15.6f)
                arcToRelative(61.33f, 61.33f, 0.0f, false, true, 24.8f, -2.2f)
                curveToRelative(8.4f, 0.7f, 16.6f, 2.3f, 25.0f, 3.4f)
                curveToRelative(1.6f, 0.2f, 2.1f, 1.0f, 2.1f, 2.6f)
                curveToRelative(-0.1f, 4.8f, 0.0f, 9.5f, 0.0f, 14.3f)
                reflectiveCurveToRelative(-0.2f, 9.4f, -0.1f, 14.1f)
                close()
                moveTo(625.2f, 322.2f)
                curveToRelative(-1.0f, -5.0f, -4.8f, -6.9f, -9.1f, -8.3f)
                arcToRelative(88.42f, 88.42f, 0.0f, false, false, -21.0f, -3.9f)
                arcToRelative(147.32f, 147.32f, 0.0f, false, false, -39.2f, 1.9f)
                curveToRelative(-14.3f, 2.7f, -27.9f, 7.3f, -40.0f, 15.6f)
                arcToRelative(13.75f, 13.75f, 0.0f, false, false, -3.7f, 3.5f)
                arcToRelative(5.11f, 5.11f, 0.0f, false, false, -0.5f, 4.0f)
                curveToRelative(0.4f, 1.5f, 2.1f, 1.9f, 3.6f, 1.8f)
                arcToRelative(16.2f, 16.2f, 0.0f, false, false, 2.2f, -0.1f)
                curveToRelative(7.8f, -0.8f, 15.5f, -1.7f, 23.3f, -2.5f)
                curveToRelative(11.4f, -1.1f, 22.9f, -1.8f, 34.3f, -0.9f)
                arcToRelative(71.64f, 71.64f, 0.0f, false, true, 14.4f, 2.7f)
                curveToRelative(5.1f, 1.4f, 7.4f, 5.2f, 7.6f, 10.4f)
                curveToRelative(0.4f, 8.0f, -1.4f, 15.7f, -3.5f, 23.3f)
                curveToRelative(-4.1f, 15.4f, -10.0f, 30.3f, -15.8f, 45.1f)
                arcToRelative(17.6f, 17.6f, 0.0f, false, false, -1.0f, 3.0f)
                curveToRelative(-0.5f, 2.9f, 1.2f, 4.8f, 4.1f, 4.1f)
                arcToRelative(10.56f, 10.56f, 0.0f, false, false, 4.8f, -2.5f)
                arcToRelative(145.91f, 145.91f, 0.0f, false, false, 12.7f, -13.4f)
                curveToRelative(12.8f, -16.4f, 20.3f, -35.3f, 24.7f, -55.6f)
                curveToRelative(0.8f, -3.6f, 1.4f, -7.3f, 2.1f, -10.9f)
                verticalLineToRelative(-17.3f)
                close()
                moveTo(493.1f, 199.0f)
                quadToRelative(-19.35f, -53.55f, -38.7f, -107.2f)
                curveToRelative(-2.0f, -5.7f, -4.2f, -11.3f, -6.3f, -16.9f)
                curveToRelative(-1.1f, -2.9f, -3.2f, -4.8f, -6.4f, -4.8f)
                curveToRelative(-7.6f, -0.1f, -15.2f, -0.2f, -22.9f, -0.1f)
                curveToRelative(-2.5f, 0.0f, -3.7f, 2.0f, -3.2f, 4.5f)
                arcToRelative(43.1f, 43.1f, 0.0f, false, false, 1.9f, 6.1f)
                quadToRelative(29.4f, 72.75f, 59.1f, 145.5f)
                curveToRelative(1.7f, 4.1f, 2.1f, 7.6f, 0.2f, 11.8f)
                curveToRelative(-3.3f, 7.3f, -5.9f, 15.0f, -9.3f, 22.3f)
                curveToRelative(-3.0f, 6.5f, -8.0f, 11.4f, -15.2f, 13.3f)
                arcToRelative(42.13f, 42.13f, 0.0f, false, true, -15.4f, 1.1f)
                curveToRelative(-2.5f, -0.2f, -5.0f, -0.8f, -7.5f, -1.0f)
                curveToRelative(-3.4f, -0.2f, -5.1f, 1.3f, -5.2f, 4.8f)
                quadToRelative(-0.15f, 5.0f, 0.0f, 9.9f)
                curveToRelative(0.1f, 5.5f, 2.0f, 8.0f, 7.4f, 8.9f)
                arcToRelative(108.18f, 108.18f, 0.0f, false, false, 16.9f, 2.0f)
                curveToRelative(17.1f, 0.4f, 30.7f, -6.5f, 39.5f, -21.4f)
                arcToRelative(131.63f, 131.63f, 0.0f, false, false, 9.2f, -18.4f)
                quadToRelative(35.55f, -89.7f, 70.6f, -179.6f)
                arcToRelative(26.62f, 26.62f, 0.0f, false, false, 1.6f, -5.5f)
                curveToRelative(0.4f, -2.8f, -0.9f, -4.4f, -3.7f, -4.4f)
                curveToRelative(-6.6f, -0.1f, -13.3f, 0.0f, -19.9f, 0.0f)
                arcToRelative(7.54f, 7.54f, 0.0f, false, false, -7.7f, 5.2f)
                curveToRelative(-0.5f, 1.4f, -1.1f, 2.7f, -1.6f, 4.1f)
                lineToRelative(-34.8f, 100.0f)
                curveToRelative(-2.5f, 7.2f, -5.1f, 14.5f, -7.7f, 22.2f)
                curveToRelative(-0.4f, -1.1f, -0.6f, -1.7f, -0.9f, -2.4f)
                close()
            }
        }
        .build()
        return _amazonPay!!
    }

private var _amazonPay: ImageVector? = null
