package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Centos: ImageVector
    get() {
        if (_centos != null) {
            return _centos!!
        }
        _centos = Builder(name = "Centos", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(289.6f, 97.5f)
                lineToRelative(31.6f, 31.7f)
                lineToRelative(-76.3f, 76.5f)
                lineTo(244.9f, 97.5f)
                close()
                moveTo(127.2f, 129.2f)
                lineToRelative(76.3f, 76.5f)
                lineTo(203.5f, 97.5f)
                horizontalLineToRelative(-44.7f)
                close()
                moveTo(168.7f, 87.6f)
                horizontalLineToRelative(44.7f)
                verticalLineToRelative(127.9f)
                lineToRelative(10.8f, 10.8f)
                lineToRelative(10.8f, -10.8f)
                lineTo(235.0f, 87.6f)
                horizontalLineToRelative(44.7f)
                lineTo(224.2f, 32.0f)
                close()
                moveTo(194.9f, 255.7f)
                lineToRelative(-10.8f, -10.8f)
                lineTo(55.5f, 244.9f)
                verticalLineToRelative(-44.8f)
                lineTo(0.0f, 255.7f)
                lineToRelative(55.5f, 55.6f)
                verticalLineToRelative(-44.8f)
                horizontalLineToRelative(128.6f)
                lineToRelative(10.8f, -10.8f)
                close()
                moveTo(274.2f, 235.0f)
                horizontalLineToRelative(107.9f)
                verticalLineToRelative(-44.8f)
                lineToRelative(-31.6f, -31.7f)
                close()
                moveTo(447.5f, 255.7f)
                lineTo(392.0f, 200.1f)
                verticalLineToRelative(44.8f)
                lineTo(264.3f, 244.9f)
                lineToRelative(-10.8f, 10.8f)
                lineToRelative(10.8f, 10.8f)
                lineTo(392.0f, 266.5f)
                verticalLineToRelative(44.8f)
                lineToRelative(55.5f, -55.6f)
                close()
                moveTo(65.4f, 176.2f)
                lineToRelative(32.5f, -31.7f)
                lineToRelative(90.3f, 90.5f)
                horizontalLineToRelative(15.3f)
                verticalLineToRelative(-15.3f)
                lineToRelative(-90.3f, -90.5f)
                lineToRelative(31.6f, -31.7f)
                lineTo(65.4f, 97.5f)
                close()
                moveTo(382.1f, 97.5f)
                horizontalLineToRelative(-78.5f)
                lineToRelative(31.6f, 31.7f)
                lineToRelative(-90.3f, 90.5f)
                lineTo(244.9f, 235.0f)
                horizontalLineToRelative(15.3f)
                lineToRelative(90.3f, -90.5f)
                lineToRelative(31.6f, 31.7f)
                close()
                moveTo(203.5f, 413.9f)
                lineTo(203.5f, 305.8f)
                lineToRelative(-76.3f, 76.5f)
                lineToRelative(31.6f, 31.7f)
                horizontalLineToRelative(44.7f)
                close()
                moveTo(65.4f, 235.0f)
                horizontalLineToRelative(108.8f)
                lineToRelative(-76.3f, -76.5f)
                lineToRelative(-32.5f, 31.7f)
                close()
                moveTo(382.1f, 335.2f)
                lineToRelative(-31.6f, 31.7f)
                lineToRelative(-90.3f, -90.5f)
                horizontalLineToRelative(-15.3f)
                verticalLineToRelative(15.3f)
                lineToRelative(90.3f, 90.5f)
                lineToRelative(-31.6f, 31.7f)
                horizontalLineToRelative(78.5f)
                close()
                moveTo(382.1f, 276.4f)
                lineTo(274.2f, 276.4f)
                lineToRelative(76.3f, 76.5f)
                lineToRelative(31.6f, -31.7f)
                close()
                moveTo(321.2f, 382.2f)
                lineToRelative(-76.3f, -76.5f)
                verticalLineToRelative(108.1f)
                horizontalLineToRelative(44.7f)
                close()
                moveTo(97.9f, 352.9f)
                lineToRelative(76.3f, -76.5f)
                lineTo(65.4f, 276.4f)
                verticalLineToRelative(44.8f)
                close()
                moveTo(279.7f, 423.8f)
                lineTo(235.0f, 423.8f)
                lineTo(235.0f, 295.9f)
                lineToRelative(-10.8f, -10.8f)
                lineToRelative(-10.8f, 10.8f)
                verticalLineToRelative(127.9f)
                horizontalLineToRelative(-44.7f)
                lineToRelative(55.5f, 55.6f)
                close()
                moveTo(113.2f, 382.2f)
                lineToRelative(90.3f, -90.5f)
                verticalLineToRelative(-15.3f)
                horizontalLineToRelative(-15.3f)
                lineToRelative(-90.3f, 90.5f)
                lineToRelative(-32.5f, -31.7f)
                verticalLineToRelative(78.7f)
                horizontalLineToRelative(79.4f)
                close()
            }
        }
        .build()
        return _centos!!
    }

private var _centos: ImageVector? = null
