package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Fedora: ImageVector
    get() {
        if (_fedora != null) {
            return _fedora!!
        }
        _fedora = Builder(name = "Fedora", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(225.0f, 32.0f)
                curveTo(101.3f, 31.7f, 0.8f, 131.7f, 0.4f, 255.4f)
                lineTo(0.0f, 425.7f)
                arcToRelative(53.6f, 53.6f, 0.0f, false, false, 53.6f, 53.9f)
                lineToRelative(170.2f, 0.4f)
                curveToRelative(123.7f, 0.3f, 224.3f, -99.7f, 224.6f, -223.4f)
                reflectiveCurveTo(348.7f, 32.3f, 225.0f, 32.0f)
                close()
                moveTo(394.8f, 189.2f)
                lineTo(333.0f, 126.6f)
                curveToRelative(2.3f, -4.7f, 3.8f, -9.2f, 3.8f, -14.3f)
                verticalLineToRelative(-1.6f)
                lineToRelative(55.2f, 56.1f)
                arcToRelative(101.0f, 101.0f, 0.0f, false, true, 2.8f, 22.4f)
                close()
                moveTo(331.0f, 94.3f)
                arcToRelative(106.06f, 106.06f, 0.0f, false, true, 58.5f, 63.8f)
                lineToRelative(-54.3f, -54.6f)
                arcToRelative(26.48f, 26.48f, 0.0f, false, false, -4.2f, -9.2f)
                close()
                moveTo(118.1f, 247.2f)
                arcToRelative(49.66f, 49.66f, 0.0f, false, false, -7.7f, 11.4f)
                lineToRelative(-8.5f, -8.5f)
                arcToRelative(85.78f, 85.78f, 0.0f, false, true, 16.2f, -2.9f)
                close()
                moveTo(97.0f, 251.4f)
                lineToRelative(11.8f, 11.9f)
                lineToRelative(-0.9f, 8.0f)
                arcToRelative(34.74f, 34.74f, 0.0f, false, false, 2.4f, 12.5f)
                lineToRelative(-27.0f, -27.2f)
                arcToRelative(80.6f, 80.6f, 0.0f, false, true, 13.7f, -5.2f)
                close()
                moveTo(78.8f, 258.8f)
                lineToRelative(38.2f, 38.4f)
                arcToRelative(53.17f, 53.17f, 0.0f, false, false, -14.1f, 4.7f)
                lineTo(67.6f, 266.0f)
                arcToRelative(107.0f, 107.0f, 0.0f, false, true, 11.2f, -7.2f)
                close()
                moveTo(63.6f, 268.6f)
                lineToRelative(35.3f, 35.5f)
                arcToRelative(67.25f, 67.25f, 0.0f, false, false, -10.5f, 8.5f)
                lineTo(53.5f, 278.0f)
                arcToRelative(64.33f, 64.33f, 0.0f, false, true, 10.1f, -9.4f)
                close()
                moveTo(50.3f, 280.9f)
                lineToRelative(34.9f, 35.0f)
                arcToRelative(56.84f, 56.84f, 0.0f, false, false, -7.7f, 11.4f)
                lineToRelative(-35.8f, -35.9f)
                curveToRelative(2.8f, -3.8f, 5.7f, -7.2f, 8.6f, -10.5f)
                close()
                moveTo(39.3f, 295.2f)
                lineToRelative(36.4f, 36.6f)
                arcToRelative(48.29f, 48.29f, 0.0f, false, false, -3.6f, 15.2f)
                lineToRelative(-39.5f, -39.8f)
                arcToRelative(99.81f, 99.81f, 0.0f, false, true, 6.7f, -12.0f)
                close()
                moveTo(30.5f, 311.5f)
                lineToRelative(41.3f, 41.8f)
                arcToRelative(63.47f, 63.47f, 0.0f, false, false, 6.7f, 26.2f)
                lineTo(25.8f, 326.0f)
                curveToRelative(1.4f, -4.9f, 2.9f, -9.6f, 4.7f, -14.5f)
                close()
                moveTo(22.6f, 354.5f)
                lineToRelative(61.9f, 62.2f)
                arcToRelative(31.24f, 31.24f, 0.0f, false, false, -3.6f, 14.3f)
                verticalLineToRelative(1.1f)
                lineToRelative(-55.4f, -55.7f)
                arcToRelative(88.27f, 88.27f, 0.0f, false, true, -2.9f, -21.9f)
                close()
                moveTo(27.9f, 385.2f)
                lineToRelative(54.3f, 54.6f)
                arcToRelative(28.44f, 28.44f, 0.0f, false, false, 4.2f, 9.2f)
                arcToRelative(106.32f, 106.32f, 0.0f, false, true, -58.5f, -63.8f)
                close()
                moveTo(22.6f, 348.2f)
                arcToRelative(80.69f, 80.69f, 0.0f, false, true, 2.1f, -17.0f)
                lineToRelative(72.2f, 72.5f)
                arcToRelative(37.59f, 37.59f, 0.0f, false, false, -9.9f, 8.7f)
                close()
                moveTo(275.9f, 296.4f)
                lineToRelative(-42.6f, -0.1f)
                lineToRelative(-0.1f, 56.0f)
                curveToRelative(-0.2f, 69.3f, -64.4f, 115.8f, -125.7f, 102.9f)
                curveToRelative(-5.7f, 0.0f, -19.9f, -8.7f, -19.9f, -24.2f)
                arcToRelative(24.89f, 24.89f, 0.0f, false, true, 24.5f, -24.6f)
                curveToRelative(6.3f, 0.0f, 6.3f, 1.6f, 15.7f, 1.6f)
                arcToRelative(55.91f, 55.91f, 0.0f, false, false, 56.1f, -55.9f)
                lineToRelative(0.1f, -47.0f)
                curveToRelative(0.0f, -4.5f, -4.5f, -9.0f, -8.9f, -9.0f)
                lineToRelative(-33.6f, -0.1f)
                curveToRelative(-32.6f, -0.1f, -32.5f, -49.4f, 0.1f, -49.3f)
                lineToRelative(42.6f, 0.1f)
                lineToRelative(0.1f, -56.0f)
                arcToRelative(105.18f, 105.18f, 0.0f, false, true, 105.6f, -105.0f)
                arcToRelative(86.35f, 86.35f, 0.0f, false, true, 20.2f, 2.3f)
                curveToRelative(11.2f, 1.8f, 19.9f, 11.9f, 19.9f, 24.0f)
                curveToRelative(0.0f, 15.5f, -14.9f, 27.8f, -30.3f, 23.9f)
                curveToRelative(-27.4f, -5.9f, -65.9f, 14.4f, -66.0f, 54.9f)
                lineToRelative(-0.1f, 47.0f)
                arcToRelative(8.94f, 8.94f, 0.0f, false, false, 8.9f, 9.0f)
                lineToRelative(33.6f, 0.1f)
                curveToRelative(32.5f, 0.2f, 32.4f, 49.5f, -0.2f, 49.4f)
                close()
                moveTo(299.4f, 296.1f)
                arcToRelative(35.58f, 35.58f, 0.0f, false, false, 7.6f, -11.4f)
                lineToRelative(8.5f, 8.5f)
                arcToRelative(102.0f, 102.0f, 0.0f, false, true, -16.1f, 2.9f)
                close()
                moveTo(320.4f, 291.9f)
                lineTo(308.6f, 280.0f)
                lineToRelative(0.9f, -8.1f)
                arcToRelative(34.74f, 34.74f, 0.0f, false, false, -2.4f, -12.5f)
                lineToRelative(27.0f, 27.2f)
                arcToRelative(74.89f, 74.89f, 0.0f, false, true, -13.7f, 5.3f)
                close()
                moveTo(338.4f, 284.5f)
                lineToRelative(-38.0f, -38.4f)
                curveToRelative(4.9f, -1.1f, 9.6f, -2.4f, 13.7f, -4.7f)
                lineToRelative(36.2f, 35.9f)
                curveToRelative(-3.8f, 2.5f, -7.9f, 5.0f, -11.9f, 7.2f)
                close()
                moveTo(353.9f, 274.7f)
                lineToRelative(-35.3f, -35.5f)
                arcToRelative(61.06f, 61.06f, 0.0f, false, false, 10.5f, -8.5f)
                lineToRelative(34.9f, 35.0f)
                arcToRelative(124.56f, 124.56f, 0.0f, false, true, -10.1f, 9.0f)
                close()
                moveTo(367.1f, 262.4f)
                lineToRelative(-34.9f, -35.0f)
                arcToRelative(63.18f, 63.18f, 0.0f, false, false, 7.7f, -11.4f)
                lineToRelative(35.8f, 35.9f)
                arcToRelative(130.28f, 130.28f, 0.0f, false, true, -8.6f, 10.5f)
                close()
                moveTo(378.1f, 248.1f)
                lineToRelative(-36.4f, -36.6f)
                arcToRelative(48.29f, 48.29f, 0.0f, false, false, 3.6f, -15.2f)
                lineToRelative(39.5f, 39.8f)
                arcToRelative(87.72f, 87.72f, 0.0f, false, true, -6.7f, 12.0f)
                close()
                moveTo(391.6f, 217.2f)
                arcToRelative(140.63f, 140.63f, 0.0f, false, true, -4.7f, 14.3f)
                lineTo(345.6f, 190.0f)
                arcToRelative(58.19f, 58.19f, 0.0f, false, false, -7.1f, -26.2f)
                close()
                moveTo(392.6f, 211.6f)
                lineToRelative(-71.9f, -72.1f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, false, 9.9f, -9.2f)
                lineToRelative(64.3f, 64.7f)
                arcToRelative(90.93f, 90.93f, 0.0f, false, true, -2.3f, 16.6f)
                close()
            }
        }
        .build()
        return _fedora!!
    }

private var _fedora: ImageVector? = null
