package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.FirefoxBrowser: ImageVector
    get() {
        if (_firefoxBrowser != null) {
            return _firefoxBrowser!!
        }
        _firefoxBrowser = Builder(name = "FirefoxBrowser", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(189.37f, 152.86f)
                close()
                moveTo(130.63f, 123.49f)
                curveTo(130.79f, 123.5f, 130.71f, 123.5f, 130.63f, 123.49f)
                close()
                moveTo(482.05f, 168.84f)
                curveToRelative(-10.61f, -25.5f, -32.08f, -53.0f, -48.94f, -61.73f)
                curveToRelative(13.72f, 26.89f, 21.67f, 53.88f, 24.7f, 74.0f)
                curveToRelative(0.0f, 0.0f, 0.0f, 0.14f, 0.05f, 0.41f)
                curveToRelative(-27.58f, -68.75f, -74.35f, -96.47f, -112.55f, -156.83f)
                curveToRelative(-1.93f, -3.05f, -3.86f, -6.11f, -5.74f, -9.33f)
                curveToRelative(-1.0f, -1.65f, -1.86f, -3.34f, -2.69f, -5.05f)
                arcTo(44.88f, 44.88f, 0.0f, false, true, 333.24f, 0.69f)
                arcToRelative(0.63f, 0.63f, 0.0f, false, false, -0.55f, -0.66f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, false, -0.46f, 0.0f)
                lineToRelative(-0.12f, 0.07f)
                lineToRelative(-0.18f, 0.1f)
                lineToRelative(0.1f, -0.14f)
                curveToRelative(-54.23f, 31.77f, -76.72f, 87.38f, -82.5f, 122.78f)
                arcToRelative(130.0f, 130.0f, 0.0f, false, false, -48.33f, 12.33f)
                arcToRelative(6.25f, 6.25f, 0.0f, false, false, -3.09f, 7.75f)
                arcToRelative(6.13f, 6.13f, 0.0f, false, false, 7.79f, 3.79f)
                lineToRelative(0.52f, -0.21f)
                arcToRelative(117.84f, 117.84f, 0.0f, false, true, 42.11f, -11.0f)
                lineToRelative(1.42f, -0.1f)
                curveToRelative(2.0f, -0.12f, 4.0f, -0.2f, 6.0f, -0.22f)
                arcTo(122.61f, 122.61f, 0.0f, false, true, 291.0f, 140.0f)
                curveToRelative(0.67f, 0.2f, 1.32f, 0.42f, 2.0f, 0.63f)
                curveToRelative(1.89f, 0.57f, 3.76f, 1.2f, 5.62f, 1.87f)
                curveToRelative(1.36f, 0.5f, 2.71f, 1.0f, 4.05f, 1.58f)
                curveToRelative(1.09f, 0.44f, 2.18f, 0.88f, 3.25f, 1.35f)
                quadToRelative(2.52f, 1.13f, 5.0f, 2.35f)
                curveToRelative(0.75f, 0.37f, 1.5f, 0.74f, 2.25f, 1.13f)
                quadToRelative(2.4f, 1.26f, 4.74f, 2.63f)
                quadToRelative(1.51f, 0.87f, 3.0f, 1.8f)
                arcToRelative(124.89f, 124.89f, 0.0f, false, true, 42.66f, 44.13f)
                curveToRelative(-13.0f, -9.15f, -36.35f, -18.19f, -58.82f, -14.28f)
                curveToRelative(87.74f, 43.86f, 64.18f, 194.9f, -57.39f, 189.2f)
                arcToRelative(108.43f, 108.43f, 0.0f, false, true, -31.74f, -6.12f)
                curveToRelative(-2.42f, -0.91f, -4.8f, -1.89f, -7.16f, -2.93f)
                curveToRelative(-1.38f, -0.63f, -2.76f, -1.27f, -4.12f, -2.0f)
                curveTo(174.5f, 346.0f, 149.9f, 316.92f, 146.83f, 281.59f)
                curveToRelative(0.0f, 0.0f, 11.25f, -41.95f, 80.62f, -41.95f)
                curveToRelative(7.5f, 0.0f, 28.93f, -20.92f, 29.33f, -27.0f)
                curveToRelative(-0.09f, -2.0f, -42.54f, -18.87f, -59.09f, -35.18f)
                curveToRelative(-8.85f, -8.71f, -13.05f, -12.91f, -16.77f, -16.06f)
                arcToRelative(69.58f, 69.58f, 0.0f, false, false, -6.31f, -4.77f)
                arcTo(113.05f, 113.05f, 0.0f, false, true, 173.92f, 97.0f)
                curveToRelative(-25.06f, 11.41f, -44.55f, 29.45f, -58.71f, 45.37f)
                horizontalLineToRelative(-0.12f)
                curveToRelative(-9.67f, -12.25f, -9.0f, -52.65f, -8.43f, -61.08f)
                curveToRelative(-0.12f, -0.53f, -7.22f, 3.68f, -8.15f, 4.31f)
                arcToRelative(178.54f, 178.54f, 0.0f, false, false, -23.84f, 20.43f)
                arcTo(214.0f, 214.0f, 0.0f, false, false, 51.9f, 133.36f)
                lineToRelative(0.0f, 0.0f)
                arcToRelative(0.08f, 0.08f, 0.0f, false, true, 0.0f, 0.0f)
                arcToRelative(205.84f, 205.84f, 0.0f, false, false, -32.73f, 73.9f)
                curveToRelative(-0.06f, 0.27f, -2.33f, 10.21f, -4.0f, 22.48f)
                quadToRelative(-0.42f, 2.87f, -0.78f, 5.74f)
                curveToRelative(-0.57f, 3.69f, -1.0f, 7.71f, -1.44f, 14.0f)
                curveToRelative(0.0f, 0.24f, 0.0f, 0.48f, -0.05f, 0.72f)
                curveToRelative(-0.18f, 2.71f, -0.34f, 5.41f, -0.49f, 8.12f)
                curveToRelative(0.0f, 0.41f, 0.0f, 0.82f, 0.0f, 1.24f)
                curveToRelative(0.0f, 134.7f, 109.21f, 243.89f, 243.92f, 243.89f)
                curveToRelative(120.64f, 0.0f, 220.82f, -87.58f, 240.43f, -202.62f)
                curveToRelative(0.41f, -3.12f, 0.74f, -6.26f, 1.11f, -9.41f)
                curveToRelative(4.85f, -41.83f, -0.54f, -85.79f, -15.82f, -122.55f)
                close()
            }
        }
        .build()
        return _firefoxBrowser!!
    }

private var _firefoxBrowser: ImageVector? = null
