package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Jenkins: ImageVector
    get() {
        if (_jenkins != null) {
            return _jenkins!!
        }
        _jenkins = Builder(name = "Jenkins", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(487.1f, 425.0f)
                curveToRelative(-1.4f, -11.2f, -19.0f, -23.1f, -28.2f, -31.9f)
                curveToRelative(-5.1f, -5.0f, -29.0f, -23.1f, -30.4f, -29.9f)
                curveToRelative(-1.4f, -6.6f, 9.7f, -21.5f, 13.3f, -28.9f)
                curveToRelative(5.1f, -10.7f, 8.8f, -23.7f, 11.3f, -32.6f)
                curveToRelative(18.8f, -66.1f, 20.7f, -156.9f, -6.2f, -211.2f)
                curveToRelative(-10.2f, -20.6f, -38.6f, -49.0f, -56.4f, -62.5f)
                curveToRelative(-42.0f, -31.7f, -119.6f, -35.3f, -170.1f, -16.6f)
                curveToRelative(-14.1f, 5.2f, -27.8f, 9.8f, -40.1f, 17.1f)
                curveToRelative(-33.1f, 19.4f, -68.3f, 32.5f, -78.1f, 71.6f)
                curveToRelative(-24.2f, 10.8f, -31.5f, 41.8f, -30.3f, 77.8f)
                curveToRelative(0.2f, 7.0f, 4.1f, 15.8f, 2.7f, 22.4f)
                curveToRelative(-0.7f, 3.3f, -5.2f, 7.6f, -6.1f, 9.8f)
                curveToRelative(-11.6f, 27.7f, -2.3f, 64.0f, 11.1f, 83.7f)
                curveToRelative(8.1f, 11.9f, 21.5f, 22.4f, 39.2f, 25.2f)
                curveToRelative(0.7f, 10.6f, 3.3f, 19.7f, 8.2f, 30.4f)
                curveToRelative(3.1f, 6.8f, 14.7f, 19.0f, 10.4f, 27.7f)
                curveToRelative(-2.2f, 4.4f, -21.0f, 13.8f, -27.3f, 17.6f)
                curveTo(89.0f, 407.2f, 73.7f, 415.0f, 54.2f, 429.0f)
                curveToRelative(-12.6f, 9.0f, -32.3f, 10.2f, -29.2f, 31.1f)
                curveToRelative(2.1f, 14.1f, 10.1f, 31.6f, 14.7f, 45.8f)
                curveToRelative(0.7f, 2.0f, 1.4f, 4.1f, 2.1f, 6.0f)
                horizontalLineToRelative(422.0f)
                curveToRelative(4.9f, -15.3f, 9.7f, -30.9f, 14.6f, -47.2f)
                curveToRelative(3.4f, -11.4f, 10.2f, -27.8f, 8.7f, -39.7f)
                close()
                moveTo(205.9f, 33.7f)
                curveToRelative(1.8f, -0.5f, 3.4f, 0.7f, 4.9f, 2.4f)
                curveToRelative(-0.2f, 5.2f, -5.4f, 5.1f, -8.9f, 6.8f)
                curveToRelative(-5.4f, 6.7f, -13.4f, 9.8f, -20.0f, 17.2f)
                curveToRelative(-6.8f, 7.5f, -14.4f, 27.7f, -23.4f, 30.0f)
                curveToRelative(-4.5f, 1.1f, -9.7f, -0.8f, -13.6f, -0.5f)
                curveToRelative(-10.4f, 0.7f, -17.7f, 6.0f, -28.3f, 7.5f)
                curveToRelative(13.6f, -29.9f, 56.1f, -54.0f, 89.3f, -63.4f)
                close()
                moveTo(101.1f, 127.3f)
                curveToRelative(13.5f, -14.9f, 32.1f, -24.1f, 54.8f, -25.9f)
                curveToRelative(11.7f, 29.7f, -8.4f, 65.0f, -0.9f, 97.6f)
                curveToRelative(2.3f, 9.9f, 10.2f, 25.4f, -2.4f, 25.7f)
                curveToRelative(0.3f, -28.3f, -34.8f, -46.3f, -61.3f, -29.6f)
                curveToRelative(-1.8f, -21.5f, -4.9f, -51.7f, 9.8f, -67.8f)
                close()
                moveTo(137.8f, 327.5f)
                curveToRelative(-1.0f, -4.1f, -2.7f, -12.9f, -2.3f, -15.1f)
                curveToRelative(1.6f, -8.7f, 17.1f, -12.5f, 11.0f, -24.7f)
                curveToRelative(-11.3f, -0.1f, -13.8f, 10.2f, -24.1f, 11.3f)
                curveToRelative(-26.7f, 2.6f, -45.6f, -35.4f, -44.4f, -58.4f)
                curveToRelative(1.0f, -19.5f, 17.6f, -38.2f, 40.1f, -35.8f)
                curveToRelative(16.0f, 1.8f, 21.4f, 19.2f, 24.5f, 34.7f)
                curveToRelative(9.2f, 0.5f, 22.5f, -0.4f, 26.9f, -7.6f)
                curveToRelative(-0.6f, -17.5f, -8.8f, -31.6f, -8.2f, -47.7f)
                curveToRelative(1.0f, -30.3f, 17.5f, -57.6f, 4.8f, -87.4f)
                curveToRelative(13.6f, -30.9f, 53.5f, -55.3f, 83.1f, -70.0f)
                curveToRelative(36.6f, -18.3f, 94.9f, -3.7f, 129.3f, 15.8f)
                curveToRelative(19.7f, 11.1f, 34.4f, 32.7f, 48.3f, 50.7f)
                curveToRelative(-19.5f, -5.8f, -36.1f, 4.2f, -33.1f, 20.3f)
                curveToRelative(16.3f, -14.9f, 44.2f, -0.2f, 52.5f, 16.4f)
                curveToRelative(7.9f, 15.8f, 7.8f, 39.3f, 9.0f, 62.8f)
                curveToRelative(2.9f, 57.0f, -10.4f, 115.9f, -39.1f, 157.1f)
                curveToRelative(-7.7f, 11.0f, -14.1f, 23.0f, -24.9f, 30.6f)
                curveToRelative(-26.0f, 18.2f, -65.4f, 34.7f, -99.2f, 23.4f)
                curveToRelative(-44.7f, -15.0f, -65.0f, -44.8f, -89.5f, -78.8f)
                curveToRelative(0.7f, 18.7f, 13.8f, 34.1f, 26.8f, 48.4f)
                curveToRelative(11.3f, 12.5f, 25.0f, 26.6f, 39.7f, 32.4f)
                curveToRelative(-12.3f, -2.9f, -31.1f, -3.8f, -36.2f, 7.2f)
                curveToRelative(-28.6f, -1.9f, -55.1f, -4.8f, -68.7f, -24.2f)
                curveToRelative(-10.6f, -15.4f, -21.4f, -41.4f, -26.3f, -61.4f)
                close()
                moveTo(359.8f, 451.6f)
                curveToRelative(4.1f, -3.0f, 11.1f, -2.9f, 17.4f, -3.6f)
                curveToRelative(-5.4f, -2.7f, -13.0f, -3.7f, -19.3f, -2.2f)
                curveToRelative(-0.1f, -4.2f, -2.0f, -6.8f, -3.2f, -10.2f)
                curveToRelative(10.6f, -3.8f, 35.5f, -28.5f, 49.6f, -20.3f)
                curveToRelative(6.7f, 3.9f, 9.5f, 26.2f, 10.1f, 37.0f)
                curveToRelative(0.4f, 9.0f, -0.8f, 18.0f, -4.5f, 22.8f)
                curveToRelative(-18.8f, -0.6f, -35.8f, -2.8f, -50.7f, -7.0f)
                curveToRelative(0.9f, -6.1f, -1.0f, -12.1f, 0.6f, -16.5f)
                close()
                moveTo(342.6f, 431.6f)
                curveToRelative(-16.8f, 0.8f, -26.0f, -1.2f, -38.3f, -10.8f)
                curveToRelative(0.2f, -0.8f, 1.4f, -0.5f, 1.5f, -1.4f)
                curveToRelative(18.0f, 8.0f, 40.8f, -3.3f, 59.0f, -4.9f)
                curveToRelative(-7.9f, 5.1f, -14.6f, 11.6f, -22.2f, 17.1f)
                close()
                moveTo(330.5f, 464.8f)
                curveToRelative(-1.6f, -9.4f, -3.5f, -12.0f, -2.8f, -20.2f)
                curveToRelative(25.0f, -16.6f, 29.7f, 28.6f, 2.8f, 20.2f)
                close()
                moveTo(226.0f, 438.6f)
                curveToRelative(-11.6f, -0.7f, -48.1f, -14.0f, -38.5f, -23.7f)
                curveToRelative(9.4f, 6.5f, 27.5f, 4.9f, 41.3f, 7.3f)
                curveToRelative(0.8f, 4.4f, -2.8f, 10.2f, -2.8f, 16.4f)
                close()
                moveTo(57.7f, 497.1f)
                curveToRelative(-4.3f, -12.7f, -9.2f, -25.1f, -14.8f, -36.9f)
                curveToRelative(30.8f, -23.8f, 65.3f, -48.9f, 102.2f, -63.5f)
                curveToRelative(2.8f, -1.1f, 23.2f, 25.4f, 26.2f, 27.6f)
                curveToRelative(16.5f, 11.7f, 37.0f, 21.0f, 56.2f, 30.2f)
                curveToRelative(1.2f, 8.8f, 3.9f, 20.2f, 8.7f, 35.5f)
                curveToRelative(0.7f, 2.3f, 1.4f, 4.7f, 2.2f, 7.2f)
                lineTo(57.7f, 497.2f)
                close()
                moveTo(298.3f, 502.8f)
                horizontalLineToRelative(-0.8f)
                curveToRelative(0.3f, -0.2f, 0.5f, -0.4f, 0.8f, -0.5f)
                verticalLineToRelative(0.5f)
                close()
                moveTo(305.8f, 497.1f)
                curveToRelative(2.1f, -1.4f, 4.3f, -2.8f, 6.4f, -4.3f)
                curveToRelative(1.1f, 1.4f, 2.2f, 2.8f, 3.2f, 4.3f)
                horizontalLineToRelative(-9.6f)
                close()
                moveTo(320.9f, 472.4f)
                curveToRelative(-10.8f, 7.3f, -20.6f, 18.3f, -33.3f, 25.2f)
                curveToRelative(-6.0f, 3.3f, -27.0f, 11.7f, -33.4f, 10.2f)
                curveToRelative(-3.6f, -0.8f, -3.9f, -5.3f, -5.4f, -9.5f)
                curveToRelative(-3.1f, -9.0f, -10.1f, -23.4f, -10.8f, -37.0f)
                curveToRelative(-0.8f, -17.2f, -2.5f, -46.0f, 16.0f, -42.4f)
                curveToRelative(14.9f, 2.9f, 32.3f, 9.7f, 43.9f, 16.1f)
                curveToRelative(7.1f, 3.9f, 11.1f, 8.6f, 21.9f, 9.5f)
                curveToRelative(-0.1f, 1.4f, -0.1f, 2.8f, -0.2f, 4.3f)
                curveToRelative(-5.9f, 3.9f, -15.3f, 3.8f, -21.8f, 7.1f)
                curveToRelative(9.5f, 0.4f, 17.0f, 2.7f, 23.5f, 5.9f)
                curveToRelative(-0.1f, 3.4f, -0.3f, 7.0f, -0.4f, 10.6f)
                close()
                moveTo(374.3f, 497.1f)
                horizontalLineToRelative(-14.0f)
                curveToRelative(-0.1f, -3.2f, -2.8f, -5.8f, -6.1f, -5.8f)
                reflectiveCurveToRelative(-5.9f, 2.6f, -6.1f, 5.8f)
                horizontalLineToRelative(-17.4f)
                curveToRelative(-2.8f, -4.4f, -5.7f, -8.6f, -8.9f, -12.5f)
                curveToRelative(2.1f, -2.2f, 4.0f, -4.7f, 6.0f, -6.9f)
                curveToRelative(9.0f, 3.7f, 14.8f, -4.9f, 21.7f, -4.2f)
                curveToRelative(7.9f, 0.8f, 14.2f, 11.7f, 25.4f, 11.0f)
                lineToRelative(-0.6f, 12.6f)
                close()
                moveTo(383.0f, 497.1f)
                curveToRelative(0.2f, -4.0f, 0.4f, -7.8f, 0.6f, -11.5f)
                curveToRelative(15.6f, -7.3f, 29.0f, 1.3f, 35.7f, 11.5f)
                lineTo(383.0f, 497.1f)
                close()
                moveTo(466.4f, 460.1f)
                curveToRelative(-2.3f, 11.2f, -5.8f, 24.0f, -9.9f, 37.1f)
                curveToRelative(-0.2f, -0.1f, -0.4f, -0.1f, -0.6f, -0.1f)
                lineTo(428.0f, 497.1f)
                curveToRelative(0.6f, -1.1f, 1.2f, -2.2f, 1.9f, -3.3f)
                curveToRelative(-2.6f, -6.1f, -9.0f, -8.7f, -10.9f, -15.5f)
                curveToRelative(12.1f, -22.7f, 6.5f, -93.4f, -24.2f, -78.5f)
                curveToRelative(4.3f, -6.3f, 15.6f, -11.5f, 20.8f, -19.3f)
                curveToRelative(13.0f, 10.4f, 20.8f, 20.3f, 33.2f, 31.4f)
                curveToRelative(6.8f, 6.0f, 20.0f, 13.3f, 21.4f, 23.1f)
                curveToRelative(0.8f, 5.5f, -2.6f, 18.9f, -3.8f, 25.1f)
                close()
                moveTo(222.2f, 130.5f)
                curveToRelative(5.4f, -14.9f, 27.2f, -34.7f, 45.0f, -32.0f)
                curveToRelative(7.7f, 1.2f, 18.0f, 8.2f, 12.2f, 17.7f)
                curveToRelative(-30.2f, -7.0f, -45.2f, 12.6f, -54.4f, 33.1f)
                curveToRelative(-8.1f, -2.0f, -4.9f, -13.1f, -2.8f, -18.8f)
                close()
                moveTo(406.3f, 193.6f)
                curveToRelative(8.2f, -3.6f, 22.4f, -0.7f, 29.6f, -5.3f)
                curveToRelative(-4.2f, -11.5f, -10.3f, -21.4f, -9.3f, -37.7f)
                curveToRelative(0.5f, 0.0f, 1.0f, 0.0f, 1.4f, 0.1f)
                curveToRelative(6.8f, 14.2f, 12.7f, 29.2f, 21.4f, 41.7f)
                curveToRelative(-5.7f, 13.5f, -43.6f, 25.4f, -43.1f, 1.2f)
                close()
                moveTo(426.7f, 150.6f)
                close()
                moveTo(309.5f, 196.3f)
                curveToRelative(-6.8f, -10.9f, -19.0f, -32.5f, -14.5f, -45.3f)
                curveToRelative(6.5f, 11.9f, 8.6f, 24.4f, 17.8f, 33.3f)
                curveToRelative(4.1f, 4.0f, 12.2f, 9.0f, 8.2f, 20.2f)
                curveToRelative(-0.9f, 2.7f, -7.8f, 8.6f, -11.7f, 9.7f)
                curveToRelative(-14.4f, 4.3f, -47.9f, 0.9f, -36.6f, -17.1f)
                curveToRelative(11.9f, 0.7f, 27.9f, 7.8f, 36.8f, -0.8f)
                close()
                moveTo(336.8f, 266.3f)
                curveToRelative(3.8f, 6.6f, 1.4f, 18.7f, 12.1f, 20.6f)
                curveToRelative(20.2f, 3.4f, 43.6f, -12.3f, 58.1f, -17.8f)
                curveToRelative(9.0f, -15.2f, -0.8f, -20.7f, -8.9f, -30.5f)
                curveToRelative(-16.6f, -20.0f, -38.8f, -44.8f, -38.0f, -74.7f)
                curveToRelative(6.7f, -4.9f, 7.3f, 7.4f, 8.2f, 9.7f)
                curveToRelative(8.7f, 20.3f, 30.4f, 46.2f, 46.3f, 63.5f)
                curveToRelative(3.9f, 4.3f, 10.3f, 8.4f, 11.0f, 11.2f)
                curveToRelative(2.1f, 8.2f, -5.4f, 18.0f, -4.5f, 23.5f)
                curveToRelative(-21.7f, 13.9f, -45.8f, 29.1f, -81.4f, 25.6f)
                curveToRelative(-7.4f, -6.7f, -10.3f, -21.4f, -2.9f, -31.1f)
                close()
                moveTo(135.5f, 257.1f)
                curveToRelative(-6.8f, -3.9f, -8.4f, -21.0f, -16.4f, -21.4f)
                curveToRelative(-11.4f, -0.7f, -9.3f, 22.2f, -9.3f, 35.5f)
                curveToRelative(-7.8f, -7.1f, -9.2f, -29.1f, -3.5f, -40.3f)
                curveToRelative(-6.6f, -3.2f, -9.5f, 3.6f, -13.1f, 5.9f)
                curveToRelative(4.7f, -34.1f, 49.8f, -15.8f, 42.3f, 20.3f)
                close()
                moveTo(435.1f, 285.9f)
                curveToRelative(-10.1f, 19.2f, -24.4f, 40.4f, -54.0f, 41.0f)
                curveToRelative(-0.6f, -6.2f, -1.1f, -15.6f, 0.0f, -19.4f)
                curveToRelative(22.7f, -2.2f, 36.6f, -13.7f, 54.0f, -21.6f)
                close()
                moveTo(293.2f, 298.3f)
                curveToRelative(18.9f, 9.9f, 53.6f, 11.0f, 79.3f, 10.2f)
                curveToRelative(1.4f, 5.6f, 1.3f, 12.6f, 1.4f, 19.4f)
                curveToRelative(-33.0f, 1.8f, -72.0f, -6.4f, -80.7f, -29.6f)
                close()
                moveTo(385.4f, 345.0f)
                curveToRelative(-1.7f, 4.3f, -5.3f, 9.3f, -9.8f, 11.1f)
                curveToRelative(-12.1f, 4.9f, -45.6f, 8.7f, -62.4f, -0.3f)
                curveToRelative(-10.7f, -5.7f, -17.5f, -18.5f, -23.4f, -26.0f)
                curveToRelative(-2.8f, -3.6f, -16.9f, -12.9f, -0.2f, -12.9f)
                curveToRelative(13.1f, 32.7f, 58.0f, 29.0f, 95.8f, 28.1f)
                close()
            }
        }
        .build()
        return _jenkins!!
    }

private var _jenkins: ImageVector? = null
