package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Mixcloud: ImageVector
    get() {
        if (_mixcloud != null) {
            return _mixcloud!!
        }
        _mixcloud = Builder(name = "Mixcloud", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(424.43f, 219.729f)
                curveTo(416.124f, 134.727f, 344.135f, 68.0f, 256.919f, 68.0f)
                curveToRelative(-72.266f, 0.0f, -136.224f, 46.516f, -159.205f, 114.074f)
                curveToRelative(-54.545f, 8.029f, -96.63f, 54.822f, -96.63f, 111.582f)
                curveToRelative(0.0f, 62.298f, 50.668f, 112.966f, 113.243f, 112.966f)
                horizontalLineToRelative(289.614f)
                curveToRelative(52.329f, 0.0f, 94.969f, -42.362f, 94.969f, -94.693f)
                curveToRelative(0.0f, -45.131f, -32.118f, -83.063f, -74.48f, -92.2f)
                close()
                moveTo(403.941f, 364.259f)
                lineTo(114.327f, 364.259f)
                curveToRelative(-39.04f, 0.0f, -70.881f, -31.564f, -70.881f, -70.604f)
                reflectiveCurveToRelative(31.841f, -70.604f, 70.881f, -70.604f)
                curveToRelative(18.827f, 0.0f, 36.548f, 7.475f, 49.838f, 20.766f)
                curveToRelative(19.963f, 19.963f, 50.133f, -10.227f, 30.18f, -30.18f)
                curveToRelative(-14.675f, -14.398f, -32.672f, -24.365f, -52.053f, -29.349f)
                curveToRelative(19.935f, -44.3f, 64.79f, -73.926f, 114.628f, -73.926f)
                curveToRelative(69.496f, 0.0f, 125.979f, 56.483f, 125.979f, 125.702f)
                curveToRelative(0.0f, 13.568f, -2.215f, 26.857f, -6.369f, 39.594f)
                curveToRelative(-8.943f, 27.517f, 32.133f, 38.939f, 40.147f, 13.29f)
                curveToRelative(2.769f, -8.306f, 4.984f, -16.889f, 6.369f, -25.472f)
                curveToRelative(19.381f, 7.476f, 33.502f, 26.303f, 33.502f, 48.453f)
                curveToRelative(0.0f, 28.795f, -23.535f, 52.33f, -52.607f, 52.33f)
                close()
                moveTo(639.01f, 311.929f)
                curveToRelative(0.0f, 44.024f, -12.737f, 86.386f, -37.102f, 122.657f)
                curveToRelative(-4.153f, 6.092f, -10.798f, 9.414f, -17.72f, 9.414f)
                curveToRelative(-16.317f, 0.0f, -27.127f, -18.826f, -17.443f, -32.949f)
                curveToRelative(19.381f, -29.349f, 29.903f, -63.682f, 29.903f, -99.122f)
                reflectiveCurveToRelative(-10.521f, -69.773f, -29.903f, -98.845f)
                curveToRelative(-15.655f, -22.831f, 19.361f, -47.24f, 35.163f, -23.534f)
                curveToRelative(24.366f, 35.993f, 37.102f, 78.356f, 37.102f, 122.379f)
                close()
                moveTo(568.13f, 311.929f)
                curveToRelative(0.0f, 31.565f, -9.137f, 62.021f, -26.857f, 88.325f)
                curveToRelative(-4.153f, 6.091f, -10.798f, 9.136f, -17.72f, 9.136f)
                curveToRelative(-17.201f, 0.0f, -27.022f, -18.979f, -17.443f, -32.948f)
                curveToRelative(13.013f, -19.104f, 19.658f, -41.255f, 19.658f, -64.513f)
                curveToRelative(0.0f, -22.981f, -6.645f, -45.408f, -19.658f, -64.512f)
                curveToRelative(-15.761f, -22.986f, 19.008f, -47.095f, 35.163f, -23.535f)
                curveToRelative(17.719f, 26.026f, 26.857f, 56.483f, 26.857f, 88.047f)
                close()
            }
        }
        .build()
        return _mixcloud!!
    }

private var _mixcloud: ImageVector? = null
