package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Safari: ImageVector
    get() {
        if (_safari != null) {
            return _safari!!
        }
        _safari = Builder(name = "Safari", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(274.69f, 274.69f)
                lineToRelative(-37.38f, -37.38f)
                lineTo(166.0f, 346.0f)
                close()
                moveTo(256.0f, 8.0f)
                curveTo(119.0f, 8.0f, 8.0f, 119.0f, 8.0f, 256.0f)
                reflectiveCurveTo(119.0f, 504.0f, 256.0f, 504.0f)
                reflectiveCurveTo(504.0f, 393.0f, 504.0f, 256.0f)
                reflectiveCurveTo(393.0f, 8.0f, 256.0f, 8.0f)
                close()
                moveTo(411.85f, 182.79f)
                lineToRelative(14.78f, -6.13f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 437.08f, 181.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -4.33f, 10.46f)
                lineTo(418.0f, 197.57f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -10.45f, -4.33f)
                horizontalLineToRelative(0.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 411.85f, 182.79f)
                close()
                moveTo(314.43f, 94.0f)
                lineToRelative(6.12f, -14.78f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 331.0f, 74.92f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 4.33f, 10.45f)
                lineToRelative(-6.13f, 14.78f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -10.45f, 4.33f)
                horizontalLineToRelative(0.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 314.43f, 94.0f)
                close()
                moveTo(256.0f, 60.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, 8.0f)
                lineTo(264.0f, 84.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, 8.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, -8.0f)
                lineTo(248.0f, 68.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 256.0f, 60.0f)
                close()
                moveTo(181.0f, 74.92f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 10.46f, 4.33f)
                lineTo(197.57f, 94.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, true, true, -14.78f, 6.12f)
                lineToRelative(-6.13f, -14.78f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 181.0f, 74.92f)
                close()
                moveTo(117.42f, 117.41f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 11.31f, 0.0f)
                lineTo(140.0f, 128.72f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 140.0f, 140.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -11.31f, 0.0f)
                lineToRelative(-11.31f, -11.31f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 117.41f, 117.41f)
                close()
                moveTo(60.0f, 256.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, -8.0f)
                lineTo(84.0f, 248.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, 8.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, 8.0f)
                lineTo(68.0f, 264.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 60.0f, 256.0f)
                close()
                moveTo(100.15f, 329.21f)
                lineTo(85.37f, 335.34f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 74.92f, 331.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 4.33f, -10.46f)
                lineTo(94.0f, 314.43f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 10.45f, 4.33f)
                horizontalLineToRelative(0.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 100.15f, 329.21f)
                close()
                moveTo(104.48f, 193.21f)
                horizontalLineToRelative(0.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 94.0f, 197.57f)
                lineToRelative(-14.78f, -6.12f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 74.92f, 181.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 10.45f, -4.33f)
                lineToRelative(14.78f, 6.13f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 104.48f, 193.24f)
                close()
                moveTo(197.57f, 418.0f)
                lineToRelative(-6.12f, 14.78f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -14.79f, -6.12f)
                lineToRelative(6.13f, -14.78f)
                arcTo(8.0f, 8.0f, 0.0f, true, true, 197.57f, 418.0f)
                close()
                moveTo(264.0f, 444.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, 8.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, -8.0f)
                lineTo(248.0f, 428.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, -8.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, 8.0f)
                close()
                moveTo(331.0f, 437.08f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -10.46f, -4.33f)
                lineTo(314.43f, 418.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 4.33f, -10.45f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 10.45f, 4.33f)
                lineToRelative(6.13f, 14.78f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 331.0f, 437.08f)
                close()
                moveTo(394.58f, 394.59f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -11.31f, 0.0f)
                lineTo(372.0f, 383.28f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 372.0f, 372.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 11.31f, 0.0f)
                lineToRelative(11.31f, 11.31f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 394.59f, 394.59f)
                close()
                moveTo(286.25f, 286.25f)
                lineTo(110.34f, 401.66f)
                lineTo(225.75f, 225.75f)
                lineTo(401.66f, 110.34f)
                close()
                moveTo(437.08f, 331.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -10.45f, 4.33f)
                lineToRelative(-14.78f, -6.13f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -4.33f, -10.45f)
                horizontalLineToRelative(0.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 418.0f, 314.43f)
                lineToRelative(14.78f, 6.12f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 437.08f, 331.0f)
                close()
                moveTo(444.0f, 264.0f)
                lineTo(428.0f, 264.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, -8.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 8.0f, 8.0f)
                horizontalLineToRelative(0.0f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 444.0f, 264.0f)
                close()
            }
        }
        .build()
        return _safari!!
    }

private var _safari: ImageVector? = null
