package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Soundcloud: ImageVector
    get() {
        if (_soundcloud != null) {
            return _soundcloud!!
        }
        _soundcloud = Builder(name = "Soundcloud", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(111.4f, 256.3f)
                lineToRelative(5.8f, 65.0f)
                lineToRelative(-5.8f, 68.3f)
                curveToRelative(-0.3f, 2.5f, -2.2f, 4.4f, -4.4f, 4.4f)
                reflectiveCurveToRelative(-4.2f, -1.9f, -4.2f, -4.4f)
                lineToRelative(-5.6f, -68.3f)
                lineToRelative(5.6f, -65.0f)
                curveToRelative(0.0f, -2.2f, 1.9f, -4.2f, 4.2f, -4.2f)
                curveToRelative(2.2f, 0.0f, 4.1f, 2.0f, 4.4f, 4.2f)
                close()
                moveTo(132.8f, 210.7f)
                curveToRelative(-2.8f, 0.0f, -4.7f, 2.2f, -5.0f, 5.0f)
                lineToRelative(-5.0f, 105.6f)
                lineToRelative(5.0f, 68.3f)
                curveToRelative(0.3f, 2.8f, 2.2f, 5.0f, 5.0f, 5.0f)
                curveToRelative(2.5f, 0.0f, 4.7f, -2.2f, 4.7f, -5.0f)
                lineToRelative(5.8f, -68.3f)
                lineToRelative(-5.8f, -105.6f)
                curveToRelative(0.0f, -2.8f, -2.2f, -5.0f, -4.7f, -5.0f)
                close()
                moveTo(158.3f, 186.6f)
                curveToRelative(-3.1f, 0.0f, -5.3f, 2.2f, -5.6f, 5.3f)
                lineToRelative(-4.4f, 130.0f)
                lineToRelative(4.4f, 67.8f)
                curveToRelative(0.3f, 3.1f, 2.5f, 5.3f, 5.6f, 5.3f)
                curveToRelative(2.8f, 0.0f, 5.3f, -2.2f, 5.3f, -5.3f)
                lineToRelative(5.3f, -67.8f)
                lineToRelative(-5.3f, -130.0f)
                curveToRelative(0.0f, -3.1f, -2.5f, -5.3f, -5.3f, -5.3f)
                close()
                moveTo(7.2f, 283.2f)
                curveToRelative(-1.4f, 0.0f, -2.2f, 1.1f, -2.5f, 2.5f)
                lineTo(0.0f, 321.3f)
                lineToRelative(4.7f, 35.0f)
                curveToRelative(0.3f, 1.4f, 1.1f, 2.5f, 2.5f, 2.5f)
                reflectiveCurveToRelative(2.2f, -1.1f, 2.5f, -2.5f)
                lineToRelative(5.6f, -35.0f)
                lineToRelative(-5.6f, -35.6f)
                curveToRelative(-0.3f, -1.4f, -1.1f, -2.5f, -2.5f, -2.5f)
                close()
                moveTo(30.8f, 261.3f)
                curveToRelative(-1.4f, 0.0f, -2.5f, 1.1f, -2.5f, 2.5f)
                lineToRelative(-6.4f, 57.5f)
                lineToRelative(6.4f, 56.1f)
                curveToRelative(0.0f, 1.7f, 1.1f, 2.8f, 2.5f, 2.8f)
                reflectiveCurveToRelative(2.5f, -1.1f, 2.8f, -2.5f)
                lineToRelative(7.2f, -56.4f)
                lineToRelative(-7.2f, -57.5f)
                curveToRelative(-0.3f, -1.4f, -1.4f, -2.5f, -2.8f, -2.5f)
                close()
                moveTo(56.1f, 249.9f)
                curveToRelative(-1.7f, 0.0f, -3.1f, 1.4f, -3.3f, 3.3f)
                lineTo(47.0f, 321.3f)
                lineToRelative(5.8f, 65.8f)
                curveToRelative(0.3f, 1.7f, 1.7f, 3.1f, 3.3f, 3.1f)
                curveToRelative(1.7f, 0.0f, 3.1f, -1.4f, 3.1f, -3.1f)
                lineToRelative(6.9f, -65.8f)
                lineToRelative(-6.9f, -68.1f)
                curveToRelative(0.0f, -1.9f, -1.4f, -3.3f, -3.1f, -3.3f)
                close()
                moveTo(81.4f, 247.7f)
                curveToRelative(-1.9f, 0.0f, -3.6f, 1.4f, -3.6f, 3.6f)
                lineToRelative(-5.8f, 70.0f)
                lineToRelative(5.8f, 67.8f)
                curveToRelative(0.0f, 2.2f, 1.7f, 3.6f, 3.6f, 3.6f)
                reflectiveCurveToRelative(3.6f, -1.4f, 3.9f, -3.6f)
                lineToRelative(6.4f, -67.8f)
                lineToRelative(-6.4f, -70.0f)
                curveToRelative(-0.3f, -2.2f, -2.0f, -3.6f, -3.9f, -3.6f)
                close()
                moveTo(322.8f, 136.8f)
                curveToRelative(-1.1f, -0.8f, -2.8f, -1.4f, -4.2f, -1.4f)
                curveToRelative(-2.2f, 0.0f, -4.2f, 0.8f, -5.6f, 1.9f)
                curveToRelative(-1.9f, 1.7f, -3.1f, 4.2f, -3.3f, 6.7f)
                verticalLineToRelative(0.8f)
                lineToRelative(-3.3f, 176.7f)
                lineToRelative(1.7f, 32.5f)
                lineToRelative(1.7f, 31.7f)
                curveToRelative(0.3f, 4.7f, 4.2f, 8.6f, 8.9f, 8.6f)
                reflectiveCurveToRelative(8.6f, -3.9f, 8.6f, -8.6f)
                lineToRelative(3.9f, -64.2f)
                lineToRelative(-3.9f, -177.5f)
                curveToRelative(-0.4f, -3.0f, -2.0f, -5.8f, -4.5f, -7.2f)
                close()
                moveTo(296.1f, 152.1f)
                curveToRelative(-1.4f, -0.8f, -2.8f, -1.4f, -4.4f, -1.4f)
                reflectiveCurveToRelative(-3.1f, 0.6f, -4.4f, 1.4f)
                curveToRelative(-2.2f, 1.4f, -3.6f, 3.9f, -3.6f, 6.7f)
                lineToRelative(-0.3f, 1.7f)
                lineToRelative(-2.8f, 160.8f)
                reflectiveCurveToRelative(0.0f, 0.3f, 3.1f, 65.6f)
                verticalLineToRelative(0.3f)
                curveToRelative(0.0f, 1.7f, 0.6f, 3.3f, 1.7f, 4.7f)
                curveToRelative(1.7f, 1.9f, 3.9f, 3.1f, 6.4f, 3.1f)
                curveToRelative(2.2f, 0.0f, 4.2f, -1.1f, 5.6f, -2.5f)
                curveToRelative(1.7f, -1.4f, 2.5f, -3.3f, 2.5f, -5.6f)
                lineToRelative(0.3f, -6.7f)
                lineToRelative(3.1f, -58.6f)
                lineToRelative(-3.3f, -162.8f)
                curveToRelative(-0.3f, -2.8f, -1.7f, -5.3f, -3.9f, -6.7f)
                close()
                moveTo(184.7f, 174.6f)
                curveToRelative(-3.1f, 0.0f, -5.8f, 2.8f, -5.8f, 6.1f)
                lineToRelative(-4.4f, 140.6f)
                lineToRelative(4.4f, 67.2f)
                curveToRelative(0.3f, 3.3f, 2.8f, 5.8f, 5.8f, 5.8f)
                curveToRelative(3.3f, 0.0f, 5.8f, -2.5f, 6.1f, -5.8f)
                lineToRelative(5.0f, -67.2f)
                lineToRelative(-5.0f, -140.6f)
                curveToRelative(-0.2f, -3.3f, -2.7f, -6.1f, -6.1f, -6.1f)
                close()
                moveTo(561.4f, 237.4f)
                curveToRelative(-10.8f, 0.0f, -21.1f, 2.2f, -30.6f, 6.1f)
                curveToRelative(-6.4f, -70.8f, -65.8f, -126.4f, -138.3f, -126.4f)
                curveToRelative(-17.8f, 0.0f, -35.0f, 3.3f, -50.3f, 9.4f)
                curveToRelative(-6.1f, 2.2f, -7.8f, 4.4f, -7.8f, 9.2f)
                verticalLineToRelative(249.7f)
                curveToRelative(0.0f, 5.0f, 3.9f, 8.6f, 8.6f, 9.2f)
                horizontalLineToRelative(218.3f)
                curveToRelative(43.3f, 0.0f, 78.6f, -35.0f, 78.6f, -78.3f)
                curveToRelative(0.1f, -43.6f, -35.2f, -78.9f, -78.5f, -78.9f)
                close()
                moveTo(264.7f, 177.1f)
                curveToRelative(-4.2f, 0.0f, -7.5f, 3.3f, -7.8f, 7.8f)
                lineToRelative(-3.3f, 136.7f)
                lineToRelative(3.3f, 65.6f)
                curveToRelative(0.3f, 4.2f, 3.6f, 7.5f, 7.8f, 7.5f)
                curveToRelative(4.2f, 0.0f, 7.5f, -3.3f, 7.5f, -7.5f)
                lineToRelative(3.9f, -65.6f)
                lineToRelative(-3.9f, -136.7f)
                curveToRelative(-0.3f, -4.5f, -3.3f, -7.8f, -7.5f, -7.8f)
                close()
                moveTo(211.1f, 169.3f)
                curveToRelative(-3.3f, 0.0f, -6.4f, 3.1f, -6.4f, 6.7f)
                lineToRelative(-3.9f, 145.3f)
                lineToRelative(3.9f, 66.9f)
                curveToRelative(0.3f, 3.6f, 3.1f, 6.4f, 6.4f, 6.4f)
                curveToRelative(3.6f, 0.0f, 6.4f, -2.8f, 6.7f, -6.4f)
                lineToRelative(4.4f, -66.9f)
                lineToRelative(-4.4f, -145.3f)
                curveToRelative(-0.3f, -3.6f, -3.1f, -6.7f, -6.7f, -6.7f)
                close()
                moveTo(237.8f, 172.7f)
                curveToRelative(-3.9f, 0.0f, -6.9f, 3.1f, -6.9f, 6.9f)
                lineTo(227.0f, 321.3f)
                lineToRelative(3.9f, 66.4f)
                curveToRelative(0.3f, 3.9f, 3.1f, 6.9f, 6.9f, 6.9f)
                reflectiveCurveToRelative(6.9f, -3.1f, 6.9f, -6.9f)
                lineToRelative(4.2f, -66.4f)
                lineToRelative(-4.2f, -141.7f)
                curveToRelative(0.0f, -3.9f, -3.0f, -6.9f, -6.9f, -6.9f)
                close()
            }
        }
        .build()
        return _soundcloud!!
    }

private var _soundcloud: ImageVector? = null
