package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.WolfPackBattalion: ImageVector
    get() {
        if (_wolfPackBattalion != null) {
            return _wolfPackBattalion!!
        }
        _wolfPackBattalion = Builder(name = "WolfPackBattalion", defaultWidth = 512.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(267.73f, 471.53f)
                lineToRelative(10.56f, 15.84f)
                lineToRelative(5.28f, -12.32f)
                lineToRelative(5.28f, 7.0f)
                lineTo(288.85f, 512.0f)
                curveToRelative(21.06f, -7.92f, 21.11f, -66.86f, 25.51f, -97.21f)
                curveToRelative(4.62f, -31.89f, -0.88f, -92.81f, 81.37f, -149.11f)
                curveToRelative(-8.88f, -23.61f, -12.0f, -49.43f, -2.64f, -80.05f)
                curveTo(421.0f, 189.0f, 447.0f, 196.21f, 456.43f, 239.73f)
                lineToRelative(-30.35f, 8.36f)
                curveToRelative(11.15f, 23.0f, 17.0f, 46.76f, 13.2f, 72.14f)
                lineTo(412.0f, 313.18f)
                lineToRelative(-6.16f, 33.43f)
                lineToRelative(-18.47f, -7.0f)
                lineToRelative(-8.8f, 33.39f)
                lineToRelative(-19.35f, -7.0f)
                lineToRelative(26.39f, 21.11f)
                lineToRelative(8.8f, -28.15f)
                lineTo(419.0f, 364.2f)
                lineToRelative(7.0f, -35.63f)
                lineToRelative(26.39f, 14.52f)
                curveToRelative(0.25f, -20.0f, 7.0f, -58.06f, -8.8f, -84.45f)
                lineToRelative(26.39f, 5.28f)
                curveToRelative(4.0f, -22.07f, -2.38f, -39.21f, -7.92f, -56.74f)
                lineToRelative(22.43f, 9.68f)
                curveToRelative(-0.44f, -25.07f, -29.94f, -56.79f, -61.58f, -58.5f)
                curveToRelative(-20.22f, -1.09f, -56.74f, -25.17f, -54.1f, -51.9f)
                curveToRelative(2.0f, -19.87f, 17.45f, -42.62f, 43.11f, -49.7f)
                curveToRelative(-44.0f, 36.51f, -9.68f, 67.3f, 5.28f, 73.46f)
                curveToRelative(4.4f, -11.44f, 17.54f, -69.08f, 0.0f, -130.2f)
                curveToRelative(-40.39f, 22.87f, -89.65f, 65.1f, -93.2f, 147.79f)
                lineToRelative(-58.0f, 38.71f)
                lineToRelative(-3.52f, 93.25f)
                lineTo(369.78f, 220.0f)
                lineToRelative(7.0f, 7.0f)
                lineToRelative(-17.59f, 3.52f)
                lineToRelative(-44.0f, 38.71f)
                lineToRelative(-15.84f, -5.28f)
                lineToRelative(-28.1f, 49.25f)
                lineToRelative(-3.52f, 119.64f)
                lineToRelative(21.11f, 15.84f)
                lineToRelative(-32.55f, 15.84f)
                lineToRelative(-32.55f, -15.84f)
                lineToRelative(21.11f, -15.84f)
                lineToRelative(-3.52f, -119.64f)
                lineToRelative(-28.15f, -49.26f)
                lineToRelative(-15.84f, 5.28f)
                lineToRelative(-44.0f, -38.71f)
                lineToRelative(-17.58f, -3.51f)
                lineToRelative(7.0f, -7.0f)
                lineToRelative(107.33f, 59.82f)
                lineToRelative(-3.52f, -93.25f)
                lineToRelative(-58.06f, -38.71f)
                curveTo(185.0f, 65.1f, 135.77f, 22.87f, 95.3f, 0.0f)
                curveToRelative(-17.54f, 61.12f, -4.4f, 118.76f, 0.0f, 130.2f)
                curveToRelative(15.0f, -6.16f, 49.26f, -36.95f, 5.28f, -73.46f)
                curveToRelative(25.66f, 7.08f, 41.15f, 29.83f, 43.11f, 49.7f)
                curveToRelative(2.63f, 26.74f, -33.88f, 50.81f, -54.1f, 51.9f)
                curveToRelative(-31.65f, 1.72f, -61.15f, 33.44f, -61.59f, 58.51f)
                lineToRelative(22.43f, -9.68f)
                curveToRelative(-5.54f, 17.53f, -11.91f, 34.67f, -7.92f, 56.74f)
                lineToRelative(26.39f, -5.28f)
                curveToRelative(-15.76f, 26.39f, -9.05f, 64.43f, -8.8f, 84.45f)
                lineToRelative(26.39f, -14.52f)
                lineToRelative(7.0f, 35.63f)
                lineToRelative(24.63f, -5.28f)
                lineToRelative(8.8f, 28.15f)
                lineTo(153.35f, 366.0f)
                lineTo(134.0f, 373.0f)
                lineToRelative(-8.8f, -33.43f)
                lineToRelative(-18.47f, 7.0f)
                lineToRelative(-6.16f, -33.43f)
                lineToRelative(-27.27f, 7.0f)
                curveToRelative(-3.82f, -25.38f, 2.0f, -49.1f, 13.2f, -72.14f)
                lineToRelative(-30.35f, -8.36f)
                curveToRelative(9.4f, -43.52f, 35.47f, -50.77f, 63.34f, -54.1f)
                curveToRelative(9.36f, 30.62f, 6.24f, 56.45f, -2.64f, 80.05f)
                curveToRelative(82.25f, 56.3f, 76.75f, 117.23f, 81.37f, 149.11f)
                curveToRelative(4.4f, 30.35f, 4.45f, 89.29f, 25.51f, 97.21f)
                verticalLineToRelative(-29.83f)
                lineToRelative(5.28f, -7.0f)
                lineToRelative(5.28f, 12.32f)
                lineToRelative(10.56f, -15.84f)
                lineToRelative(11.44f, 21.11f)
                lineToRelative(11.43f, -21.1f)
                close()
                moveTo(346.9f, 376.53f)
                lineTo(331.06f, 366.0f)
                curveToRelative(7.47f, -4.36f, 13.76f, -8.42f, 19.35f, -12.32f)
                curveToRelative(-0.6f, 7.22f, -0.27f, 13.84f, -3.51f, 22.84f)
                close()
                moveTo(375.05f, 327.27f)
                curveToRelative(-0.4f, 10.94f, -0.9f, 21.66f, -1.76f, 31.67f)
                curveToRelative(-7.85f, -1.86f, -15.57f, -3.8f, -21.11f, -7.0f)
                curveToRelative(8.24f, -7.94f, 15.55f, -16.32f, 22.87f, -24.68f)
                close()
                moveTo(399.68f, 332.55f)
                curveToRelative(0.0f, -13.43f, -2.05f, -24.21f, -5.28f, -33.43f)
                arcToRelative(235.0f, 235.0f, 0.0f, false, true, -18.47f, 27.27f)
                close()
                moveTo(403.2f, 251.61f)
                curveToRelative(19.44f, 12.81f, 27.8f, 33.66f, 29.91f, 56.3f)
                curveToRelative(-12.32f, -4.53f, -24.63f, -9.31f, -36.95f, -10.56f)
                curveToRelative(5.06f, -12.0f, 6.65f, -28.14f, 7.0f, -45.74f)
                close()
                moveTo(401.44f, 205.87f)
                curveToRelative(0.81f, 14.3f, 1.84f, 28.82f, 1.76f, 42.23f)
                curveToRelative(19.22f, -8.11f, 29.78f, -9.72f, 44.0f, -14.08f)
                curveToRelative(-10.61f, -18.96f, -27.2f, -25.53f, -45.76f, -28.16f)
                close()
                moveTo(165.68f, 376.52f)
                lineTo(181.52f, 366.0f)
                curveToRelative(-7.47f, -4.36f, -13.76f, -8.42f, -19.35f, -12.32f)
                curveToRelative(0.6f, 7.26f, 0.27f, 13.88f, 3.51f, 22.88f)
                close()
                moveTo(137.53f, 327.26f)
                curveToRelative(0.4f, 10.94f, 0.9f, 21.66f, 1.76f, 31.67f)
                curveToRelative(7.85f, -1.86f, 15.57f, -3.8f, 21.11f, -7.0f)
                curveToRelative(-8.24f, -7.93f, -15.55f, -16.31f, -22.87f, -24.67f)
                close()
                moveTo(112.89f, 332.54f)
                curveToRelative(0.0f, -13.43f, 2.0f, -24.21f, 5.28f, -33.43f)
                arcToRelative(235.0f, 235.0f, 0.0f, false, false, 18.47f, 27.27f)
                close()
                moveTo(109.37f, 251.6f)
                curveToRelative(-19.44f, 12.81f, -27.8f, 33.66f, -29.91f, 56.3f)
                curveToRelative(12.32f, -4.53f, 24.63f, -9.31f, 37.0f, -10.56f)
                curveToRelative(-5.0f, -12.0f, -6.65f, -28.14f, -7.0f, -45.74f)
                close()
                moveTo(111.13f, 205.86f)
                curveToRelative(-0.81f, 14.3f, -1.84f, 28.82f, -1.76f, 42.23f)
                curveToRelative(-19.22f, -8.11f, -29.78f, -9.72f, -44.0f, -14.08f)
                curveToRelative(10.63f, -18.95f, 27.23f, -25.52f, 45.76f, -28.15f)
                close()
            }
        }
        .build()
        return _wolfPackBattalion!!
    }

private var _wolfPackBattalion: ImageVector? = null
