package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.AppleAlt: ImageVector
    get() {
        if (_appleAlt != null) {
            return _appleAlt!!
        }
        _appleAlt = Builder(name = "AppleAlt", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(350.85f, 129.0f)
                curveToRelative(25.97f, 4.67f, 47.27f, 18.67f, 63.92f, 42.0f)
                curveToRelative(14.65f, 20.67f, 24.64f, 46.67f, 29.96f, 78.0f)
                curveToRelative(4.67f, 28.67f, 4.32f, 57.33f, -1.0f, 86.0f)
                curveToRelative(-7.99f, 47.33f, -23.97f, 87.0f, -47.94f, 119.0f)
                curveToRelative(-28.64f, 38.67f, -64.59f, 58.0f, -107.87f, 58.0f)
                curveToRelative(-10.66f, 0.0f, -22.3f, -3.33f, -34.96f, -10.0f)
                curveToRelative(-8.66f, -5.33f, -18.31f, -8.0f, -28.97f, -8.0f)
                reflectiveCurveToRelative(-20.3f, 2.67f, -28.97f, 8.0f)
                curveToRelative(-12.66f, 6.67f, -24.3f, 10.0f, -34.96f, 10.0f)
                curveToRelative(-43.28f, 0.0f, -79.23f, -19.33f, -107.87f, -58.0f)
                curveToRelative(-23.97f, -32.0f, -39.95f, -71.67f, -47.94f, -119.0f)
                curveToRelative(-5.32f, -28.67f, -5.67f, -57.33f, -1.0f, -86.0f)
                curveToRelative(5.32f, -31.33f, 15.31f, -57.33f, 29.96f, -78.0f)
                curveToRelative(16.65f, -23.33f, 37.95f, -37.33f, 63.92f, -42.0f)
                curveToRelative(15.98f, -2.67f, 37.95f, -0.33f, 65.92f, 7.0f)
                curveToRelative(23.97f, 6.67f, 44.28f, 14.67f, 60.93f, 24.0f)
                curveToRelative(16.65f, -9.33f, 36.96f, -17.33f, 60.93f, -24.0f)
                curveToRelative(27.98f, -7.33f, 49.96f, -9.67f, 65.94f, -7.0f)
                close()
                moveTo(295.91f, 88.0f)
                curveToRelative(-9.32f, 8.67f, -21.65f, 15.0f, -36.96f, 19.0f)
                curveToRelative(-10.66f, 3.33f, -22.3f, 5.0f, -34.96f, 5.0f)
                lineToRelative(-14.98f, -1.0f)
                curveToRelative(-1.33f, -9.33f, -1.33f, -20.0f, 0.0f, -32.0f)
                curveToRelative(2.67f, -24.0f, 10.32f, -42.33f, 22.97f, -55.0f)
                curveToRelative(9.32f, -8.67f, 21.65f, -15.0f, 36.96f, -19.0f)
                curveToRelative(10.66f, -3.33f, 22.3f, -5.0f, 34.96f, -5.0f)
                lineToRelative(14.98f, 1.0f)
                lineToRelative(1.0f, 15.0f)
                curveToRelative(0.0f, 12.67f, -1.67f, 24.33f, -4.99f, 35.0f)
                curveToRelative(-3.99f, 15.33f, -10.31f, 27.67f, -18.98f, 37.0f)
                close()
            }
        }
        .build()
        return _appleAlt!!
    }

private var _appleAlt: ImageVector? = null
