package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Bicycle: ImageVector
    get() {
        if (_bicycle != null) {
            return _bicycle!!
        }
        _bicycle = Builder(name = "Bicycle", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(512.509f, 192.001f)
                curveToRelative(-16.373f, -0.064f, -32.03f, 2.955f, -46.436f, 8.495f)
                lineToRelative(-77.68f, -125.153f)
                arcTo(24.0f, 24.0f, 0.0f, false, false, 368.001f, 64.0f)
                horizontalLineToRelative(-64.0f)
                curveToRelative(-8.837f, 0.0f, -16.0f, 7.163f, -16.0f, 16.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 8.837f, 7.163f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(50.649f)
                lineToRelative(14.896f, 24.0f)
                lineTo(256.002f, 136.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -8.837f, -7.163f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-87.459f)
                curveToRelative(-13.441f, 0.0f, -24.777f, 10.999f, -24.536f, 24.437f)
                curveToRelative(0.232f, 13.044f, 10.876f, 23.563f, 23.995f, 23.563f)
                horizontalLineToRelative(48.726f)
                lineToRelative(-29.417f, 47.52f)
                curveToRelative(-13.433f, -4.83f, -27.904f, -7.483f, -42.992f, -7.52f)
                curveTo(58.094f, 191.83f, 0.412f, 249.012f, 0.002f, 319.236f)
                curveTo(-0.413f, 390.279f, 57.055f, 448.0f, 128.002f, 448.0f)
                curveToRelative(59.642f, 0.0f, 109.758f, -40.793f, 123.967f, -96.0f)
                horizontalLineToRelative(52.033f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, 20.406f, -11.367f)
                lineTo(410.37f, 201.77f)
                lineToRelative(14.938f, 24.067f)
                curveToRelative(-25.455f, 23.448f, -41.385f, 57.081f, -41.307f, 94.437f)
                curveToRelative(0.145f, 68.833f, 57.899f, 127.051f, 126.729f, 127.719f)
                curveToRelative(70.606f, 0.685f, 128.181f, -55.803f, 129.255f, -125.996f)
                curveToRelative(1.086f, -70.941f, -56.526f, -129.72f, -127.476f, -129.996f)
                close()
                moveTo(186.75f, 265.772f)
                curveToRelative(9.727f, 10.529f, 16.673f, 23.661f, 19.642f, 38.228f)
                horizontalLineToRelative(-43.306f)
                lineToRelative(23.664f, -38.228f)
                close()
                moveTo(128.002f, 400.0f)
                curveToRelative(-44.112f, 0.0f, -80.0f, -35.888f, -80.0f, -80.0f)
                reflectiveCurveToRelative(35.888f, -80.0f, 80.0f, -80.0f)
                curveToRelative(5.869f, 0.0f, 11.586f, 0.653f, 17.099f, 1.859f)
                lineToRelative(-45.505f, 73.509f)
                curveTo(89.715f, 331.327f, 101.213f, 352.0f, 120.002f, 352.0f)
                horizontalLineToRelative(81.3f)
                curveToRelative(-12.37f, 28.225f, -40.562f, 48.0f, -73.3f, 48.0f)
                close()
                moveTo(290.632f, 304.0f)
                horizontalLineToRelative(-35.624f)
                curveToRelative(-3.96f, -31.756f, -19.556f, -59.894f, -42.383f, -80.026f)
                lineTo(237.371f, 184.0f)
                horizontalLineToRelative(127.547f)
                lineToRelative(-74.286f, 120.0f)
                close()
                moveTo(507.689f, 399.886f)
                curveToRelative(-41.036f, -2.165f, -74.049f, -35.692f, -75.627f, -76.755f)
                curveToRelative(-0.812f, -21.121f, 6.633f, -40.518f, 19.335f, -55.263f)
                lineToRelative(44.433f, 71.586f)
                curveToRelative(4.66f, 7.508f, 14.524f, 9.816f, 22.032f, 5.156f)
                lineToRelative(13.594f, -8.437f)
                curveToRelative(7.508f, -4.66f, 9.817f, -14.524f, 5.156f, -22.032f)
                lineToRelative(-44.468f, -71.643f)
                arcToRelative(79.901f, 79.901f, 0.0f, false, true, 19.858f, -2.497f)
                curveToRelative(44.112f, 0.0f, 80.0f, 35.888f, 80.0f, 80.0f)
                curveToRelative(-0.001f, 45.54f, -38.252f, 82.316f, -84.313f, 79.885f)
                close()
            }
        }
        .build()
        return _bicycle!!
    }

private var _bicycle: ImageVector? = null
