package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Chess: ImageVector
    get() {
        if (_chess != null) {
            return _chess!!
        }
        _chess = Builder(name = "Chess", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(74.0f, 208.0f)
                lineTo(64.0f, 208.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, 16.0f)
                verticalLineToRelative(16.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, 16.0f)
                horizontalLineToRelative(15.94f)
                arcTo(535.78f, 535.78f, 0.0f, false, true, 64.0f, 384.0f)
                horizontalLineToRelative(128.0f)
                arcToRelative(535.78f, 535.78f, 0.0f, false, true, -15.94f, -128.0f)
                lineTo(192.0f, 256.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, -16.0f)
                verticalLineToRelative(-16.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, -16.0f)
                horizontalLineToRelative(-10.0f)
                lineToRelative(33.89f, -90.38f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -15.0f, -21.62f)
                lineTo(144.0f, 96.0f)
                lineTo(144.0f, 64.0f)
                horizontalLineToRelative(24.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, 8.0f, -8.0f)
                lineTo(176.0f, 40.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, -8.0f, -8.0f)
                horizontalLineToRelative(-24.0f)
                lineTo(144.0f, 8.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, -8.0f, -8.0f)
                horizontalLineToRelative(-16.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, -8.0f, 8.0f)
                verticalLineToRelative(24.0f)
                lineTo(88.0f, 32.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, -8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, 8.0f, 8.0f)
                horizontalLineToRelative(24.0f)
                verticalLineToRelative(32.0f)
                lineTo(55.09f, 96.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -15.0f, 21.62f)
                close()
                moveTo(247.16f, 459.58f)
                lineTo(224.0f, 448.0f)
                verticalLineToRelative(-16.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, -16.0f)
                lineTo(48.0f, 416.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, 16.0f)
                verticalLineToRelative(16.0f)
                lineTo(8.85f, 459.58f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 0.0f, 473.89f)
                lineTo(0.0f, 496.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, 16.0f)
                horizontalLineToRelative(224.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, -16.0f)
                verticalLineToRelative(-22.11f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -8.84f, -14.31f)
                close()
                moveTo(339.93f, 301.8f)
                lineToRelative(-3.29f, 82.2f)
                horizontalLineToRelative(126.72f)
                lineToRelative(-3.29f, -82.21f)
                lineToRelative(24.6f, -20.79f)
                arcTo(32.0f, 32.0f, 0.0f, false, false, 496.0f, 256.54f)
                lineTo(496.0f, 198.0f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -6.0f, -6.0f)
                horizontalLineToRelative(-26.38f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -6.0f, 6.0f)
                verticalLineToRelative(26.0f)
                horizontalLineToRelative(-24.71f)
                verticalLineToRelative(-26.0f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -6.0f, -6.0f)
                lineTo(373.1f, 192.0f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -6.0f, 6.0f)
                verticalLineToRelative(26.0f)
                horizontalLineToRelative(-24.71f)
                verticalLineToRelative(-26.0f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -6.0f, -6.0f)
                lineTo(310.0f, 192.0f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -6.0f, 6.0f)
                verticalLineToRelative(58.6f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, false, 11.36f, 24.4f)
                close()
                moveTo(384.0f, 304.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, true, 32.0f, 0.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(-32.0f)
                close()
                moveTo(503.16f, 459.58f)
                lineTo(480.0f, 448.0f)
                verticalLineToRelative(-16.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, -16.0f)
                lineTo(336.0f, 416.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, 16.0f)
                verticalLineToRelative(16.0f)
                lineToRelative(-23.15f, 11.58f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -8.85f, 14.31f)
                lineTo(288.0f, 496.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, 16.0f)
                horizontalLineToRelative(192.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, -16.0f)
                verticalLineToRelative(-22.11f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -8.84f, -14.31f)
                close()
            }
        }
        .build()
        return _chess!!
    }

private var _chess: ImageVector? = null
