package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.CommentsDollar: ImageVector
    get() {
        if (_commentsDollar != null) {
            return _commentsDollar!!
        }
        _commentsDollar = Builder(name = "CommentsDollar", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(416.0f, 192.0f)
                curveToRelative(0.0f, -88.37f, -93.12f, -160.0f, -208.0f, -160.0f)
                reflectiveCurveTo(0.0f, 103.63f, 0.0f, 192.0f)
                curveToRelative(0.0f, 34.27f, 14.13f, 65.95f, 37.97f, 91.98f)
                curveTo(24.61f, 314.22f, 2.52f, 338.16f, 2.2f, 338.5f)
                arcTo(7.995f, 7.995f, 0.0f, false, false, 8.0f, 352.0f)
                curveToRelative(36.58f, 0.0f, 66.93f, -12.25f, 88.73f, -24.98f)
                curveTo(128.93f, 342.76f, 167.02f, 352.0f, 208.0f, 352.0f)
                curveToRelative(114.88f, 0.0f, 208.0f, -71.63f, 208.0f, -160.0f)
                close()
                moveTo(192.0f, 288.0f)
                verticalLineToRelative(-16.29f)
                curveToRelative(-11.29f, -0.58f, -22.27f, -4.52f, -31.37f, -11.35f)
                curveToRelative(-3.9f, -2.93f, -4.1f, -8.77f, -0.57f, -12.14f)
                lineToRelative(11.75f, -11.21f)
                curveToRelative(2.77f, -2.64f, 6.89f, -2.76f, 10.13f, -0.73f)
                curveToRelative(3.87f, 2.42f, 8.26f, 3.72f, 12.82f, 3.72f)
                horizontalLineToRelative(28.11f)
                curveToRelative(6.5f, 0.0f, 11.8f, -5.92f, 11.8f, -13.19f)
                curveToRelative(0.0f, -5.95f, -3.61f, -11.19f, -8.77f, -12.73f)
                lineToRelative(-45.0f, -13.5f)
                curveToRelative(-18.59f, -5.58f, -31.58f, -23.42f, -31.58f, -43.39f)
                curveToRelative(0.0f, -24.52f, 19.05f, -44.44f, 42.67f, -45.07f)
                lineTo(191.99f, 96.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.29f)
                curveToRelative(11.29f, 0.58f, 22.27f, 4.51f, 31.37f, 11.35f)
                curveToRelative(3.9f, 2.93f, 4.1f, 8.77f, 0.57f, 12.14f)
                lineToRelative(-11.75f, 11.21f)
                curveToRelative(-2.77f, 2.64f, -6.89f, 2.76f, -10.13f, 0.73f)
                curveToRelative(-3.87f, -2.43f, -8.26f, -3.72f, -12.82f, -3.72f)
                horizontalLineToRelative(-28.11f)
                curveToRelative(-6.5f, 0.0f, -11.8f, 5.92f, -11.8f, 13.19f)
                curveToRelative(0.0f, 5.95f, 3.61f, 11.19f, 8.77f, 12.73f)
                lineToRelative(45.0f, 13.5f)
                curveToRelative(18.59f, 5.58f, 31.58f, 23.42f, 31.58f, 43.39f)
                curveToRelative(0.0f, 24.53f, -19.05f, 44.44f, -42.67f, 45.07f)
                lineTo(224.0f, 288.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                close()
                moveTo(538.01f, 411.99f)
                curveTo(561.87f, 385.96f, 576.0f, 354.27f, 576.0f, 320.0f)
                curveToRelative(0.0f, -66.94f, -53.49f, -124.2f, -129.33f, -148.07f)
                curveToRelative(0.86f, 6.6f, 1.33f, 13.29f, 1.33f, 20.07f)
                curveToRelative(0.0f, 105.87f, -107.66f, 192.0f, -240.0f, 192.0f)
                curveToRelative(-10.78f, 0.0f, -21.32f, -0.77f, -31.73f, -1.88f)
                curveTo(207.8f, 439.63f, 281.77f, 480.0f, 368.0f, 480.0f)
                curveToRelative(40.98f, 0.0f, 79.07f, -9.24f, 111.27f, -24.98f)
                curveTo(501.07f, 467.75f, 531.42f, 480.0f, 568.0f, 480.0f)
                curveToRelative(3.2f, 0.0f, 6.09f, -1.91f, 7.34f, -4.84f)
                curveToRelative(1.27f, -2.94f, 0.66f, -6.34f, -1.55f, -8.67f)
                curveToRelative(-0.31f, -0.33f, -22.42f, -24.24f, -35.78f, -54.5f)
                close()
            }
        }
        .build()
        return _commentsDollar!!
    }

private var _commentsDollar: ImageVector? = null
