package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.CompressArrowsAlt: ImageVector
    get() {
        if (_compressArrowsAlt != null) {
            return _compressArrowsAlt!!
        }
        _compressArrowsAlt = Builder(name = "CompressArrowsAlt", defaultWidth = 512.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(200.0f, 288.0f)
                lineTo(88.0f, 288.0f)
                curveToRelative(-21.4f, 0.0f, -32.1f, 25.8f, -17.0f, 41.0f)
                lineToRelative(32.9f, 31.0f)
                lineToRelative(-99.2f, 99.3f)
                curveToRelative(-6.2f, 6.2f, -6.2f, 16.4f, 0.0f, 22.6f)
                lineToRelative(25.4f, 25.4f)
                curveToRelative(6.2f, 6.2f, 16.4f, 6.2f, 22.6f, 0.0f)
                lineTo(152.0f, 408.0f)
                lineToRelative(31.1f, 33.0f)
                curveToRelative(15.1f, 15.1f, 40.9f, 4.4f, 40.9f, -17.0f)
                lineTo(224.0f, 312.0f)
                curveToRelative(0.0f, -13.3f, -10.7f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(312.0f, 224.0f)
                horizontalLineToRelative(112.0f)
                curveToRelative(21.4f, 0.0f, 32.1f, -25.9f, 17.0f, -41.0f)
                lineToRelative(-33.0f, -31.0f)
                lineToRelative(99.3f, -99.3f)
                curveToRelative(6.2f, -6.2f, 6.2f, -16.4f, 0.0f, -22.6f)
                lineTo(481.9f, 4.7f)
                curveToRelative(-6.2f, -6.2f, -16.4f, -6.2f, -22.6f, 0.0f)
                lineTo(360.0f, 104.0f)
                lineToRelative(-31.1f, -33.0f)
                curveTo(313.8f, 55.9f, 288.0f, 66.6f, 288.0f, 88.0f)
                verticalLineToRelative(112.0f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                close()
                moveTo(408.0f, 360.0f)
                lineToRelative(33.0f, -31.1f)
                curveToRelative(15.1f, -15.1f, 4.4f, -40.9f, -17.0f, -40.9f)
                lineTo(312.0f, 288.0f)
                curveToRelative(-13.3f, 0.0f, -24.0f, 10.7f, -24.0f, 24.0f)
                verticalLineToRelative(112.0f)
                curveToRelative(0.0f, 21.4f, 25.9f, 32.1f, 41.0f, 17.0f)
                lineToRelative(31.0f, -32.9f)
                lineToRelative(99.3f, 99.3f)
                curveToRelative(6.2f, 6.2f, 16.4f, 6.2f, 22.6f, 0.0f)
                lineToRelative(25.4f, -25.4f)
                curveToRelative(6.2f, -6.2f, 6.2f, -16.4f, 0.0f, -22.6f)
                lineTo(408.0f, 360.0f)
                close()
                moveTo(183.0f, 71.1f)
                lineTo(152.0f, 104.0f)
                lineTo(52.7f, 4.7f)
                curveToRelative(-6.2f, -6.2f, -16.4f, -6.2f, -22.6f, 0.0f)
                lineTo(4.7f, 30.1f)
                curveToRelative(-6.2f, 6.2f, -6.2f, 16.4f, 0.0f, 22.6f)
                lineTo(104.0f, 152.0f)
                lineToRelative(-33.0f, 31.1f)
                curveTo(55.9f, 198.2f, 66.6f, 224.0f, 88.0f, 224.0f)
                horizontalLineToRelative(112.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(224.0f, 88.0f)
                curveToRelative(0.0f, -21.3f, -25.9f, -32.0f, -41.0f, -16.9f)
                close()
            }
        }
        .build()
        return _compressArrowsAlt!!
    }

private var _compressArrowsAlt: ImageVector? = null
