package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.GrinSquintTears: ImageVector
    get() {
        if (_grinSquintTears != null) {
            return _grinSquintTears!!
        }
        _grinSquintTears = Builder(name = "GrinSquintTears", defaultWidth = 512.0.dp, defaultHeight
                = 512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(409.6f, 111.9f)
                curveToRelative(22.6f, -3.2f, 73.5f, -12.0f, 88.3f, -26.8f)
                curveToRelative(19.2f, -19.2f, 18.9f, -50.6f, -0.7f, -70.2f)
                reflectiveCurveTo(446.0f, -5.0f, 426.9f, 14.2f)
                curveToRelative(-14.8f, 14.8f, -23.5f, 65.7f, -26.8f, 88.3f)
                curveToRelative(-0.8f, 5.5f, 3.9f, 10.2f, 9.5f, 9.4f)
                close()
                moveTo(102.4f, 400.1f)
                curveToRelative(-22.6f, 3.2f, -73.5f, 12.0f, -88.3f, 26.8f)
                curveToRelative(-19.1f, 19.1f, -18.8f, 50.6f, 0.8f, 70.2f)
                reflectiveCurveToRelative(51.0f, 19.9f, 70.2f, 0.7f)
                curveToRelative(14.8f, -14.8f, 23.5f, -65.7f, 26.8f, -88.3f)
                curveToRelative(0.8f, -5.5f, -3.9f, -10.2f, -9.5f, -9.4f)
                close()
                moveTo(414.1f, 143.6f)
                curveToRelative(-33.0f, 3.9f, -48.6f, -25.1f, -45.7f, -45.7f)
                curveToRelative(3.4f, -24.0f, 7.4f, -42.1f, 11.5f, -56.5f)
                curveTo(285.1f, -13.4f, 161.8f, -0.5f, 80.6f, 80.6f)
                curveTo(-0.5f, 161.7f, -13.4f, 285.0f, 41.4f, 379.9f)
                curveToRelative(14.4f, -4.1f, 32.4f, -8.0f, 56.5f, -11.5f)
                curveToRelative(33.2f, -3.9f, 48.6f, 25.2f, 45.7f, 45.7f)
                curveToRelative(-3.4f, 24.0f, -7.4f, 42.1f, -11.5f, 56.5f)
                curveToRelative(94.8f, 54.8f, 218.1f, 41.9f, 299.3f, -39.2f)
                reflectiveCurveToRelative(94.0f, -204.4f, 39.2f, -299.3f)
                curveToRelative(-14.4f, 4.1f, -32.5f, 8.0f, -56.5f, 11.5f)
                close()
                moveTo(255.7f, 106.0f)
                curveToRelative(3.3f, -13.2f, 22.4f, -11.5f, 23.6f, 1.8f)
                lineToRelative(4.8f, 52.3f)
                lineToRelative(52.3f, 4.8f)
                curveToRelative(13.4f, 1.2f, 14.9f, 20.3f, 1.8f, 23.6f)
                lineToRelative(-90.5f, 22.6f)
                curveToRelative(-8.9f, 2.2f, -16.7f, -5.9f, -14.5f, -14.5f)
                lineToRelative(22.5f, -90.6f)
                close()
                moveTo(164.8f, 336.3f)
                lineTo(160.0f, 284.0f)
                lineToRelative(-52.3f, -4.8f)
                curveToRelative(-13.4f, -1.2f, -14.9f, -20.3f, -1.8f, -23.6f)
                lineToRelative(90.5f, -22.6f)
                curveToRelative(8.8f, -2.2f, 16.7f, 5.8f, 14.5f, 14.5f)
                lineTo(188.3f, 338.0f)
                curveToRelative(-3.1f, 13.2f, -22.2f, 11.7f, -23.5f, -1.7f)
                close()
                moveTo(380.5f, 380.5f)
                curveToRelative(-29.3f, 29.3f, -75.7f, 50.4f, -116.7f, 50.4f)
                curveToRelative(-18.9f, 0.0f, -36.6f, -4.5f, -51.0f, -14.7f)
                curveToRelative(-9.8f, -6.9f, -8.7f, -21.8f, 2.0f, -27.2f)
                curveToRelative(28.3f, -14.6f, 63.9f, -42.4f, 97.8f, -76.3f)
                reflectiveCurveToRelative(61.7f, -69.6f, 76.3f, -97.8f)
                curveToRelative(5.4f, -10.5f, 20.2f, -11.9f, 27.3f, -2.0f)
                curveToRelative(32.3f, 45.3f, 7.1f, 124.7f, -35.7f, 167.6f)
                close()
            }
        }
        .build()
        return _grinSquintTears!!
    }

private var _grinSquintTears: ImageVector? = null
