package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.GrinTears: ImageVector
    get() {
        if (_grinTears != null) {
            return _grinTears!!
        }
        _grinTears = Builder(name = "GrinTears", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(102.4f, 256.1f)
                curveToRelative(-22.6f, 3.2f, -73.5f, 12.0f, -88.3f, 26.8f)
                curveToRelative(-19.1f, 19.1f, -18.8f, 50.6f, 0.8f, 70.2f)
                reflectiveCurveToRelative(51.0f, 19.9f, 70.2f, 0.7f)
                curveToRelative(14.8f, -14.8f, 23.5f, -65.7f, 26.8f, -88.3f)
                curveToRelative(0.8f, -5.5f, -3.9f, -10.2f, -9.5f, -9.4f)
                close()
                moveTo(625.8f, 282.9f)
                curveToRelative(-14.8f, -14.8f, -65.7f, -23.5f, -88.3f, -26.8f)
                curveToRelative(-5.5f, -0.8f, -10.3f, 3.9f, -9.5f, 9.5f)
                curveToRelative(3.2f, 22.6f, 12.0f, 73.5f, 26.8f, 88.3f)
                curveToRelative(19.2f, 19.2f, 50.6f, 18.9f, 70.2f, -0.7f)
                reflectiveCurveToRelative(20.0f, -51.2f, 0.8f, -70.3f)
                close()
                moveTo(496.4f, 270.1f)
                curveToRelative(-3.8f, -26.6f, 19.1f, -49.5f, 45.7f, -45.7f)
                curveToRelative(8.9f, 1.3f, 16.8f, 2.7f, 24.3f, 4.1f)
                curveTo(552.7f, 104.5f, 447.7f, 8.0f, 320.0f, 8.0f)
                reflectiveCurveTo(87.3f, 104.5f, 73.6f, 228.5f)
                curveToRelative(7.5f, -1.4f, 15.4f, -2.8f, 24.3f, -4.1f)
                curveToRelative(33.2f, -3.9f, 48.6f, 25.3f, 45.7f, 45.7f)
                curveToRelative(-11.8f, 82.3f, -29.9f, 100.4f, -35.8f, 106.4f)
                curveToRelative(-0.9f, 0.9f, -2.0f, 1.6f, -3.0f, 2.5f)
                curveToRelative(42.7f, 74.6f, 123.0f, 125.0f, 215.2f, 125.0f)
                reflectiveCurveToRelative(172.5f, -50.4f, 215.2f, -125.1f)
                curveToRelative(-1.0f, -0.9f, -2.1f, -1.5f, -3.0f, -2.5f)
                curveToRelative(-5.9f, -5.9f, -24.0f, -24.0f, -35.8f, -106.3f)
                close()
                moveTo(400.0f, 152.0f)
                curveToRelative(23.8f, 0.0f, 52.7f, 29.3f, 56.0f, 71.4f)
                curveToRelative(0.7f, 8.6f, -10.8f, 12.0f, -14.9f, 4.5f)
                lineToRelative(-9.5f, -17.0f)
                curveToRelative(-7.7f, -13.7f, -19.2f, -21.6f, -31.5f, -21.6f)
                reflectiveCurveToRelative(-23.8f, 7.9f, -31.5f, 21.6f)
                lineToRelative(-9.5f, 17.0f)
                curveToRelative(-4.2f, 7.4f, -15.6f, 4.0f, -14.9f, -4.5f)
                curveToRelative(3.1f, -42.1f, 32.0f, -71.4f, 55.8f, -71.4f)
                close()
                moveTo(240.0f, 152.0f)
                curveToRelative(23.8f, 0.0f, 52.7f, 29.3f, 56.0f, 71.4f)
                curveToRelative(0.7f, 8.6f, -10.8f, 12.0f, -14.9f, 4.5f)
                lineToRelative(-9.5f, -17.0f)
                curveToRelative(-7.7f, -13.7f, -19.2f, -21.6f, -31.5f, -21.6f)
                reflectiveCurveToRelative(-23.8f, 7.9f, -31.5f, 21.6f)
                lineToRelative(-9.5f, 17.0f)
                curveToRelative(-4.2f, 7.4f, -15.6f, 4.0f, -14.9f, -4.5f)
                curveToRelative(3.1f, -42.1f, 32.0f, -71.4f, 55.8f, -71.4f)
                close()
                moveTo(320.0f, 432.0f)
                curveToRelative(-60.6f, 0.0f, -134.5f, -38.3f, -143.8f, -93.3f)
                curveToRelative(-2.0f, -11.7f, 9.2f, -21.6f, 20.7f, -17.9f)
                curveTo(227.1f, 330.5f, 272.0f, 336.0f, 320.0f, 336.0f)
                reflectiveCurveToRelative(92.9f, -5.5f, 123.1f, -15.2f)
                curveToRelative(11.4f, -3.7f, 22.6f, 6.1f, 20.7f, 17.9f)
                curveToRelative(-9.3f, 55.0f, -83.2f, 93.3f, -143.8f, 93.3f)
                close()
            }
        }
        .build()
        return _grinTears!!
    }

private var _grinTears: ImageVector? = null
