package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Jedi: ImageVector
    get() {
        if (_jedi != null) {
            return _jedi!!
        }
        _jedi = Builder(name = "Jedi", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(535.953f, 352.0f)
                curveToRelative(-42.641f, 94.172f, -137.641f, 160.0f, -247.985f, 160.0f)
                quadToRelative(-6.398f, 0.0f, -12.844f, -0.297f)
                curveTo(171.156f, 506.938f, 81.265f, 442.234f, 40.015f, 352.0f)
                horizontalLineTo(79.937f)
                lineTo(21.327f, 293.406f)
                arcToRelative(264.825f, 264.825f, 0.0f, false, true, -5.109f, -39.422f)
                arcToRelative(273.665f, 273.665f, 0.0f, false, true, 0.5f, -29.984f)
                horizontalLineTo(63.937f)
                lineTo(22.546f, 182.625f)
                arcTo(269.798f, 269.798f, 0.0f, false, true, 130.515f, 20.547f)
                arcToRelative(16.064f, 16.064f, 0.0f, false, true, 9.281f, -3.0f)
                arcToRelative(16.363f, 16.363f, 0.0f, false, true, 13.5f, 7.25f)
                arcToRelative(16.027f, 16.027f, 0.0f, false, true, 1.625f, 15.094f)
                arcToRelative(138.387f, 138.387f, 0.0f, false, false, -9.844f, 51.266f)
                curveToRelative(0.0f, 45.109f, 21.047f, 86.578f, 57.719f, 113.734f)
                arcToRelative(16.3f, 16.3f, 0.0f, false, true, 1.203f, 25.391f)
                curveToRelative(-26.547f, 23.984f, -41.172f, 56.5f, -41.172f, 91.578f)
                curveToRelative(0.0f, 60.031f, 42.953f, 110.281f, 99.891f, 121.922f)
                lineToRelative(2.5f, -65.266f)
                lineTo(238.062f, 397.0f)
                arcToRelative(8.339f, 8.339f, 0.0f, false, true, -10.0f, -0.75f)
                arcToRelative(8.025f, 8.025f, 0.0f, false, true, -1.391f, -9.938f)
                lineToRelative(20.125f, -33.766f)
                lineToRelative(-42.063f, -8.734f)
                arcToRelative(7.99f, 7.99f, 0.0f, false, true, 0.0f, -15.656f)
                lineToRelative(42.063f, -8.719f)
                lineToRelative(-20.109f, -33.734f)
                arcToRelative(7.991f, 7.991f, 0.0f, false, true, 11.359f, -10.719f)
                lineTo(268.437f, 295.641f)
                lineTo(279.953f, 7.672f)
                arcToRelative(7.971f, 7.971f, 0.0f, false, true, 8.0f, -7.672f)
                horizontalLineToRelative(0.047f)
                arcToRelative(8.021f, 8.021f, 0.0f, false, true, 7.953f, 7.703f)
                lineTo(307.484f, 295.625f)
                lineToRelative(30.391f, -20.672f)
                arcToRelative(8.083f, 8.083f, 0.0f, false, true, 10.0f, 0.813f)
                arcToRelative(7.999f, 7.999f, 0.0f, false, true, 1.391f, 9.906f)
                lineTo(329.125f, 319.438f)
                lineToRelative(42.078f, 8.734f)
                arcToRelative(7.994f, 7.994f, 0.0f, false, true, 0.0f, 15.656f)
                lineToRelative(-42.078f, 8.719f)
                lineToRelative(20.109f, 33.734f)
                arcToRelative(7.978f, 7.978f, 0.0f, false, true, -1.328f, 9.922f)
                arcTo(8.257f, 8.257f, 0.0f, false, true, 337.875f, 397.0f)
                lineTo(310.703f, 378.531f)
                lineToRelative(2.5f, 65.344f)
                curveToRelative(48.484f, -9.406f, 87.578f, -48.156f, 97.313f, -96.5f)
                arcTo(123.527f, 123.527f, 0.0f, false, false, 371.953f, 230.297f)
                arcToRelative(16.306f, 16.306f, 0.0f, false, true, 1.203f, -25.422f)
                curveToRelative(36.656f, -27.172f, 57.688f, -68.609f, 57.688f, -113.734f)
                arcToRelative(138.017f, 138.017f, 0.0f, false, false, -9.859f, -51.313f)
                arcToRelative(15.981f, 15.981f, 0.0f, false, true, 1.609f, -15.094f)
                arcToRelative(16.369f, 16.369f, 0.0f, false, true, 13.5f, -7.234f)
                arcToRelative(16.025f, 16.025f, 0.0f, false, true, 9.25f, 2.984f)
                arcTo(271.269f, 271.269f, 0.0f, false, true, 553.25f, 182.766f)
                lineTo(512.0f, 224.0f)
                horizontalLineToRelative(46.953f)
                curveTo(559.313f, 229.766f, 560.0f, 235.453f, 560.0f, 241.266f)
                arcToRelative(270.092f, 270.092f, 0.0f, false, true, -5.125f, 51.859f)
                lineTo(495.984f, 352.0f)
                close()
            }
        }
        .build()
        return _jedi!!
    }

private var _jedi: ImageVector? = null
