package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.JournalWhills: ImageVector
    get() {
        if (_journalWhills != null) {
            return _journalWhills!!
        }
        _journalWhills = Builder(name = "JournalWhills", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(438.406f, 377.594f)
                curveToRelative(-3.203f, 12.813f, -3.203f, 57.609f, 0.0f, 73.609f)
                quadTo(447.992f, 460.789f, 448.0f, 470.406f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 16.0f, -12.797f, 25.594f, -25.594f, 25.594f)
                horizontalLineTo(96.0f)
                curveToRelative(-54.406f, 0.0f, -96.0f, -41.594f, -96.0f, -96.0f)
                verticalLineTo(96.0f)
                curveTo(0.0f, 41.594f, 41.594f, 0.0f, 96.0f, 0.0f)
                horizontalLineTo(422.406f)
                curveTo(438.406f, 0.0f, 448.0f, 9.594f, 448.0f, 25.594f)
                verticalLineToRelative(332.813f)
                quadTo(448.0f, 372.797f, 438.406f, 377.594f)
                close()
                moveTo(380.797f, 384.0f)
                horizontalLineTo(96.0f)
                curveToRelative(-16.0f, 0.0f, -32.0f, 12.797f, -32.0f, 32.0f)
                reflectiveCurveToRelative(12.797f, 32.0f, 32.0f, 32.0f)
                horizontalLineTo(380.797f)
                close()
                moveTo(128.016f, 176.016f)
                curveToRelative(0.0f, 0.516f, 0.141f, 0.984f, 0.141f, 1.5f)
                lineToRelative(37.109f, 32.469f)
                arcTo(8.0f, 8.0f, 0.0f, false, true, 160.0f, 224.0f)
                horizontalLineToRelative(-0.016f)
                arcToRelative(9.177f, 9.177f, 0.0f, false, true, -5.25f, -1.984f)
                lineTo(131.141f, 201.375f)
                curveTo(142.688f, 250.953f, 186.906f, 288.0f, 240.0f, 288.0f)
                reflectiveCurveToRelative(97.313f, -37.047f, 108.875f, -86.625f)
                lineToRelative(-23.594f, 20.641f)
                arcToRelative(8.025f, 8.025f, 0.0f, false, true, -5.266f, 1.969f)
                horizontalLineTo(320.0f)
                arcToRelative(9.146f, 9.146f, 0.0f, false, true, -6.016f, -2.719f)
                arcTo(9.265f, 9.265f, 0.0f, false, true, 312.0f, 216.0f)
                arcToRelative(9.097f, 9.097f, 0.0f, false, true, 2.734f, -6.016f)
                lineToRelative(37.109f, -32.469f)
                curveToRelative(0.016f, -0.531f, 0.156f, -1.0f, 0.156f, -1.516f)
                curveToRelative(0.0f, -11.047f, -2.094f, -21.516f, -5.063f, -31.594f)
                lineToRelative(-21.266f, 21.25f)
                arcToRelative(8.005f, 8.005f, 0.0f, false, true, -11.328f, -11.313f)
                lineToRelative(26.422f, -26.406f)
                arcToRelative(111.815f, 111.815f, 0.0f, false, false, -46.359f, -49.266f)
                arcToRelative(63.023f, 63.023f, 0.0f, false, true, -14.063f, 82.641f)
                arcTo(55.838f, 55.838f, 0.0f, false, true, 251.625f, 254.734f)
                lineToRelative(-1.422f, -34.281f)
                lineToRelative(12.672f, 8.625f)
                arcToRelative(3.967f, 3.967f, 0.0f, false, false, 2.25f, 0.688f)
                arcToRelative(3.981f, 3.981f, 0.0f, false, false, 3.437f, -6.031f)
                lineToRelative(-8.531f, -14.313f)
                lineToRelative(17.906f, -3.719f)
                arcToRelative(4.006f, 4.006f, 0.0f, false, false, 0.0f, -7.844f)
                lineToRelative(-17.906f, -3.719f)
                lineToRelative(8.531f, -14.313f)
                arcToRelative(3.981f, 3.981f, 0.0f, false, false, -3.437f, -6.031f)
                arcToRelative(4.726f, 4.726f, 0.0f, false, false, -2.25f, 0.672f)
                lineTo(248.688f, 184.125f)
                lineTo(244.0f, 71.828f)
                arcToRelative(4.004f, 4.004f, 0.0f, false, false, -8.0f, 0.0f)
                lineToRelative(-4.625f, 110.813f)
                lineToRelative(-12.0f, -8.156f)
                arcToRelative(4.003f, 4.003f, 0.0f, false, false, -5.688f, 5.359f)
                lineToRelative(8.531f, 14.313f)
                lineTo(204.313f, 197.875f)
                arcToRelative(3.997f, 3.997f, 0.0f, false, false, 0.0f, 7.828f)
                lineToRelative(17.906f, 3.734f)
                lineToRelative(-8.531f, 14.297f)
                arcToRelative(4.725f, 4.725f, 0.0f, false, false, -0.562f, 2.047f)
                arcToRelative(4.595f, 4.595f, 0.0f, false, false, 1.25f, 2.906f)
                arcToRelative(4.011f, 4.011f, 0.0f, false, false, 2.75f, 1.094f)
                arcToRelative(4.09f, 4.09f, 0.0f, false, false, 2.25f, -0.688f)
                lineToRelative(10.359f, -7.047f)
                lineTo(228.375f, 254.766f)
                arcToRelative(55.864f, 55.864f, 0.0f, false, true, -28.719f, -93.453f)
                arcToRelative(63.011f, 63.011f, 0.0f, false, true, -14.047f, -82.656f)
                arcToRelative(111.932f, 111.932f, 0.0f, false, false, -46.375f, 49.266f)
                lineToRelative(26.422f, 26.422f)
                arcToRelative(7.999f, 7.999f, 0.0f, false, true, -11.313f, 11.313f)
                lineToRelative(-21.266f, -21.266f)
                curveTo(130.094f, 154.484f, 128.0f, 164.953f, 128.016f, 176.016f)
                close()
            }
        }
        .build()
        return _journalWhills!!
    }

private var _journalWhills: ImageVector? = null
