package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Medkit: ImageVector
    get() {
        if (_medkit != null) {
            return _medkit!!
        }
        _medkit = Builder(name = "Medkit", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(96.0f, 480.0f)
                horizontalLineToRelative(320.0f)
                lineTo(416.0f, 128.0f)
                horizontalLineToRelative(-32.0f)
                lineTo(384.0f, 80.0f)
                curveToRelative(0.0f, -26.51f, -21.49f, -48.0f, -48.0f, -48.0f)
                lineTo(176.0f, 32.0f)
                curveToRelative(-26.51f, 0.0f, -48.0f, 21.49f, -48.0f, 48.0f)
                verticalLineToRelative(48.0f)
                lineTo(96.0f, 128.0f)
                verticalLineToRelative(352.0f)
                close()
                moveTo(192.0f, 96.0f)
                horizontalLineToRelative(128.0f)
                verticalLineToRelative(32.0f)
                lineTo(192.0f, 128.0f)
                lineTo(192.0f, 96.0f)
                close()
                moveTo(512.0f, 176.0f)
                verticalLineToRelative(256.0f)
                curveToRelative(0.0f, 26.51f, -21.49f, 48.0f, -48.0f, 48.0f)
                horizontalLineToRelative(-16.0f)
                lineTo(448.0f, 128.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(26.51f, 0.0f, 48.0f, 21.49f, 48.0f, 48.0f)
                close()
                moveTo(64.0f, 480.0f)
                lineTo(48.0f, 480.0f)
                curveToRelative(-26.51f, 0.0f, -48.0f, -21.49f, -48.0f, -48.0f)
                lineTo(0.0f, 176.0f)
                curveToRelative(0.0f, -26.51f, 21.49f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(16.0f)
                verticalLineToRelative(352.0f)
                close()
                moveTo(352.0f, 272.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.837f, -7.163f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-48.0f)
                verticalLineToRelative(48.0f)
                curveToRelative(0.0f, 8.837f, -7.163f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.837f, 0.0f, -16.0f, -7.163f, -16.0f, -16.0f)
                verticalLineToRelative(-48.0f)
                horizontalLineToRelative(-48.0f)
                curveToRelative(-8.837f, 0.0f, -16.0f, -7.163f, -16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.837f, 7.163f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(48.0f)
                verticalLineToRelative(-48.0f)
                curveToRelative(0.0f, -8.837f, 7.163f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.837f, 0.0f, 16.0f, 7.163f, 16.0f, 16.0f)
                verticalLineToRelative(48.0f)
                horizontalLineToRelative(48.0f)
                curveToRelative(8.837f, 0.0f, 16.0f, 7.163f, 16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _medkit!!
    }

private var _medkit: ImageVector? = null
