package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Stroopwafel: ImageVector
    get() {
        if (_stroopwafel != null) {
            return _stroopwafel!!
        }
        _stroopwafel = Builder(name = "Stroopwafel", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(188.12f, 210.74f)
                lineTo(142.86f, 256.0f)
                lineToRelative(45.25f, 45.25f)
                lineTo(233.37f, 256.0f)
                lineToRelative(-45.25f, -45.26f)
                close()
                moveTo(301.25f, 188.12f)
                lineTo(256.0f, 142.86f)
                lineToRelative(-45.25f, 45.25f)
                lineTo(256.0f, 233.37f)
                lineToRelative(45.25f, -45.25f)
                close()
                moveTo(210.75f, 323.88f)
                lineTo(256.0f, 369.14f)
                lineToRelative(45.26f, -45.26f)
                lineTo(256.0f, 278.63f)
                lineToRelative(-45.25f, 45.25f)
                close()
                moveTo(256.0f, 0.0f)
                curveTo(114.62f, 0.0f, 0.0f, 114.62f, 0.0f, 256.0f)
                reflectiveCurveToRelative(114.62f, 256.0f, 256.0f, 256.0f)
                reflectiveCurveToRelative(256.0f, -114.62f, 256.0f, -256.0f)
                reflectiveCurveTo(397.38f, 0.0f, 256.0f, 0.0f)
                close()
                moveTo(442.68f, 295.6f)
                lineToRelative(-11.31f, 11.31f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-28.29f, -28.29f)
                lineToRelative(-45.25f, 45.25f)
                lineToRelative(33.94f, 33.94f)
                lineToRelative(16.97f, -16.97f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(11.31f, 11.31f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-16.97f, 16.97f)
                lineToRelative(16.97f, 16.97f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-11.31f, 11.31f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-16.97f, -16.97f)
                lineToRelative(-16.97f, 16.97f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-11.31f, -11.31f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(16.97f, -16.97f)
                lineToRelative(-33.94f, -33.94f)
                lineToRelative(-45.26f, 45.26f)
                lineToRelative(28.29f, 28.29f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-11.31f, 11.31f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineTo(256.0f, 414.39f)
                lineToRelative(-28.29f, 28.29f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-11.31f, -11.31f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(28.29f, -28.29f)
                lineToRelative(-45.25f, -45.26f)
                lineToRelative(-33.94f, 33.94f)
                lineToRelative(16.97f, 16.97f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-11.31f, 11.31f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-16.97f, -16.97f)
                lineToRelative(-16.97f, 16.97f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-11.31f, -11.31f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(16.97f, -16.97f)
                lineToRelative(-16.97f, -16.97f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(11.31f, -11.31f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(16.97f, 16.97f)
                lineToRelative(33.94f, -33.94f)
                lineToRelative(-45.25f, -45.25f)
                lineToRelative(-28.29f, 28.29f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineTo(69.32f, 295.6f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineTo(97.61f, 256.0f)
                lineToRelative(-28.29f, -28.29f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(11.31f, -11.31f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(28.29f, 28.29f)
                lineToRelative(45.25f, -45.26f)
                lineToRelative(-33.94f, -33.94f)
                lineToRelative(-16.97f, 16.97f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-11.31f, -11.31f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(16.97f, -16.97f)
                lineToRelative(-16.97f, -16.97f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(11.31f, -11.31f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(16.97f, 16.97f)
                lineToRelative(16.97f, -16.97f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(11.31f, 11.31f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-16.97f, 16.97f)
                lineToRelative(33.94f, 33.94f)
                lineToRelative(45.26f, -45.25f)
                lineToRelative(-28.29f, -28.29f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(11.31f, -11.31f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineTo(256.0f, 97.61f)
                lineToRelative(28.29f, -28.29f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(11.31f, 11.31f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-28.29f, 28.29f)
                lineToRelative(45.26f, 45.25f)
                lineToRelative(33.94f, -33.94f)
                lineToRelative(-16.97f, -16.97f)
                curveToRelative(-3.12f, -3.12f, -3.12f, -8.19f, 0.0f, -11.31f)
                lineToRelative(11.31f, -11.31f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(16.97f, 16.97f)
                lineToRelative(16.97f, -16.97f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(11.31f, 11.31f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-16.97f, 16.97f)
                lineToRelative(16.97f, 16.97f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineToRelative(-11.31f, 11.31f)
                curveToRelative(-3.12f, 3.12f, -8.19f, 3.12f, -11.31f, 0.0f)
                lineToRelative(-16.97f, -16.97f)
                lineToRelative(-33.94f, 33.94f)
                lineToRelative(45.25f, 45.26f)
                lineToRelative(28.29f, -28.29f)
                curveToRelative(3.12f, -3.12f, 8.19f, -3.12f, 11.31f, 0.0f)
                lineToRelative(11.31f, 11.31f)
                curveToRelative(3.12f, 3.12f, 3.12f, 8.19f, 0.0f, 11.31f)
                lineTo(414.39f, 256.0f)
                lineToRelative(28.29f, 28.28f)
                arcToRelative(8.015f, 8.015f, 0.0f, false, true, 0.0f, 11.32f)
                close()
                moveTo(278.63f, 256.0f)
                lineToRelative(45.26f, 45.25f)
                lineTo(369.14f, 256.0f)
                lineToRelative(-45.25f, -45.26f)
                lineTo(278.63f, 256.0f)
                close()
            }
        }
        .build()
        return _stroopwafel!!
    }

private var _stroopwafel: ImageVector? = null
