package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Airbus: ImageVector
    get() {
        if (_airbus != null) {
            return _airbus!!
        }
        _airbus = Builder(name = "Airbus", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.062f, 11.294f)
                curveToRelative(0.0f, 0.74f, -0.389f, 1.162f, -0.993f, 1.305f)
                curveToRelative(-0.007f, 0.0f, 0.967f, 1.53f, 0.967f, 1.53f)
                horizontalLineToRelative(-1.18f)
                lineTo(8.43f, 11.853f)
                horizontalLineToRelative(1.006f)
                curveToRelative(0.435f, 0.0f, 0.597f, -0.24f, 0.597f, -0.532f)
                curveToRelative(0.0f, -0.285f, -0.156f, -0.532f, -0.59f, -0.532f)
                lineTo(8.266f, 10.789f)
                verticalLineToRelative(3.342f)
                lineTo(7.228f, 14.131f)
                lineTo(7.228f, 9.867f)
                horizontalLineToRelative(2.206f)
                curveToRelative(1.096f, 0.0f, 1.628f, 0.616f, 1.628f, 1.427f)
                moveTo(5.49f, 14.13f)
                horizontalLineToRelative(1.038f)
                lineTo(6.528f, 9.867f)
                lineTo(5.49f, 9.867f)
                close()
                moveTo(2.174f, 9.867f)
                lineTo(0.0f, 14.13f)
                horizontalLineToRelative(1.168f)
                lineToRelative(0.352f, -0.714f)
                horizontalLineToRelative(1.75f)
                lineToRelative(-0.435f, -0.895f)
                horizontalLineToRelative(-0.873f)
                lineToRelative(0.646f, -1.312f)
                horizontalLineToRelative(0.013f)
                lineToRelative(1.453f, 2.92f)
                horizontalLineToRelative(1.194f)
                lineTo(3.095f, 9.868f)
                close()
                moveTo(14.853f, 11.917f)
                curveToRelative(0.409f, 0.144f, 0.688f, 0.52f, 0.688f, 1.02f)
                curveToRelative(0.0f, 0.72f, -0.577f, 1.194f, -1.46f, 1.194f)
                horizontalLineToRelative(-2.525f)
                lineTo(11.556f, 9.867f)
                horizontalLineToRelative(2.428f)
                curveToRelative(0.863f, 0.0f, 1.376f, 0.461f, 1.376f, 1.148f)
                curveToRelative(-0.001f, 0.428f, -0.176f, 0.72f, -0.507f, 0.902f)
                moveToRelative(-2.258f, -0.396f)
                horizontalLineToRelative(1.382f)
                arcToRelative(0.368f, 0.368f, 0.0f, false, false, 0.376f, -0.376f)
                arcToRelative(0.367f, 0.367f, 0.0f, false, false, -0.37f, -0.376f)
                horizontalLineToRelative(-1.388f)
                close()
                moveTo(14.009f, 13.235f)
                arcToRelative(0.435f, 0.435f, 0.0f, false, false, 0.448f, -0.441f)
                curveToRelative(0.0f, -0.247f, -0.195f, -0.428f, -0.448f, -0.428f)
                horizontalLineToRelative(-1.414f)
                verticalLineToRelative(0.869f)
                horizontalLineToRelative(1.414f)
                moveToRelative(4.808f, -0.986f)
                curveToRelative(0.0f, 0.647f, -0.298f, 1.006f, -0.89f, 1.006f)
                curveToRelative(-0.583f, 0.0f, -0.881f, -0.36f, -0.881f, -1.006f)
                lineTo(17.046f, 9.867f)
                horizontalLineToRelative(-1.064f)
                verticalLineToRelative(2.304f)
                curveToRelative(0.0f, 1.317f, 0.694f, 2.05f, 1.946f, 2.05f)
                reflectiveCurveToRelative(1.953f, -0.733f, 1.953f, -2.05f)
                lineTo(19.881f, 9.867f)
                horizontalLineToRelative(-1.064f)
                close()
                moveTo(22.651f, 11.56f)
                curveToRelative(-0.985f, -0.24f, -1.2f, -0.263f, -1.2f, -0.545f)
                curveToRelative(0.0f, -0.218f, 0.246f, -0.324f, 0.662f, -0.324f)
                curveToRelative(0.55f, 0.0f, 1.139f, 0.138f, 1.473f, 0.344f)
                lineToRelative(0.331f, -0.869f)
                curveToRelative(-0.428f, -0.227f, -1.058f, -0.389f, -1.791f, -0.389f)
                curveToRelative(-1.097f, 0.0f, -1.713f, 0.545f, -1.713f, 1.278f)
                curveToRelative(0.0f, 0.79f, 0.46f, 1.11f, 1.518f, 1.338f)
                curveToRelative(0.824f, 0.182f, 0.999f, 0.295f, 0.999f, 0.526f)
                curveToRelative(0.0f, 0.25f, -0.227f, 0.363f, -0.675f, 0.363f)
                arcToRelative(3.565f, 3.565f, 0.0f, false, true, -1.706f, -0.415f)
                lineToRelative(-0.318f, 0.908f)
                curveToRelative(0.513f, 0.273f, 1.278f, 0.448f, 2.05f, 0.448f)
                curveToRelative(1.077f, 0.0f, 1.719f, -0.5f, 1.719f, -1.337f)
                curveToRelative(0.001f, -0.673f, -0.433f, -1.105f, -1.35f, -1.326f)
            }
        }
        .build()
        return _airbus!!
    }

private var _airbus: ImageVector? = null
