package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Appstore: ImageVector
    get() {
        if (_appstore != null) {
            return _appstore!!
        }
        _appstore = Builder(name = "Appstore", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.8086f, 14.9194f)
                lineToRelative(6.1107f, -11.0368f)
                curveToRelative(0.0837f, -0.1513f, 0.1682f, -0.302f, 0.2437f, -0.4584f)
                curveToRelative(0.0685f, -0.142f, 0.1267f, -0.2854f, 0.1646f, -0.4403f)
                curveToRelative(0.0803f, -0.3259f, 0.0588f, -0.6656f, -0.066f, -0.9767f)
                curveToRelative(-0.1238f, -0.3095f, -0.3417f, -0.5678f, -0.6201f, -0.7355f)
                arcToRelative(1.4175f, 1.4175f, 0.0f, false, false, -0.921f, -0.1924f)
                curveToRelative(-0.3207f, 0.043f, -0.6135f, 0.1935f, -0.8443f, 0.4288f)
                curveToRelative(-0.1094f, 0.1118f, -0.1996f, 0.2361f, -0.2832f, 0.369f)
                curveToRelative(-0.092f, 0.1463f, -0.175f, 0.2979f, -0.259f, 0.4492f)
                lineToRelative(-0.3864f, 0.6979f)
                lineToRelative(-0.3865f, -0.6979f)
                curveToRelative(-0.0837f, -0.1515f, -0.1667f, -0.303f, -0.2587f, -0.4492f)
                curveToRelative(-0.0837f, -0.1329f, -0.1739f, -0.2572f, -0.2835f, -0.369f)
                curveToRelative(-0.2305f, -0.2353f, -0.5233f, -0.3857f, -0.844f, -0.429f)
                arcToRelative(1.4181f, 1.4181f, 0.0f, false, false, -0.921f, 0.1926f)
                curveToRelative(-0.2784f, 0.1677f, -0.4964f, 0.426f, -0.6203f, 0.7355f)
                curveToRelative(-0.1246f, 0.311f, -0.1461f, 0.6508f, -0.066f, 0.9767f)
                curveToRelative(0.038f, 0.155f, 0.0962f, 0.2984f, 0.1648f, 0.4403f)
                curveToRelative(0.0753f, 0.1564f, 0.1598f, 0.307f, 0.2437f, 0.4584f)
                lineToRelative(1.248f, 2.2543f)
                lineToRelative(-4.8625f, 8.7825f)
                horizontalLineTo(2.0295f)
                curveToRelative(-0.1676f, 0.0f, -0.3351f, -7.0E-4f, -0.5026f, 0.0092f)
                curveToRelative(-0.1522f, 0.009f, -0.3004f, 0.0284f, -0.448f, 0.0714f)
                curveToRelative(-0.3108f, 0.0906f, -0.5822f, 0.2798f, -0.7783f, 0.548f)
                curveToRelative(-0.195f, 0.2665f, -0.3006f, 0.5929f, -0.3006f, 0.9279f)
                curveToRelative(0.0f, 0.3352f, 0.1057f, 0.6612f, 0.3006f, 0.9277f)
                curveToRelative(0.196f, 0.2683f, 0.4675f, 0.4575f, 0.7782f, 0.548f)
                curveToRelative(0.1477f, 0.043f, 0.296f, 0.0623f, 0.4481f, 0.0715f)
                curveToRelative(0.1675f, 0.01f, 0.335f, 0.009f, 0.5026f, 0.009f)
                horizontalLineToRelative(13.0974f)
                curveToRelative(0.0171f, -0.0357f, 0.059f, -0.1294f, 0.1f, -0.2697f)
                curveToRelative(0.415f, -1.4151f, -0.6156f, -2.843f, -2.0347f, -2.843f)
                close()
                moveTo(3.113f, 18.5418f)
                lineToRelative(-0.7922f, 1.5008f)
                curveToRelative(-0.0818f, 0.1553f, -0.1644f, 0.31f, -0.2384f, 0.4705f)
                curveToRelative(-0.067f, 0.1458f, -0.124f, 0.293f, -0.1611f, 0.452f)
                curveToRelative(-0.0785f, 0.3346f, -0.0576f, 0.6834f, 0.0645f, 1.0029f)
                curveToRelative(0.1212f, 0.3175f, 0.3346f, 0.583f, 0.607f, 0.7549f)
                curveToRelative(0.2727f, 0.172f, 0.5891f, 0.2416f, 0.9013f, 0.1975f)
                curveToRelative(0.3139f, -0.044f, 0.6005f, -0.1986f, 0.8263f, -0.4402f)
                curveToRelative(0.1072f, -0.1148f, 0.1954f, -0.2424f, 0.2772f, -0.3787f)
                curveToRelative(0.0902f, -0.1503f, 0.1714f, -0.3059f, 0.2535f, -0.4612f)
                lineTo(6.0f, 19.4636f)
                curveToRelative(-0.0896f, -0.149f, -0.9473f, -1.4704f, -2.887f, -0.9218f)
                moveToRelative(20.5861f, -3.0056f)
                arcToRelative(1.4707f, 1.4707f, 0.0f, false, false, -0.779f, -0.5407f)
                curveToRelative(-0.1476f, -0.0425f, -0.2961f, -0.0616f, -0.4483f, -0.0705f)
                curveToRelative(-0.1678f, -0.0099f, -0.3352f, -0.0091f, -0.503f, -0.0091f)
                horizontalLineTo(18.648f)
                lineToRelative(-4.3891f, -7.817f)
                curveToRelative(-0.6655f, 0.7005f, -0.9632f, 1.485f, -1.0773f, 2.1976f)
                curveToRelative(-0.1655f, 1.0333f, 0.0367f, 2.0934f, 0.546f, 3.0004f)
                lineToRelative(5.2741f, 9.3933f)
                curveToRelative(0.084f, 0.1494f, 0.167f, 0.299f, 0.2591f, 0.4435f)
                curveToRelative(0.0837f, 0.131f, 0.1739f, 0.2537f, 0.2836f, 0.364f)
                curveToRelative(0.231f, 0.2323f, 0.5238f, 0.3809f, 0.8449f, 0.4232f)
                curveToRelative(0.3192f, 0.0424f, 0.643f, -0.0244f, 0.9217f, -0.1899f)
                curveToRelative(0.2784f, -0.1653f, 0.4968f, -0.4204f, 0.621f, -0.7257f)
                curveToRelative(0.1246f, -0.3072f, 0.146f, -0.6425f, 0.0658f, -0.9641f)
                curveToRelative(-0.0381f, -0.1529f, -0.0962f, -0.2945f, -0.165f, -0.4346f)
                curveToRelative(-0.0753f, -0.1543f, -0.1598f, -0.303f, -0.2438f, -0.4524f)
                lineToRelative(-1.216f, -2.1662f)
                horizontalLineToRelative(1.596f)
                curveToRelative(0.1677f, 0.0f, 0.3351f, 9.0E-4f, 0.5029f, -0.009f)
                curveToRelative(0.1522f, -0.009f, 0.3007f, -0.028f, 0.4483f, -0.0705f)
                arcToRelative(1.4707f, 1.4707f, 0.0f, false, false, 0.779f, -0.5407f)
                arcTo(1.5386f, 1.5386f, 0.0f, false, false, 24.0f, 16.452f)
                arcToRelative(1.539f, 1.539f, 0.0f, false, false, -0.3009f, -0.9158f)
                close()
            }
        }
        .build()
        return _appstore!!
    }

private var _appstore: ImageVector? = null
