package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Babel: ImageVector
    get() {
        if (_babel != null) {
            return _babel!!
        }
        _babel = Builder(name = "Babel", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.76f, 0.0f)
                curveToRelative(-1.603f, 0.147f, -3.719f, 0.713f, -6.317f, 1.719f)
                arcToRelative(22.366f, 22.366f, 0.0f, false, true, -2.44f, 1.539f)
                lineToRelative(0.01f, 0.158f)
                curveToRelative(0.064f, 0.0f, 0.136f, -0.043f, 0.24f, -0.096f)
                curveToRelative(0.106f, -0.01f, 0.169f, 0.032f, 0.169f, 0.137f)
                lineToRelative(0.168f, -0.094f)
                lineToRelative(0.084f, -0.011f)
                lineToRelative(0.01f, 0.074f)
                curveToRelative(0.01f, 0.073f, -0.566f, 0.523f, -1.707f, 1.33f)
                lineToRelative(0.093f, 0.146f)
                lineToRelative(-0.084f, 0.012f)
                lineToRelative(-0.177f, -0.064f)
                curveToRelative(0.0f, 0.052f, -0.073f, 0.085f, -0.24f, 0.095f)
                lineToRelative(0.01f, 0.084f)
                lineToRelative(0.189f, 0.21f)
                arcToRelative(0.673f, 0.673f, 0.0f, false, true, -0.252f, -0.053f)
                curveToRelative(-0.367f, 0.031f, -0.734f, 0.303f, -1.09f, 0.806f)
                lineToRelative(0.094f, 0.147f)
                curveToRelative(0.314f, -0.283f, 0.492f, -0.43f, 0.544f, -0.43f)
                lineToRelative(0.022f, 0.23f)
                curveToRelative(-0.052f, 0.0f, -0.136f, 0.042f, -0.24f, 0.094f)
                lineToRelative(0.199f, 0.295f)
                arcTo(5.86f, 5.86f, 0.0f, false, true, 6.29f, 5.291f)
                curveToRelative(0.23f, 0.063f, 0.346f, 0.125f, 0.346f, 0.209f)
                lineToRelative(0.168f, -0.01f)
                curveToRelative(1.225f, -0.911f, 2.44f, -1.562f, 3.644f, -1.97f)
                lineToRelative(0.012f, 0.158f)
                curveToRelative(-0.22f, 0.335f, -0.377f, 0.501f, -0.461f, 0.511f)
                curveToRelative(0.01f, 0.116f, 0.052f, 0.21f, 0.115f, 0.305f)
                curveToRelative(0.021f, 0.21f, -0.524f, 1.583f, -1.635f, 4.139f)
                curveToRelative(-2.535f, 5.93f, -4.651f, 10.307f, -6.359f, 13.156f)
                curveToRelative(0.0f, 0.052f, 0.041f, 0.136f, 0.094f, 0.23f)
                curveToRelative(0.419f, -0.104f, 0.691f, -0.197f, 0.806f, -0.302f)
                lineToRelative(0.096f, -0.012f)
                lineToRelative(0.01f, 0.158f)
                lineToRelative(0.158f, -0.011f)
                lineToRelative(0.166f, -0.094f)
                curveToRelative(0.0f, 0.052f, 0.063f, 0.073f, 0.168f, 0.062f)
                lineToRelative(0.012f, 0.159f)
                curveToRelative(0.01f, 0.157f, -0.075f, 0.397f, -0.274f, 0.722f)
                curveToRelative(-0.178f, 0.2f, -0.355f, 0.607f, -0.554f, 1.225f)
                lineToRelative(0.01f, 0.074f)
                lineToRelative(0.158f, -0.01f)
                curveToRelative(0.68f, -0.764f, 1.204f, -1.52f, 1.56f, -2.254f)
                curveToRelative(2.001f, -0.586f, 3.52f, -1.162f, 4.578f, -1.728f)
                curveToRelative(1.058f, -0.094f, 1.876f, -0.365f, 2.42f, -0.826f)
                lineToRelative(-0.011f, -0.084f)
                lineToRelative(-0.399f, 0.115f)
                lineToRelative(-0.094f, 0.01f)
                lineToRelative(-0.01f, -0.084f)
                curveToRelative(0.776f, -0.116f, 1.32f, -0.293f, 1.614f, -0.524f)
                curveToRelative(1.519f, -1.173f, 2.66f, -2.0f, 3.435f, -2.492f)
                curveToRelative(2.4f, -1.76f, 3.531f, -3.457f, 3.395f, -5.07f)
                curveToRelative(-0.01f, -0.168f, -0.545f, -0.828f, -1.582f, -1.98f)
                curveToRelative(-0.021f, -0.22f, 0.345f, -0.535f, 1.078f, -0.954f)
                lineToRelative(2.086f, -1.834f)
                curveToRelative(0.46f, -0.597f, 0.744f, -1.56f, 0.838f, -2.89f)
                lineToRelative(-0.031f, -0.315f)
                curveToRelative(-0.084f, -0.932f, -0.756f, -1.687f, -2.034f, -2.264f)
                curveTo(19.06f, 0.303f, 17.708f, 0.031f, 15.76f, 0.0f)
                close()
                moveTo(18.285f, 1.037f)
                curveToRelative(1.55f, 0.063f, 2.347f, 0.335f, 2.389f, 0.817f)
                lineToRelative(-0.063f, 0.158f)
                lineToRelative(-2.326f, -0.975f)
                close()
                moveTo(16.803f, 2.354f)
                curveToRelative(1.063f, -0.016f, 1.617f, 0.267f, 1.672f, 0.863f)
                lineToRelative(0.156f, -0.012f)
                lineToRelative(-0.031f, -0.398f)
                lineToRelative(0.168f, -0.01f)
                curveToRelative(0.408f, 0.22f, 0.627f, 0.492f, 0.648f, 0.816f)
                curveToRelative(0.021f, 0.22f, -0.094f, 0.494f, -0.355f, 0.819f)
                curveToRelative(-0.105f, 0.01f, -0.168f, -0.064f, -0.178f, -0.221f)
                lineToRelative(-0.168f, 0.012f)
                lineToRelative(-0.041f, 0.47f)
                curveToRelative(-0.702f, 1.048f, -1.205f, 1.582f, -1.52f, 1.614f)
                curveToRelative(-0.283f, 0.387f, -0.462f, 0.587f, -0.535f, 0.597f)
                curveToRelative(-0.22f, 0.262f, -0.816f, 0.712f, -1.8f, 1.34f)
                curveToRelative(-0.325f, 0.032f, -1.531f, 0.493f, -3.616f, 1.404f)
                arcToRelative(0.595f, 0.595f, 0.0f, false, false, -0.334f, -0.052f)
                lineToRelative(-0.012f, -0.147f)
                curveToRelative(-0.02f, -0.304f, 0.107f, -0.681f, 0.41f, -1.142f)
                curveToRelative(0.158f, -0.86f, 0.335f, -1.352f, 0.534f, -1.467f)
                lineToRelative(1.738f, -3.906f)
                curveToRelative(-0.02f, -0.241f, 0.347f, -0.43f, 1.111f, -0.555f)
                lineToRelative(0.252f, -0.022f)
                lineToRelative(0.02f, 0.221f)
                arcToRelative(50.387f, 50.387f, 0.0f, false, true, 1.394f, -0.2f)
                curveToRelative(0.173f, -0.014f, 0.335f, -0.022f, 0.487f, -0.024f)
                close()
                moveTo(20.422f, 2.744f)
                horizontalLineToRelative(0.027f)
                curveToRelative(0.139f, 0.012f, 0.288f, 0.263f, 0.446f, 0.744f)
                lineToRelative(0.01f, 0.147f)
                curveToRelative(-0.085f, 0.01f, -0.24f, -0.242f, -0.471f, -0.744f)
                lineToRelative(-0.012f, -0.147f)
                close()
                moveTo(10.586f, 5.227f)
                horizontalLineToRelative(0.072f)
                lineToRelative(0.022f, 0.23f)
                curveToRelative(-0.074f, 0.01f, -0.177f, 0.116f, -0.303f, 0.336f)
                lineToRelative(-0.012f, -0.156f)
                curveToRelative(0.147f, -0.178f, 0.22f, -0.316f, 0.22f, -0.41f)
                close()
                moveTo(5.6f, 5.354f)
                lineToRelative(0.01f, 0.072f)
                curveToRelative(-0.053f, 0.0f, -0.136f, 0.043f, -0.24f, 0.095f)
                lineToRelative(-0.085f, 0.01f)
                lineToRelative(-0.01f, -0.146f)
                lineToRelative(0.325f, -0.031f)
                close()
                moveTo(9.885f, 6.86f)
                lineToRelative(0.031f, 0.315f)
                lineToRelative(-0.084f, 0.01f)
                lineToRelative(-0.031f, -0.313f)
                lineToRelative(0.084f, -0.012f)
                close()
                moveTo(9.685f, 7.427f)
                curveToRelative(-0.02f, 0.262f, -0.084f, 0.397f, -0.22f, 0.408f)
                lineToRelative(-0.084f, 0.01f)
                curveToRelative(0.094f, -0.178f, 0.147f, -0.303f, 0.137f, -0.397f)
                lineToRelative(0.168f, -0.021f)
                close()
                moveTo(9.34f, 8.243f)
                lineToRelative(0.01f, 0.074f)
                lineToRelative(-0.147f, 0.25f)
                lineToRelative(-0.158f, 0.012f)
                lineToRelative(-0.01f, -0.074f)
                curveToRelative(0.157f, -0.01f, 0.231f, -0.093f, 0.22f, -0.25f)
                lineToRelative(0.085f, -0.012f)
                close()
                moveTo(8.982f, 8.978f)
                lineToRelative(-0.04f, 0.386f)
                lineToRelative(-0.085f, 0.01f)
                lineToRelative(-0.03f, -0.387f)
                lineToRelative(0.155f, -0.01f)
                close()
                moveTo(17.479f, 9.258f)
                lineToRelative(0.345f, 0.212f)
                curveToRelative(0.01f, 0.104f, -0.042f, 0.167f, -0.146f, 0.177f)
                curveToRelative(-0.147f, -0.094f, -0.262f, -0.136f, -0.346f, -0.136f)
                lineToRelative(-0.021f, -0.23f)
                lineToRelative(0.168f, -0.022f)
                close()
                moveTo(10.826f, 10.149f)
                lineToRelative(0.012f, 0.147f)
                lineToRelative(-0.326f, 0.033f)
                lineToRelative(-0.01f, -0.148f)
                lineToRelative(0.324f, -0.032f)
                close()
                moveTo(16.189f, 10.694f)
                curveToRelative(0.23f, 0.105f, 0.347f, 0.21f, 0.358f, 0.293f)
                lineToRelative(0.01f, 0.075f)
                curveToRelative(-0.22f, 0.02f, -0.42f, -0.095f, -0.608f, -0.346f)
                lineToRelative(0.24f, -0.022f)
                close()
                moveTo(18.789f, 10.946f)
                curveToRelative(0.178f, 0.074f, 0.261f, 0.148f, 0.272f, 0.221f)
                lineToRelative(0.052f, 0.617f)
                curveToRelative(-0.073f, 0.168f, -0.146f, 0.252f, -0.23f, 0.252f)
                lineToRelative(-0.094f, -1.09f)
                close()
                moveTo(14.594f, 11.011f)
                curveToRelative(0.84f, -0.014f, 1.482f, 0.184f, 1.922f, 0.605f)
                lineToRelative(0.03f, 0.315f)
                curveToRelative(-0.376f, 1.09f, -0.795f, 1.719f, -1.245f, 1.918f)
                lineToRelative(-2.096f, 1.666f)
                curveToRelative(-1.56f, 1.026f, -2.4f, 1.538f, -2.525f, 1.548f)
                curveToRelative(-2.483f, 1.373f, -4.032f, 2.075f, -4.63f, 2.127f)
                lineToRelative(-0.095f, 0.01f)
                curveToRelative(0.084f, -0.293f, 1.185f, -2.555f, 3.322f, -6.808f)
                curveToRelative(0.943f, -0.084f, 2.43f, -0.525f, 4.452f, -1.32f)
                lineToRelative(0.492f, -0.042f)
                curveToRelative(0.128f, -0.01f, 0.253f, -0.017f, 0.373f, -0.02f)
                close()
                moveTo(11.539f, 11.501f)
                lineToRelative(0.01f, 0.074f)
                lineToRelative(-0.334f, 0.031f)
                lineToRelative(-0.012f, -0.074f)
                lineToRelative(0.336f, -0.031f)
                close()
                moveTo(6.313f, 16.571f)
                curveToRelative(-0.105f, 0.535f, -0.221f, 0.808f, -0.336f, 0.819f)
                lineToRelative(-0.01f, -0.075f)
                curveToRelative(-0.021f, -0.272f, 0.094f, -0.513f, 0.346f, -0.744f)
                close()
                moveTo(13.414f, 16.907f)
                lineToRelative(0.01f, 0.147f)
                curveToRelative(0.01f, 0.063f, -0.23f, 0.261f, -0.701f, 0.607f)
                curveToRelative(-1.394f, 0.681f, -2.21f, 1.152f, -2.452f, 1.393f)
                curveToRelative(-1.508f, 0.523f, -2.252f, 0.849f, -2.242f, 0.974f)
                curveToRelative(-1.34f, 0.535f, -2.22f, 0.923f, -2.638f, 1.164f)
                curveToRelative(-0.095f, 0.01f, -0.241f, -0.031f, -0.43f, -0.115f)
                curveToRelative(-0.021f, -0.272f, 0.093f, -0.494f, 0.365f, -0.672f)
                curveToRelative(0.23f, -0.02f, 0.463f, 0.011f, 0.672f, 0.106f)
                curveToRelative(0.251f, -0.126f, 0.68f, -0.274f, 1.299f, -0.42f)
                lineToRelative(-0.012f, -0.156f)
                lineToRelative(-0.492f, 0.04f)
                curveToRelative(0.063f, -0.083f, 0.535f, -0.303f, 1.436f, -0.67f)
                lineToRelative(0.251f, -0.02f)
                lineToRelative(0.01f, 0.073f)
                curveToRelative(-0.419f, 0.032f, -0.66f, 0.167f, -0.713f, 0.387f)
                curveToRelative(0.01f, 0.094f, 0.064f, 0.147f, 0.168f, 0.137f)
                curveToRelative(0.304f, -0.21f, 0.461f, -0.324f, 0.461f, -0.356f)
                curveToRelative(0.608f, -0.115f, 2.274f, -0.995f, 5.008f, -2.619f)
                close()
                moveTo(5.83f, 17.63f)
                lineToRelative(0.01f, 0.072f)
                curveToRelative(0.01f, 0.105f, -0.042f, 0.17f, -0.147f, 0.18f)
                lineToRelative(-0.01f, -0.074f)
                curveToRelative(-0.01f, -0.095f, 0.042f, -0.157f, 0.147f, -0.178f)
                close()
                moveTo(9.6f, 18.567f)
                curveToRelative(0.089f, -0.002f, 0.139f, 0.049f, 0.148f, 0.131f)
                curveToRelative(-0.199f, 0.021f, -0.566f, 0.178f, -1.121f, 0.492f)
                lineToRelative(-0.084f, 0.01f)
                lineToRelative(-0.01f, -0.156f)
                arcToRelative(1.586f, 1.586f, 0.0f, false, false, 1.026f, -0.47f)
                curveToRelative(0.014f, -0.003f, 0.028f, -0.006f, 0.04f, -0.007f)
                close()
                moveTo(5.936f, 19.81f)
                lineToRelative(0.01f, 0.082f)
                curveToRelative(-0.064f, 0.0f, -0.138f, 0.043f, -0.243f, 0.095f)
                lineToRelative(-0.156f, 0.01f)
                curveToRelative(-0.01f, -0.073f, 0.032f, -0.136f, 0.137f, -0.168f)
                lineToRelative(0.252f, -0.02f)
                close()
                moveTo(4.018f, 20.763f)
                lineToRelative(0.177f, 0.072f)
                curveToRelative(-0.063f, 0.471f, -0.198f, 0.713f, -0.44f, 0.734f)
                arcToRelative(1.076f, 1.076f, 0.0f, false, false, -0.513f, -0.105f)
                lineToRelative(-0.021f, -0.23f)
                curveToRelative(-0.01f, -0.095f, 0.043f, -0.147f, 0.158f, -0.178f)
                curveToRelative(0.105f, -0.01f, 0.167f, 0.061f, 0.178f, 0.218f)
                curveToRelative(0.282f, -0.345f, 0.44f, -0.511f, 0.46f, -0.511f)
                close()
            }
        }
        .build()
        return _babel!!
    }

private var _babel: ImageVector? = null
