package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.CounterStrike: ImageVector
    get() {
        if (_counterStrike != null) {
            return _counterStrike!!
        }
        _counterStrike = Builder(name = "CounterStrike", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.103f, 0.435f)
                curveToRelative(0.4347f, -0.3913f, 1.087f, -0.5362f, 1.6522f, -0.3623f)
                curveToRelative(0.2174f, 0.0725f, 0.4058f, 0.203f, 0.6087f, 0.3333f)
                curveToRelative(0.1595f, 0.1015f, 0.3479f, 0.145f, 0.4928f, 0.261f)
                curveToRelative(0.0725f, 0.058f, 0.0145f, 0.1594f, 0.0145f, 0.2318f)
                curveToRelative(0.1884f, 0.4493f, 0.2899f, 0.9421f, 0.1305f, 1.4204f)
                curveToRelative(-0.1305f, 0.1594f, -0.3624f, 0.203f, -0.5508f, 0.2754f)
                curveToRelative(-0.029f, 0.2029f, 0.0435f, 0.3913f, 0.0725f, 0.5942f)
                curveToRelative(-0.0435f, 0.029f, -0.0725f, 0.058f, -0.116f, 0.087f)
                curveToRelative(0.2754f, -0.0145f, 0.5508f, -0.0725f, 0.8262f, -0.1304f)
                curveToRelative(0.1014f, -0.1015f, 0.2608f, -0.0435f, 0.3913f, -0.058f)
                curveToRelative(0.0145f, -0.203f, 0.087f, -0.3914f, 0.087f, -0.5943f)
                curveToRelative(0.029f, 0.0f, 0.087f, -0.0145f, 0.1159f, -0.029f)
                curveToRelative(0.0145f, 0.145f, 0.0f, 0.29f, 0.0435f, 0.4349f)
                curveToRelative(0.0724f, 0.058f, 0.1884f, 0.029f, 0.2754f, 0.0434f)
                curveToRelative(0.0f, 0.058f, 0.0f, 0.116f, 0.0144f, 0.174f)
                curveToRelative(1.6813f, -0.0145f, 3.377f, 0.0f, 5.0583f, 0.0f)
                verticalLineToRelative(0.2464f)
                horizontalLineToRelative(0.1595f)
                verticalLineToRelative(-0.9421f)
                horizontalLineToRelative(0.1884f)
                curveToRelative(0.0f, 0.2609f, -0.0145f, 0.5072f, 0.0f, 0.7681f)
                arcToRelative(0.1107f, 0.1107f, 0.0f, false, false, 0.0725f, 0.029f)
                curveToRelative(0.0f, 0.029f, 0.0144f, 0.087f, 0.0144f, 0.116f)
                curveToRelative(0.058f, -0.058f, 0.1305f, -0.1015f, 0.2174f, -0.0725f)
                curveToRelative(0.0145f, 0.0435f, 0.029f, 0.087f, 0.0435f, 0.145f)
                curveToRelative(-0.058f, 0.058f, -0.087f, 0.1304f, -0.058f, 0.2173f)
                curveToRelative(0.4639f, 0.0145f, 0.9277f, 0.0f, 1.406f, 0.0f)
                curveToRelative(0.0434f, -0.058f, 0.1159f, -0.087f, 0.1884f, -0.116f)
                curveToRelative(0.029f, 0.0146f, 0.0724f, 0.0436f, 0.087f, 0.058f)
                horizontalLineToRelative(0.6811f)
                curveToRelative(0.029f, 0.116f, 0.029f, 0.232f, 0.0145f, 0.3334f)
                horizontalLineToRelative(-0.6957f)
                curveToRelative(-0.0145f, 0.0145f, -0.058f, 0.058f, -0.087f, 0.0725f)
                curveToRelative(-0.0724f, -0.0435f, -0.1304f, -0.0725f, -0.2029f, -0.116f)
                horizontalLineToRelative(-1.2609f)
                curveToRelative(-0.2464f, 0.0725f, -0.5073f, 0.058f, -0.7537f, 0.0145f)
                verticalLineToRelative(0.2754f)
                horizontalLineToRelative(-2.0726f)
                curveToRelative(-0.087f, 0.0725f, -0.1739f, 0.116f, -0.2898f, 0.1305f)
                curveToRelative(0.0434f, 0.2174f, -0.203f, 0.2753f, -0.29f, 0.4348f)
                curveToRelative(-0.0579f, 0.087f, -0.1448f, 0.1449f, -0.2318f, 0.1739f)
                curveToRelative(-0.0725f, 0.4493f, 0.087f, 0.8696f, 0.203f, 1.29f)
                curveToRelative(-0.1305f, 0.029f, -0.2755f, 0.0724f, -0.406f, 0.1014f)
                curveToRelative(-0.0724f, 0.2899f, -0.1449f, 0.5942f, -0.2028f, 0.884f)
                curveToRelative(-0.058f, 0.261f, -0.261f, 0.4784f, -0.5073f, 0.5798f)
                curveToRelative(-0.174f, 0.203f, -0.4058f, 0.4059f, -0.6812f, 0.4204f)
                curveToRelative(-0.1015f, 0.029f, -0.174f, -0.0435f, -0.2464f, -0.1015f)
                curveToRelative(-0.3623f, 0.029f, -0.6957f, -0.145f, -1.0146f, -0.2899f)
                curveToRelative(-0.3478f, -0.1594f, -0.6667f, -0.3623f, -1.0f, -0.5507f)
                curveToRelative(0.029f, 0.2029f, -0.0725f, 0.3768f, -0.145f, 0.5507f)
                curveToRelative(0.1595f, 0.0725f, 0.3769f, 0.1305f, 0.4638f, 0.3044f)
                curveToRelative(0.058f, 0.1304f, 0.116f, 0.2754f, 0.116f, 0.4348f)
                curveToRelative(-0.0145f, 0.5218f, -0.0725f, 1.0435f, -0.1015f, 1.5653f)
                curveToRelative(0.0145f, 0.3769f, -0.1739f, 0.7537f, -0.4348f, 1.029f)
                curveToRelative(-0.1739f, -0.0144f, -0.3188f, -0.0869f, -0.4783f, -0.1594f)
                curveToRelative(-0.058f, 0.1305f, -0.1884f, 0.261f, -0.116f, 0.4204f)
                curveToRelative(0.058f, 0.1884f, 0.058f, 0.3913f, 0.145f, 0.5652f)
                curveToRelative(0.4928f, 0.5218f, 0.9131f, 1.1015f, 1.2175f, 1.7537f)
                curveToRelative(0.3043f, 0.6233f, 0.5362f, 1.2755f, 0.7826f, 1.9277f)
                curveToRelative(0.0435f, 0.0f, 0.1305f, -0.0145f, 0.174f, -0.0145f)
                curveToRelative(0.058f, 0.1884f, 0.0f, 0.4058f, 0.116f, 0.5798f)
                curveToRelative(0.1014f, 0.1594f, 0.0724f, 0.3478f, 0.0724f, 0.5362f)
                curveToRelative(-0.029f, 0.4348f, -0.058f, 0.8696f, -0.1015f, 1.3044f)
                curveToRelative(-0.029f, 0.3044f, -0.1014f, 0.6088f, -0.1449f, 0.9132f)
                curveToRelative(0.0145f, 0.2318f, 0.116f, 0.4637f, 0.1014f, 0.6956f)
                curveToRelative(-0.0144f, 0.2175f, -0.0144f, 0.4493f, -0.1884f, 0.6088f)
                curveToRelative(0.0145f, 0.4928f, -0.116f, 0.9855f, 0.058f, 1.4638f)
                curveToRelative(0.232f, 0.3189f, 0.4928f, 0.6233f, 0.7682f, 0.8986f)
                curveToRelative(0.3043f, 0.145f, 0.6667f, 0.174f, 0.9276f, 0.4349f)
                curveToRelative(0.1014f, 0.1594f, 0.0434f, 0.3478f, 0.0145f, 0.5217f)
                arcToRelative(6.7323f, 6.7323f, 0.0f, false, true, -1.8697f, 0.0f)
                curveToRelative(-0.2464f, -0.058f, -0.4783f, -0.1594f, -0.7247f, -0.1884f)
                curveToRelative(-0.3334f, 0.0145f, -0.7247f, 0.145f, -1.029f, -0.087f)
                curveToRelative(-0.029f, -0.3913f, 0.1159f, -0.7681f, 0.1884f, -1.145f)
                curveToRelative(0.029f, -0.1304f, 0.1594f, -0.2174f, 0.1449f, -0.3478f)
                curveToRelative(-0.029f, -0.4493f, -0.058f, -0.9131f, -0.087f, -1.3624f)
                curveToRelative(-0.058f, -0.029f, -0.1594f, -0.058f, -0.1449f, -0.145f)
                curveToRelative(0.0f, -0.2173f, -0.0725f, -0.4347f, -0.1304f, -0.6377f)
                curveToRelative(-0.1015f, -0.5507f, -0.145f, -1.116f, -0.1595f, -1.6812f)
                curveToRelative(-0.0145f, -0.1595f, 0.087f, -0.2754f, 0.203f, -0.3769f)
                curveToRelative(0.029f, -0.2464f, 0.058f, -0.5072f, 0.0724f, -0.7536f)
                curveToRelative(-0.0435f, -0.1305f, -0.145f, -0.232f, -0.203f, -0.3479f)
                curveToRelative(-0.2608f, 0.029f, -0.6376f, 0.087f, -0.797f, -0.1884f)
                curveToRelative(-0.3769f, -0.5653f, -0.7682f, -1.145f, -1.145f, -1.7102f)
                curveToRelative(-0.1595f, -0.0145f, -0.3479f, 0.0f, -0.4928f, -0.1015f)
                curveToRelative(-0.1595f, -0.174f, -0.261f, -0.4058f, -0.3624f, -0.6232f)
                curveToRelative(-0.0435f, 0.1739f, -0.0725f, 0.3623f, -0.174f, 0.5072f)
                curveToRelative(-0.0869f, 0.145f, -0.2318f, 0.2464f, -0.3333f, 0.3769f)
                curveToRelative(-0.1014f, 0.2319f, -0.1884f, 0.4638f, -0.2753f, 0.6957f)
                curveToRelative(-0.1015f, 0.2898f, -0.2464f, 0.5797f, -0.2754f, 0.8986f)
                curveToRelative(-0.0145f, 0.1594f, -0.0435f, 0.3044f, -0.1015f, 0.4493f)
                curveToRelative(-0.0724f, 0.116f, -0.2029f, 0.1594f, -0.3188f, 0.2174f)
                curveToRelative(-0.087f, 0.1884f, -0.145f, 0.3768f, -0.2754f, 0.5363f)
                curveToRelative(-0.087f, 0.1014f, -0.232f, 0.1304f, -0.2899f, 0.2608f)
                curveToRelative(-0.058f, 0.174f, -0.145f, 0.3334f, -0.2174f, 0.4928f)
                curveToRelative(-0.029f, 0.174f, 0.087f, 0.3624f, 0.029f, 0.5363f)
                curveToRelative(-0.1015f, 0.4348f, -0.3189f, 0.8406f, -0.5218f, 1.232f)
                curveToRelative(-0.1014f, 0.2898f, -0.1739f, 0.5942f, -0.3188f, 0.8696f)
                curveToRelative(-0.058f, 0.116f, -0.203f, 0.145f, -0.3189f, 0.1594f)
                curveToRelative(-0.1304f, 0.3189f, -0.2754f, 0.6232f, -0.3623f, 0.9566f)
                curveToRelative(-0.0435f, 0.3188f, -0.0435f, 0.6522f, -0.029f, 0.971f)
                curveToRelative(0.0f, 0.145f, 0.087f, 0.261f, 0.145f, 0.3914f)
                curveToRelative(0.0579f, 0.174f, 0.0144f, 0.3478f, -0.0146f, 0.5218f)
                curveToRelative(-0.5652f, 0.0724f, -1.145f, 0.1304f, -1.6957f, -0.0435f)
                curveToRelative(-0.058f, -0.0435f, -0.0435f, -0.116f, -0.058f, -0.174f)
                curveToRelative(-0.0435f, -0.2608f, -0.0725f, -0.5362f, 0.0145f, -0.7826f)
                curveToRelative(0.1884f, -0.6812f, 0.3478f, -1.3624f, 0.5362f, -2.0436f)
                curveToRelative(-0.0724f, -0.0725f, -0.1739f, -0.1304f, -0.1739f, -0.2464f)
                curveToRelative(-0.0145f, -0.1884f, 0.0f, -0.3913f, 0.0435f, -0.5797f)
                curveToRelative(0.087f, -0.319f, 0.3189f, -0.5653f, 0.4348f, -0.8697f)
                curveToRelative(0.0435f, -0.1304f, 0.029f, -0.2609f, 0.0435f, -0.3913f)
                curveToRelative(0.0f, -0.3044f, 0.174f, -0.5508f, 0.3044f, -0.8116f)
                curveToRelative(0.1304f, -0.2174f, 0.2318f, -0.4493f, 0.4058f, -0.6378f)
                curveToRelative(0.116f, -0.1014f, 0.116f, -0.2608f, 0.2029f, -0.3913f)
                curveToRelative(0.087f, -0.1594f, 0.2319f, -0.2899f, 0.2319f, -0.4783f)
                curveToRelative(0.029f, -0.2319f, -0.058f, -0.4638f, -0.029f, -0.6957f)
                curveToRelative(0.058f, -0.6812f, 0.1884f, -1.3479f, 0.3044f, -2.029f)
                curveToRelative(-0.058f, -0.0726f, -0.145f, -0.145f, -0.174f, -0.2465f)
                curveToRelative(0.0145f, -0.0724f, 0.029f, -0.1304f, 0.0435f, -0.2029f)
                lineToRelative(-0.1304f, -0.2174f)
                curveToRelative(0.058f, -0.087f, 0.116f, -0.1884f, 0.174f, -0.2754f)
                curveToRelative(-0.058f, -0.0435f, -0.1305f, -0.1014f, -0.1885f, -0.145f)
                curveToRelative(0.0725f, -0.2173f, 0.0435f, -0.5362f, 0.3043f, -0.6376f)
                curveToRelative(0.029f, 0.0145f, 0.1015f, 0.029f, 0.1305f, 0.0434f)
                curveToRelative(-0.0435f, -0.3768f, -0.0435f, -0.7681f, -0.087f, -1.145f)
                curveToRelative(-0.1014f, -0.4058f, -0.116f, -0.826f, -0.0724f, -1.232f)
                curveToRelative(0.1449f, -0.2173f, 0.4203f, -0.3043f, 0.6667f, -0.3188f)
                curveToRelative(-0.3189f, -0.0724f, -0.6378f, -0.1014f, -0.9421f, -0.2029f)
                curveToRelative(-0.0145f, -0.2609f, 0.029f, -0.5218f, 0.0725f, -0.7826f)
                curveToRelative(0.1304f, -0.5073f, 0.0724f, -1.029f, 0.1449f, -1.5509f)
                curveToRelative(0.0725f, -0.1449f, 0.2609f, -0.1739f, 0.4203f, -0.1449f)
                curveToRelative(0.1884f, 0.029f, 0.3768f, -0.029f, 0.5653f, -0.087f)
                curveToRelative(0.0f, -0.0724f, 0.0145f, -0.1594f, 0.0f, -0.2319f)
                curveToRelative(-0.116f, -0.5072f, -0.087f, -1.029f, 0.0f, -1.5218f)
                curveToRelative(0.116f, -0.6377f, 0.3768f, -1.261f, 0.855f, -1.7102f)
                curveToRelative(0.319f, -0.3044f, 0.7827f, -0.4494f, 1.2176f, -0.4349f)
                curveToRelative(0.1449f, 0.0f, 0.2318f, 0.145f, 0.3478f, 0.232f)
                curveToRelative(0.058f, -0.058f, 0.116f, -0.116f, 0.1594f, -0.174f)
                curveToRelative(-0.0724f, -0.2464f, -0.1884f, -0.5073f, -0.1739f, -0.7681f)
                curveToRelative(0.029f, -0.5798f, 0.2174f, -1.174f, 0.6522f, -1.5654f)
                moveToRelative(4.522f, 4.1017f)
                curveToRelative(0.029f, 0.029f, 0.029f, 0.029f, 0.0f, 0.0f)
                moveToRelative(0.203f, 0.029f)
                curveToRelative(0.0144f, 0.1015f, 0.0434f, 0.203f, -0.0145f, 0.2899f)
                curveToRelative(-0.0725f, 0.029f, -0.1595f, 0.029f, -0.232f, 0.0725f)
                curveToRelative(0.203f, 0.0f, 0.4059f, 0.0145f, 0.6088f, 0.0f)
                curveToRelative(0.1594f, -0.0435f, 0.1015f, -0.2464f, 0.1015f, -0.3624f)
                curveToRelative(-0.1015f, -0.116f, -0.3189f, -0.0435f, -0.4638f, 0.0f)
                moveToRelative(-0.5073f, 0.6088f)
                curveToRelative(0.145f, 0.1594f, 0.2174f, 0.4058f, 0.3478f, 0.5652f)
                curveToRelative(0.1884f, -0.2464f, 0.3334f, -0.5073f, 0.5508f, -0.7247f)
                curveToRelative(-0.2609f, -0.0145f, -0.5218f, 0.0145f, -0.7827f, -0.0145f)
                curveToRelative(-0.0435f, 0.058f, -0.0724f, 0.116f, -0.116f, 0.174f)
                close()
            }
        }
        .build()
        return _counterStrike!!
    }

private var _counterStrike: ImageVector? = null
