package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Fitbit: ImageVector
    get() {
        if (_fitbit != null) {
            return _fitbit!!
        }
        _fitbit = Builder(name = "Fitbit", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.298f, 1.825f)
                curveToRelative(0.0f, 0.976f, -0.81f, 1.785f, -1.786f, 1.785f)
                curveToRelative(-0.972f, 0.0f, -1.784f, -0.81f, -1.784f, -1.785f)
                curveToRelative(0.0f, -0.973f, 0.813f, -1.785f, 1.784f, -1.785f)
                curveToRelative(0.976f, 0.0f, 1.786f, 0.813f, 1.786f, 1.785f)
                close()
                moveTo(11.512f, 5.068f)
                curveToRelative(-1.052f, 0.0f, -1.863f, 0.81f, -1.863f, 1.866f)
                curveToRelative(0.0f, 1.053f, 0.81f, 1.865f, 1.865f, 1.865f)
                curveToRelative(1.053f, 0.0f, 1.865f, -0.811f, 1.865f, -1.865f)
                reflectiveCurveToRelative(-0.825f, -1.866f, -1.875f, -1.866f)
                horizontalLineToRelative(0.008f)
                close()
                moveTo(11.512f, 10.097f)
                curveToRelative(-1.052f, 0.0f, -1.945f, 0.891f, -1.945f, 1.945f)
                reflectiveCurveToRelative(0.894f, 1.945f, 1.947f, 1.945f)
                reflectiveCurveToRelative(1.946f, -0.891f, 1.946f, -1.945f)
                reflectiveCurveToRelative(-0.894f, -1.945f, -1.946f, -1.945f)
                horizontalLineToRelative(-0.002f)
                close()
                moveTo(11.512f, 15.204f)
                curveToRelative(-1.052f, 0.0f, -1.863f, 0.81f, -1.863f, 1.864f)
                reflectiveCurveToRelative(0.81f, 1.866f, 1.865f, 1.866f)
                curveToRelative(1.053f, 0.0f, 1.865f, -0.811f, 1.865f, -1.866f)
                curveToRelative(0.0f, -0.972f, -0.825f, -1.864f, -1.875f, -1.864f)
                horizontalLineToRelative(0.008f)
                close()
                moveTo(11.512f, 20.395f)
                curveToRelative(-0.972f, 0.0f, -1.784f, 0.809f, -1.784f, 1.784f)
                curveToRelative(0.0f, 0.97f, 0.813f, 1.781f, 1.784f, 1.781f)
                curveToRelative(0.977f, 0.0f, 1.786f, -0.809f, 1.786f, -1.784f)
                curveToRelative(0.0f, -0.973f, -0.81f, -1.781f, -1.786f, -1.781f)
                close()
                moveTo(16.46f, 4.823f)
                curveToRelative(-1.136f, 0.0f, -2.108f, 0.977f, -2.108f, 2.111f)
                curveToRelative(0.0f, 1.134f, 0.973f, 2.107f, 2.108f, 2.107f)
                curveToRelative(1.135f, 0.0f, 2.106f, -0.975f, 2.106f, -2.107f)
                curveToRelative(0.0f, -1.135f, -0.972f, -2.109f, -2.106f, -2.109f)
                verticalLineToRelative(-0.002f)
                close()
                moveTo(16.46f, 9.853f)
                curveToRelative(-1.216f, 0.0f, -2.19f, 0.973f, -2.19f, 2.19f)
                curveToRelative(0.0f, 1.216f, 0.975f, 2.187f, 2.19f, 2.187f)
                curveToRelative(1.215f, 0.0f, 2.189f, -0.971f, 2.189f, -2.189f)
                curveToRelative(0.0f, -1.216f, -0.974f, -2.188f, -2.189f, -2.188f)
                close()
                moveTo(16.46f, 14.961f)
                curveToRelative(-1.136f, 0.0f, -2.108f, 0.976f, -2.108f, 2.107f)
                curveToRelative(0.0f, 1.135f, 0.973f, 2.109f, 2.108f, 2.109f)
                curveToRelative(1.135f, 0.0f, 2.106f, -0.976f, 2.106f, -2.109f)
                reflectiveCurveToRelative(-0.971f, -2.107f, -2.106f, -2.107f)
                close()
                moveTo(21.566f, 9.608f)
                curveToRelative(-1.296f, 0.0f, -2.43f, 1.055f, -2.43f, 2.434f)
                curveToRelative(0.0f, 1.297f, 1.051f, 2.433f, 2.43f, 2.433f)
                curveToRelative(1.381f, 0.0f, 2.434f, -1.065f, 2.434f, -2.444f)
                curveToRelative(-0.082f, -1.382f, -1.135f, -2.431f, -2.434f, -2.431f)
                verticalLineToRelative(0.008f)
                close()
                moveTo(6.486f, 5.312f)
                curveToRelative(-0.892f, 0.0f, -1.62f, 0.73f, -1.62f, 1.623f)
                curveToRelative(0.0f, 0.891f, 0.729f, 1.62f, 1.62f, 1.62f)
                curveToRelative(0.893f, 0.0f, 1.619f, -0.729f, 1.619f, -1.62f)
                curveToRelative(0.0f, -0.893f, -0.727f, -1.62f, -1.619f, -1.62f)
                verticalLineToRelative(-0.003f)
                close()
                moveTo(6.486f, 10.339f)
                curveToRelative(-0.973f, 0.0f, -1.703f, 0.729f, -1.703f, 1.703f)
                curveToRelative(0.0f, 0.975f, 0.721f, 1.703f, 1.695f, 1.703f)
                reflectiveCurveToRelative(1.695f, -0.73f, 1.695f, -1.703f)
                curveToRelative(0.0f, -0.975f, -0.735f, -1.703f, -1.71f, -1.703f)
                horizontalLineToRelative(0.023f)
                close()
                moveTo(6.486f, 15.446f)
                curveToRelative(-0.892f, 0.0f, -1.62f, 0.731f, -1.62f, 1.62f)
                curveToRelative(0.0f, 0.895f, 0.729f, 1.623f, 1.62f, 1.623f)
                curveToRelative(0.893f, 0.0f, 1.619f, -0.735f, 1.619f, -1.635f)
                reflectiveCurveToRelative(-0.727f, -1.62f, -1.619f, -1.62f)
                verticalLineToRelative(0.012f)
                close()
                moveTo(1.461f, 10.583f)
                curveToRelative(-0.813f, 0.0f, -1.461f, 0.646f, -1.461f, 1.459f)
                curveToRelative(0.0f, 0.81f, 0.648f, 1.459f, 1.46f, 1.459f)
                curveToRelative(0.81f, 0.0f, 1.459f, -0.648f, 1.459f, -1.459f)
                reflectiveCurveToRelative(-0.648f, -1.459f, -1.458f, -1.459f)
                close()
            }
        }
        .build()
        return _fitbit!!
    }

private var _fitbit: ImageVector? = null
