package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Hootsuite: ImageVector
    get() {
        if (_hootsuite != null) {
            return _hootsuite!!
        }
        _hootsuite = Builder(name = "Hootsuite", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.002f, 0.0f)
                horizontalLineToRelative(0.023f)
                curveToRelative(1.311f, 0.004f, 2.603f, 0.322f, 3.766f, 0.928f)
                curveTo(16.948f, 0.332f, 18.23f, 0.022f, 19.532f, 0.022f)
                horizontalLineToRelative(0.676f)
                lineTo(20.208f, 24.0f)
                lineToRelative(-0.656f, -0.002f)
                curveTo(15.369f, 24.0f, 11.356f, 22.336f, 8.4f, 19.373f)
                curveTo(5.43f, 16.43f, 3.77f, 12.414f, 3.791f, 8.23f)
                lineTo(3.791f, 0.021f)
                horizontalLineToRelative(0.677f)
                curveToRelative(1.301f, 0.0f, 2.586f, 0.311f, 3.741f, 0.906f)
                curveTo(9.381f, 0.318f, 10.682f, 0.0f, 12.002f, 0.0f)
                close()
                moveTo(12.002f, 0.654f)
                curveToRelative(-1.381f, 0.0f, -2.676f, 0.373f, -3.791f, 1.021f)
                curveToRelative(-1.138f, -0.655f, -2.428f, -1.001f, -3.742f, -1.0f)
                horizontalLineToRelative(-0.022f)
                lineTo(4.447f, 8.23f)
                curveToRelative(-0.025f, 8.35f, 6.764f, 15.09f, 15.107f, 15.113f)
                lineTo(19.554f, 0.675f)
                horizontalLineToRelative(-0.022f)
                curveToRelative(-1.313f, -0.001f, -2.604f, 0.343f, -3.743f, 0.999f)
                curveToRelative(-1.144f, -0.666f, -2.443f, -1.018f, -3.766f, -1.02f)
                horizontalLineToRelative(-0.021f)
                close()
                moveTo(15.254f, 3.408f)
                curveToRelative(1.79f, 0.002f, 3.238f, 1.453f, 3.237f, 3.242f)
                curveToRelative(-0.003f, 1.791f, -1.454f, 3.238f, -3.244f, 3.236f)
                curveToRelative(-0.616f, 0.0f, -1.22f, -0.176f, -1.739f, -0.508f)
                lineToRelative(-1.516f, 1.508f)
                lineToRelative(-1.507f, -1.516f)
                curveToRelative(-1.514f, 0.952f, -3.515f, 0.495f, -4.465f, -1.02f)
                curveToRelative(-0.952f, -1.516f, -0.495f, -3.516f, 1.021f, -4.467f)
                reflectiveCurveToRelative(3.516f, -0.494f, 4.467f, 1.022f)
                curveToRelative(0.273f, 0.437f, 0.44f, 0.933f, 0.483f, 1.446f)
                lineToRelative(0.016f, -0.02f)
                lineToRelative(0.015f, 0.018f)
                curveToRelative(0.154f, -1.667f, 1.556f, -2.945f, 3.232f, -2.941f)
                close()
                moveTo(8.76f, 8.789f)
                curveToRelative(1.192f, 0.006f, 2.163f, -0.959f, 2.168f, -2.15f)
                curveToRelative(0.001f, -0.219f, -0.031f, -0.436f, -0.096f, -0.644f)
                curveToRelative(-0.243f, 0.544f, -0.882f, 0.788f, -1.426f, 0.546f)
                curveToRelative(-0.545f, -0.244f, -0.79f, -0.883f, -0.546f, -1.428f)
                curveToRelative(0.109f, -0.243f, 0.304f, -0.437f, 0.548f, -0.547f)
                curveToRelative(-1.137f, -0.355f, -2.347f, 0.276f, -2.705f, 1.414f)
                curveToRelative(-0.066f, 0.207f, -0.099f, 0.424f, -0.1f, 0.642f)
                curveToRelative(-0.003f, 1.192f, 0.96f, 2.163f, 2.153f, 2.167f)
                horizontalLineToRelative(0.004f)
                close()
                moveTo(15.238f, 8.808f)
                curveToRelative(1.193f, 0.003f, 2.163f, -0.962f, 2.166f, -2.155f)
                reflectiveCurveToRelative(-0.963f, -2.162f, -2.155f, -2.164f)
                curveToRelative(-0.216f, -0.002f, -0.431f, 0.03f, -0.638f, 0.094f)
                curveToRelative(0.545f, 0.244f, 0.789f, 0.883f, 0.547f, 1.428f)
                curveToRelative(-0.244f, 0.543f, -0.883f, 0.787f, -1.428f, 0.545f)
                curveToRelative(-0.245f, -0.109f, -0.439f, -0.307f, -0.549f, -0.553f)
                curveToRelative(-0.355f, 1.139f, 0.279f, 2.352f, 1.417f, 2.707f)
                curveToRelative(0.209f, 0.063f, 0.423f, 0.097f, 0.64f, 0.098f)
                close()
            }
        }
        .build()
        return _hootsuite!!
    }

private var _hootsuite: ImageVector? = null
