package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Iconfinder: ImageVector
    get() {
        if (_iconfinder != null) {
            return _iconfinder!!
        }
        _iconfinder = Builder(name = "Iconfinder", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                curveTo(4.492f, 2.746f, -0.885f, 11.312f, 0.502f, 19.963f)
                curveTo(0.502f, 19.963f, 4.989f, 24.0f, 12.0f, 24.0f)
                curveToRelative(7.01f, 0.0f, 11.496f, -4.037f, 11.496f, -4.037f)
                curveTo(24.882f, 11.312f, 19.508f, 2.746f, 12.0f, 0.0f)
                close()
                moveTo(12.0f, 1.846f)
                reflectiveCurveToRelative(2.032f, 0.726f, 3.945f, 2.488f)
                curveToRelative(0.073f, 0.067f, 0.13f, 0.163f, 0.129f, 0.277f)
                curveToRelative(-0.001f, 0.168f, -0.128f, 0.287f, -0.301f, 0.287f)
                arcToRelative(0.496f, 0.496f, 0.0f, false, true, -0.137f, -0.027f)
                arcToRelative(6.537f, 6.537f, 0.0f, false, false, -2.316f, -0.4f)
                arcToRelative(6.625f, 6.625f, 0.0f, false, false, -3.914f, 1.273f)
                lineToRelative(-0.002f, 0.002f)
                arcToRelative(7.978f, 7.978f, 0.0f, false, true, 6.808f, 0.768f)
                curveTo(20.48f, 9.11f, 22.597f, 14.179f, 21.902f, 19.0f)
                curveToRelative(0.0f, 0.0f, -1.646f, 1.396f, -4.129f, 2.172f)
                arcToRelative(0.369f, 0.369f, 0.0f, false, true, -0.303f, -0.026f)
                curveToRelative(-0.144f, -0.084f, -0.185f, -0.255f, -0.1f, -0.404f)
                arcToRelative(0.492f, 0.492f, 0.0f, false, true, 0.094f, -0.103f)
                arcToRelative(6.562f, 6.562f, 0.0f, false, false, 1.504f, -1.809f)
                arcToRelative(6.632f, 6.632f, 0.0f, false, false, 0.856f, -4.027f)
                lineToRelative(-0.002f, -0.002f)
                arcToRelative(7.949f, 7.949f, 0.0f, false, true, -3.838f, 5.383f)
                curveToRelative(-4.42f, 2.552f, -9.99f, 1.882f, -13.885f, -1.184f)
                curveToRelative(0.0f, 0.0f, -0.388f, -2.124f, 0.182f, -4.662f)
                arcToRelative(0.373f, 0.373f, 0.0f, false, true, 0.176f, -0.25f)
                curveToRelative(0.145f, -0.084f, 0.31f, -0.033f, 0.396f, 0.117f)
                arcToRelative(0.448f, 0.448f, 0.0f, false, true, 0.045f, 0.13f)
                curveToRelative(0.126f, 0.762f, 0.405f, 1.5f, 0.814f, 2.208f)
                arcToRelative(6.637f, 6.637f, 0.0f, false, false, 3.059f, 2.756f)
                arcToRelative(7.96f, 7.96f, 0.0f, false, true, -1.672f, -2.033f)
                arcToRelative(7.928f, 7.928f, 0.0f, false, true, -1.066f, -4.205f)
                curveTo(4.128f, 8.047f, 7.464f, 3.659f, 12.0f, 1.846f)
                close()
                moveTo(12.0f, 9.469f)
                curveToRelative(-2.726f, 0.0f, -5.117f, 0.93f, -6.483f, 2.332f)
                curveToRelative(-0.064f, 0.32f, -0.1f, 0.65f, -0.1f, 0.984f)
                curveToRelative(0.0f, 3.146f, 2.947f, 5.695f, 6.583f, 5.695f)
                curveToRelative(3.635f, 0.0f, 6.584f, -2.549f, 6.584f, -5.695f)
                curveToRelative(0.0f, -0.334f, -0.038f, -0.664f, -0.102f, -0.984f)
                curveTo(17.116f, 10.4f, 14.724f, 9.469f, 12.0f, 9.469f)
                close()
                moveTo(12.0f, 10.162f)
                arcToRelative(3.12f, 3.12f, 0.0f, false, true, 0.0f, 6.238f)
                arcToRelative(3.118f, 3.118f, 0.0f, false, true, -2.872f, -4.336f)
                arcToRelative(1.3f, 1.3f, 0.0f, true, false, 1.657f, -1.656f)
                arcTo(3.108f, 3.108f, 0.0f, false, true, 12.0f, 10.162f)
                close()
            }
        }
        .build()
        return _iconfinder!!
    }

private var _iconfinder: ImageVector? = null
