package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Infosys: ImageVector
    get() {
        if (_infosys != null) {
            return _infosys!!
        }
        _infosys = Builder(name = "Infosys", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.266f, 9.04f)
                arcTo(0.739f, 0.739f, 0.0f, false, false, 24.0f, 8.306f)
                arcToRelative(0.739f, 0.739f, 0.0f, false, false, -0.734f, -0.734f)
                arcToRelative(0.739f, 0.739f, 0.0f, false, false, -0.733f, 0.734f)
                curveToRelative(0.019f, 0.411f, 0.342f, 0.734f, 0.733f, 0.734f)
                close()
                moveTo(22.662f, 8.31f)
                curveToRelative(0.0f, -0.338f, 0.286f, -0.625f, 0.625f, -0.625f)
                curveToRelative(0.338f, 0.0f, 0.624f, 0.286f, 0.624f, 0.625f)
                arcToRelative(0.633f, 0.633f, 0.0f, false, true, -0.625f, 0.625f)
                arcToRelative(0.62f, 0.62f, 0.0f, false, true, -0.625f, -0.625f)
                close()
                moveTo(23.0f, 8.685f)
                horizontalLineToRelative(0.141f)
                verticalLineToRelative(-0.322f)
                horizontalLineToRelative(0.161f)
                lineToRelative(0.126f, 0.302f)
                horizontalLineToRelative(0.161f)
                lineToRelative(-0.141f, -0.339f)
                curveToRelative(0.053f, -0.015f, 0.125f, -0.052f, 0.125f, -0.197f)
                curveToRelative(0.0f, -0.214f, -0.161f, -0.25f, -0.302f, -0.25f)
                horizontalLineToRelative(-0.25f)
                verticalLineToRelative(0.802f)
                horizontalLineToRelative(-0.019f)
                close()
                moveTo(23.141f, 8.04f)
                horizontalLineToRelative(0.161f)
                curveToRelative(0.09f, 0.0f, 0.126f, 0.038f, 0.126f, 0.109f)
                curveToRelative(0.0f, 0.072f, -0.053f, 0.109f, -0.125f, 0.109f)
                horizontalLineToRelative(-0.162f)
                close()
                moveTo(0.0f, 8.63f)
                verticalLineToRelative(-0.855f)
                horizontalLineToRelative(0.859f)
                verticalLineToRelative(7.123f)
                lineTo(0.0f, 14.898f)
                verticalLineToRelative(-0.874f)
                close()
                moveTo(8.732f, 12.31f)
                curveToRelative(0.017f, 1.303f, 0.823f, 2.339f, 1.802f, 2.323f)
                curveToRelative(0.984f, -0.016f, 1.75f, -1.089f, 1.734f, -2.375f)
                curveToRelative(-0.016f, -1.302f, -0.822f, -2.338f, -1.802f, -2.322f)
                curveToRelative(-0.984f, 0.015f, -1.754f, 1.068f, -1.734f, 2.374f)
                close()
                moveTo(12.872f, 13.863f)
                curveToRelative(0.537f, 0.483f, 1.0f, 0.733f, 1.626f, 0.733f)
                curveToRelative(0.624f, 0.0f, 1.177f, -0.302f, 1.177f, -0.89f)
                curveToRelative(0.0f, -0.5f, -0.428f, -0.787f, -1.214f, -1.11f)
                curveToRelative(-0.661f, -0.286f, -1.14f, -0.483f, -1.41f, -0.89f)
                curveToRelative(0.035f, 0.177f, 0.052f, 0.358f, 0.052f, 0.552f)
                curveToRelative(0.0f, 1.588f, -1.161f, 2.874f, -2.589f, 2.874f)
                curveToRelative(-1.427f, 0.0f, -2.588f, -1.286f, -2.588f, -2.874f)
                curveToRelative(0.0f, -0.964f, 0.427f, -1.802f, 1.072f, -2.338f)
                horizontalLineToRelative(-1.75f)
                verticalLineToRelative(4.998f)
                horizontalLineToRelative(-0.765f)
                lineTo(6.483f, 9.912f)
                horizontalLineToRelative(-0.678f)
                verticalLineToRelative(-0.516f)
                horizontalLineToRelative(0.698f)
                curveToRelative(0.089f, -1.052f, 0.734f, -1.64f, 1.64f, -1.64f)
                curveToRelative(0.59f, 0.0f, 0.912f, 0.051f, 1.09f, 0.14f)
                lineTo(9.233f, 8.7f)
                horizontalLineToRelative(-0.037f)
                curveToRelative(-0.286f, -0.266f, -0.552f, -0.448f, -1.197f, -0.448f)
                curveToRelative(-0.516f, 0.0f, -0.86f, 0.411f, -0.734f, 1.141f)
                horizontalLineToRelative(2.91f)
                curveToRelative(0.126f, -0.015f, 0.25f, -0.038f, 0.376f, -0.038f)
                curveToRelative(1.036f, 0.0f, 1.927f, 0.678f, 2.338f, 1.661f)
                verticalLineToRelative(-0.177f)
                curveToRelative(0.0f, -1.016f, 1.0f, -1.463f, 2.016f, -1.463f)
                horizontalLineToRelative(0.109f)
                curveToRelative(0.358f, 0.0f, 0.874f, 0.108f, 1.197f, 0.197f)
                lineToRelative(0.286f, 0.698f)
                lineToRelative(0.323f, 0.802f)
                lineToRelative(0.858f, 2.14f)
                lineToRelative(0.11f, 0.34f)
                lineToRelative(0.108f, -0.34f)
                lineToRelative(1.109f, -2.733f)
                curveToRelative(0.197f, -0.75f, 1.016f, -1.072f, 1.89f, -1.072f)
                curveToRelative(0.448f, 0.0f, 0.767f, 0.053f, 1.162f, 0.198f)
                verticalLineToRelative(0.826f)
                curveToRelative(-0.484f, -0.359f, -0.823f, -0.552f, -1.375f, -0.552f)
                curveToRelative(-0.484f, 0.0f, -1.052f, 0.213f, -1.052f, 0.927f)
                curveToRelative(-0.016f, 0.536f, 0.302f, 0.625f, 1.25f, 1.089f)
                curveToRelative(0.766f, 0.338f, 1.483f, 0.697f, 1.483f, 1.552f)
                curveToRelative(0.0f, 1.427f, -1.41f, 1.677f, -2.088f, 1.677f)
                curveToRelative(-0.609f, 0.0f, -1.177f, -0.141f, -1.484f, -0.411f)
                verticalLineToRelative(-0.948f)
                lineToRelative(0.052f, 0.038f)
                curveToRelative(0.553f, 0.516f, 1.053f, 0.786f, 1.678f, 0.786f)
                reflectiveCurveToRelative(1.177f, -0.302f, 1.177f, -0.89f)
                curveToRelative(0.0f, -0.5f, -0.428f, -0.787f, -1.214f, -1.11f)
                curveToRelative(-0.75f, -0.322f, -1.233f, -0.536f, -1.427f, -1.072f)
                curveToRelative(-0.302f, 0.734f, -1.713f, 4.177f, -2.052f, 4.91f)
                horizontalLineToRelative(-0.75f)
                lineToRelative(0.178f, -0.338f)
                lineToRelative(0.16f, -0.302f)
                curveToRelative(0.262f, -0.539f, 0.505f, -1.085f, 0.714f, -1.552f)
                lineTo(15.844f, 10.7f)
                curveToRelative(-0.016f, -0.015f, -0.036f, -0.073f, -0.089f, -0.177f)
                curveToRelative(-0.109f, -0.25f, -0.213f, -0.5f, -0.536f, -0.61f)
                arcToRelative(1.84f, 1.84f, 0.0f, false, false, -0.552f, -0.088f)
                curveToRelative(-0.484f, 0.0f, -1.089f, 0.213f, -1.089f, 0.927f)
                curveToRelative(-0.016f, 0.536f, 0.339f, 0.625f, 1.286f, 1.089f)
                curveToRelative(0.766f, 0.338f, 1.484f, 0.697f, 1.484f, 1.552f)
                curveToRelative(0.0f, 1.427f, -1.411f, 1.677f, -2.088f, 1.677f)
                curveToRelative(-0.537f, 0.0f, -1.053f, -0.125f, -1.375f, -0.322f)
                lineToRelative(-0.012f, -0.887f)
                close()
                moveTo(2.464f, 9.452f)
                lineToRelative(0.017f, 0.624f)
                verticalLineToRelative(0.038f)
                curveToRelative(0.016f, -0.015f, 0.016f, -0.053f, 0.036f, -0.073f)
                curveToRelative(0.322f, -0.338f, 0.713f, -0.677f, 1.66f, -0.677f)
                curveToRelative(0.912f, 0.0f, 1.484f, 0.766f, 1.517f, 1.25f)
                verticalLineToRelative(4.284f)
                horizontalLineToRelative(-0.766f)
                verticalLineToRelative(-3.927f)
                curveToRelative(0.0f, -0.608f, -0.536f, -1.036f, -1.178f, -1.036f)
                curveToRelative(-0.536f, 0.0f, -1.233f, 0.484f, -1.25f, 0.984f)
                verticalLineToRelative(3.978f)
                horizontalLineToRelative(-0.786f)
                lineTo(1.714f, 9.451f)
                horizontalLineToRelative(0.75f)
                close()
            }
        }
        .build()
        return _infosys!!
    }

private var _infosys: ImageVector? = null
