package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jeep: ImageVector
    get() {
        if (_jeep != null) {
            return _jeep!!
        }
        _jeep = Builder(name = "Jeep", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.13f, 7.21f)
                horizontalLineToRelative(1.949f)
                verticalLineToRelative(5.114f)
                curveToRelative(0.0f, 0.88f, -0.378f, 2.725f, -3.082f, 2.725f)
                curveTo(0.293f, 15.05f, 0.0f, 13.331f, 0.0f, 12.367f)
                verticalLineToRelative(-0.944f)
                horizontalLineToRelative(1.886f)
                verticalLineToRelative(0.923f)
                curveToRelative(0.0f, 0.565f, 0.378f, 1.09f, 1.09f, 1.09f)
                curveToRelative(0.713f, 0.0f, 1.153f, -0.399f, 1.153f, -1.07f)
                lineTo(4.129f, 7.21f)
                close()
                moveTo(8.342f, 11.55f)
                curveToRelative(0.0f, -0.567f, 0.23f, -1.028f, 0.88f, -1.028f)
                curveToRelative(0.671f, 0.0f, 0.964f, 0.503f, 0.964f, 1.027f)
                lineTo(8.342f, 11.549f)
                close()
                moveTo(9.097f, 9.348f)
                curveToRelative(-1.782f, 0.0f, -2.579f, 1.635f, -2.579f, 3.04f)
                curveToRelative(0.0f, 1.404f, 0.902f, 2.766f, 2.746f, 2.766f)
                curveToRelative(1.614f, 0.021f, 2.683f, -1.027f, 2.683f, -1.802f)
                horizontalLineToRelative(-1.782f)
                reflectiveCurveToRelative(-0.21f, 0.502f, -0.838f, 0.502f)
                curveToRelative(-0.629f, 0.0f, -0.985f, -0.356f, -0.985f, -1.215f)
                horizontalLineToRelative(3.626f)
                curveToRelative(0.0f, -2.704f, -1.341f, -3.29f, -2.871f, -3.29f)
                moveToRelative(5.072f, 2.2f)
                curveToRelative(0.0f, -0.566f, 0.23f, -1.027f, 0.88f, -1.027f)
                curveToRelative(0.671f, 0.0f, 0.964f, 0.503f, 0.964f, 1.027f)
                lineTo(14.17f, 11.549f)
                close()
                moveTo(14.923f, 9.349f)
                curveToRelative(-1.781f, 0.0f, -2.578f, 1.634f, -2.578f, 3.038f)
                curveToRelative(0.0f, 1.405f, 0.902f, 2.767f, 2.746f, 2.767f)
                curveToRelative(1.614f, 0.021f, 2.683f, -1.027f, 2.683f, -1.802f)
                horizontalLineToRelative(-1.782f)
                reflectiveCurveToRelative(-0.21f, 0.502f, -0.838f, 0.502f)
                reflectiveCurveToRelative(-0.986f, -0.356f, -0.986f, -1.215f)
                horizontalLineToRelative(3.626f)
                curveToRelative(0.0f, -2.704f, -1.34f, -3.29f, -2.87f, -3.29f)
                moveToRelative(5.11f, 2.975f)
                curveToRelative(0.022f, -1.068f, 0.441f, -1.508f, 1.007f, -1.508f)
                curveToRelative(0.922f, 0.0f, 1.09f, 0.712f, 1.09f, 1.446f)
                curveToRelative(0.0f, 0.733f, -0.126f, 1.697f, -1.006f, 1.697f)
                reflectiveCurveToRelative(-1.11f, -0.565f, -1.09f, -1.635f)
                moveToRelative(0.042f, 4.465f)
                verticalLineToRelative(-2.243f)
                curveToRelative(0.075f, 0.1f, 0.118f, 0.148f, 0.251f, 0.252f)
                curveToRelative(0.21f, 0.163f, 0.566f, 0.44f, 1.363f, 0.44f)
                curveToRelative(1.446f, 0.0f, 2.284f, -1.257f, 2.284f, -2.976f)
                curveToRelative(0.0f, -2.222f, -1.404f, -2.85f, -2.305f, -2.85f)
                curveToRelative(-0.901f, 0.0f, -1.24f, 0.418f, -1.362f, 0.565f)
                curveToRelative(-0.141f, 0.17f, -0.187f, 0.266f, -0.252f, 0.405f)
                verticalLineToRelative(-0.824f)
                horizontalLineToRelative(-1.803f)
                verticalLineToRelative(7.231f)
                horizontalLineToRelative(1.824f)
                close()
                moveTo(23.243f, 15.951f)
                verticalLineToRelative(0.592f)
                horizontalLineToRelative(0.104f)
                verticalLineToRelative(-0.234f)
                horizontalLineToRelative(0.082f)
                curveToRelative(0.056f, 0.0f, 0.095f, 0.007f, 0.117f, 0.02f)
                curveToRelative(0.037f, 0.022f, 0.055f, 0.067f, 0.055f, 0.135f)
                verticalLineToRelative(0.047f)
                lineToRelative(0.002f, 0.02f)
                lineToRelative(0.002f, 0.006f)
                lineToRelative(0.001f, 0.006f)
                horizontalLineToRelative(0.098f)
                lineToRelative(-0.004f, -0.007f)
                arcToRelative(0.572f, 0.572f, 0.0f, false, true, -0.006f, -0.075f)
                verticalLineToRelative(-0.044f)
                curveToRelative(0.0f, -0.03f, -0.011f, -0.06f, -0.032f, -0.092f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, false, -0.103f, -0.057f)
                arcToRelative(0.234f, 0.234f, 0.0f, false, false, 0.086f, -0.029f)
                curveToRelative(0.039f, -0.025f, 0.058f, -0.064f, 0.058f, -0.117f)
                curveToRelative(0.0f, -0.074f, -0.03f, -0.124f, -0.091f, -0.15f)
                arcToRelative(0.456f, 0.456f, 0.0f, false, false, -0.162f, -0.02f)
                horizontalLineToRelative(-0.207f)
                close()
                moveTo(23.562f, 16.044f)
                curveToRelative(0.026f, 0.015f, 0.04f, 0.044f, 0.04f, 0.087f)
                curveToRelative(0.0f, 0.046f, -0.021f, 0.076f, -0.062f, 0.092f)
                arcToRelative(0.28f, 0.28f, 0.0f, false, true, -0.099f, 0.014f)
                horizontalLineToRelative(-0.094f)
                verticalLineToRelative(-0.215f)
                horizontalLineToRelative(0.09f)
                curveToRelative(0.057f, 0.0f, 0.099f, 0.008f, 0.125f, 0.022f)
                moveToRelative(0.28f, 0.587f)
                arcToRelative(0.523f, 0.523f, 0.0f, false, false, 0.158f, -0.383f)
                arcToRelative(0.518f, 0.518f, 0.0f, false, false, -0.158f, -0.38f)
                arcToRelative(0.522f, 0.522f, 0.0f, false, false, -0.382f, -0.157f)
                arcToRelative(0.518f, 0.518f, 0.0f, false, false, -0.38f, 0.157f)
                arcToRelative(0.518f, 0.518f, 0.0f, false, false, -0.157f, 0.38f)
                curveToRelative(0.0f, 0.15f, 0.052f, 0.278f, 0.156f, 0.383f)
                arcToRelative(0.517f, 0.517f, 0.0f, false, false, 0.381f, 0.159f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, 0.382f, -0.16f)
                moveToRelative(-0.71f, -0.71f)
                curveToRelative(0.091f, -0.09f, 0.2f, -0.136f, 0.328f, -0.136f)
                reflectiveCurveToRelative(0.238f, 0.045f, 0.328f, 0.136f)
                curveToRelative(0.09f, 0.09f, 0.135f, 0.2f, 0.135f, 0.328f)
                curveToRelative(0.0f, 0.13f, -0.045f, 0.24f, -0.134f, 0.33f)
                arcToRelative(0.444f, 0.444f, 0.0f, false, true, -0.329f, 0.137f)
                arcToRelative(0.443f, 0.443f, 0.0f, false, true, -0.328f, -0.136f)
                arcToRelative(0.454f, 0.454f, 0.0f, false, true, -0.134f, -0.33f)
                arcToRelative(0.45f, 0.45f, 0.0f, false, true, 0.135f, -0.329f)
            }
        }
        .build()
        return _jeep!!
    }

private var _jeep: ImageVector? = null
