package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kubernetes: ImageVector
    get() {
        if (_kubernetes != null) {
            return _kubernetes!!
        }
        _kubernetes = Builder(name = "Kubernetes", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.204f, 14.35f)
                lineToRelative(0.007f, 0.01f)
                lineToRelative(-0.999f, 2.413f)
                arcToRelative(5.171f, 5.171f, 0.0f, false, true, -2.075f, -2.597f)
                lineToRelative(2.578f, -0.437f)
                lineToRelative(0.004f, 0.005f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, true, 0.484f, 0.606f)
                close()
                moveTo(9.371f, 12.221f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, 0.173f, -0.756f)
                lineToRelative(0.002f, -0.011f)
                lineTo(7.585f, 9.7f)
                arcToRelative(5.143f, 5.143f, 0.0f, false, false, -0.73f, 3.255f)
                lineToRelative(2.514f, -0.725f)
                lineToRelative(0.002f, -0.009f)
                close()
                moveTo(10.516f, 10.241f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, 0.699f, -0.337f)
                lineToRelative(0.01f, -0.005f)
                lineToRelative(0.15f, -2.62f)
                arcToRelative(5.144f, 5.144f, 0.0f, false, false, -3.01f, 1.442f)
                lineToRelative(2.147f, 1.523f)
                lineToRelative(0.004f, -0.002f)
                close()
                moveTo(11.276f, 12.991f)
                lineToRelative(0.723f, 0.349f)
                lineToRelative(0.722f, -0.347f)
                lineToRelative(0.18f, -0.78f)
                lineToRelative(-0.5f, -0.623f)
                horizontalLineToRelative(-0.804f)
                lineToRelative(-0.5f, 0.623f)
                lineToRelative(0.179f, 0.779f)
                close()
                moveTo(12.776f, 9.896f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, 0.7f, 0.336f)
                lineToRelative(0.008f, 0.003f)
                lineToRelative(2.134f, -1.513f)
                arcToRelative(5.188f, 5.188f, 0.0f, false, false, -2.992f, -1.442f)
                lineToRelative(0.148f, 2.615f)
                lineToRelative(0.002f, 0.001f)
                close()
                moveTo(23.652f, 15.866f)
                lineToRelative(-5.773f, 7.181f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, true, -1.248f, 0.594f)
                lineToRelative(-9.261f, 0.003f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, true, -1.247f, -0.596f)
                lineToRelative(-5.776f, -7.18f)
                arcToRelative(1.583f, 1.583f, 0.0f, false, true, -0.307f, -1.34f)
                lineTo(2.1f, 5.573f)
                curveToRelative(0.108f, -0.47f, 0.425f, -0.864f, 0.863f, -1.073f)
                lineTo(11.305f, 0.513f)
                arcToRelative(1.606f, 1.606f, 0.0f, false, true, 1.385f, 0.0f)
                lineToRelative(8.345f, 3.985f)
                curveToRelative(0.438f, 0.209f, 0.755f, 0.604f, 0.863f, 1.073f)
                lineToRelative(2.062f, 8.955f)
                curveToRelative(0.108f, 0.47f, -0.005f, 0.963f, -0.308f, 1.34f)
                close()
                moveTo(20.363f, 13.809f)
                curveToRelative(-0.042f, -0.01f, -0.103f, -0.026f, -0.145f, -0.034f)
                curveToRelative(-0.174f, -0.033f, -0.315f, -0.025f, -0.479f, -0.038f)
                curveToRelative(-0.35f, -0.037f, -0.638f, -0.067f, -0.895f, -0.148f)
                curveToRelative(-0.105f, -0.04f, -0.18f, -0.165f, -0.216f, -0.216f)
                lineToRelative(-0.201f, -0.059f)
                arcToRelative(6.45f, 6.45f, 0.0f, false, false, -0.105f, -2.332f)
                arcToRelative(6.465f, 6.465f, 0.0f, false, false, -0.936f, -2.163f)
                curveToRelative(0.052f, -0.047f, 0.15f, -0.133f, 0.177f, -0.159f)
                curveToRelative(0.008f, -0.09f, 0.001f, -0.183f, 0.094f, -0.282f)
                curveToRelative(0.197f, -0.185f, 0.444f, -0.338f, 0.743f, -0.522f)
                curveToRelative(0.142f, -0.084f, 0.273f, -0.137f, 0.415f, -0.242f)
                curveToRelative(0.032f, -0.024f, 0.076f, -0.062f, 0.11f, -0.089f)
                curveToRelative(0.24f, -0.191f, 0.295f, -0.52f, 0.123f, -0.736f)
                curveToRelative(-0.172f, -0.216f, -0.506f, -0.236f, -0.745f, -0.045f)
                curveToRelative(-0.034f, 0.027f, -0.08f, 0.062f, -0.111f, 0.088f)
                curveToRelative(-0.134f, 0.116f, -0.217f, 0.23f, -0.33f, 0.35f)
                curveToRelative(-0.246f, 0.25f, -0.45f, 0.458f, -0.673f, 0.609f)
                curveToRelative(-0.097f, 0.056f, -0.239f, 0.037f, -0.303f, 0.033f)
                lineToRelative(-0.19f, 0.135f)
                arcToRelative(6.545f, 6.545f, 0.0f, false, false, -4.146f, -2.003f)
                lineToRelative(-0.012f, -0.223f)
                curveToRelative(-0.065f, -0.062f, -0.143f, -0.115f, -0.163f, -0.25f)
                curveToRelative(-0.022f, -0.268f, 0.015f, -0.557f, 0.057f, -0.905f)
                curveToRelative(0.023f, -0.163f, 0.061f, -0.298f, 0.068f, -0.475f)
                curveToRelative(0.001f, -0.04f, -0.001f, -0.099f, -0.001f, -0.142f)
                curveToRelative(0.0f, -0.306f, -0.224f, -0.555f, -0.5f, -0.555f)
                curveToRelative(-0.275f, 0.0f, -0.499f, 0.249f, -0.499f, 0.555f)
                lineToRelative(0.001f, 0.014f)
                curveToRelative(0.0f, 0.041f, -0.002f, 0.092f, 0.0f, 0.128f)
                curveToRelative(0.006f, 0.177f, 0.044f, 0.312f, 0.067f, 0.475f)
                curveToRelative(0.042f, 0.348f, 0.078f, 0.637f, 0.056f, 0.906f)
                arcToRelative(0.545f, 0.545f, 0.0f, false, true, -0.162f, 0.258f)
                lineToRelative(-0.012f, 0.211f)
                arcToRelative(6.424f, 6.424f, 0.0f, false, false, -4.166f, 2.003f)
                arcToRelative(8.373f, 8.373f, 0.0f, false, true, -0.18f, -0.128f)
                curveToRelative(-0.09f, 0.012f, -0.18f, 0.04f, -0.297f, -0.029f)
                curveToRelative(-0.223f, -0.15f, -0.427f, -0.358f, -0.673f, -0.608f)
                curveToRelative(-0.113f, -0.12f, -0.195f, -0.234f, -0.329f, -0.349f)
                curveToRelative(-0.03f, -0.026f, -0.077f, -0.062f, -0.111f, -0.088f)
                arcToRelative(0.594f, 0.594f, 0.0f, false, false, -0.348f, -0.132f)
                arcToRelative(0.481f, 0.481f, 0.0f, false, false, -0.398f, 0.176f)
                curveToRelative(-0.172f, 0.216f, -0.117f, 0.546f, 0.123f, 0.737f)
                lineToRelative(0.007f, 0.005f)
                lineToRelative(0.104f, 0.083f)
                curveToRelative(0.142f, 0.105f, 0.272f, 0.159f, 0.414f, 0.242f)
                curveToRelative(0.299f, 0.185f, 0.546f, 0.338f, 0.743f, 0.522f)
                curveToRelative(0.076f, 0.082f, 0.09f, 0.226f, 0.1f, 0.288f)
                lineToRelative(0.16f, 0.143f)
                arcToRelative(6.462f, 6.462f, 0.0f, false, false, -1.02f, 4.506f)
                lineToRelative(-0.208f, 0.06f)
                curveToRelative(-0.055f, 0.072f, -0.133f, 0.184f, -0.215f, 0.217f)
                curveToRelative(-0.257f, 0.081f, -0.546f, 0.11f, -0.895f, 0.147f)
                curveToRelative(-0.164f, 0.014f, -0.305f, 0.006f, -0.48f, 0.039f)
                curveToRelative(-0.037f, 0.007f, -0.09f, 0.02f, -0.133f, 0.03f)
                lineToRelative(-0.004f, 0.002f)
                lineToRelative(-0.007f, 0.002f)
                curveToRelative(-0.295f, 0.071f, -0.484f, 0.342f, -0.423f, 0.608f)
                curveToRelative(0.061f, 0.267f, 0.349f, 0.429f, 0.645f, 0.365f)
                lineToRelative(0.007f, -0.001f)
                lineToRelative(0.01f, -0.003f)
                lineToRelative(0.129f, -0.029f)
                curveToRelative(0.17f, -0.046f, 0.294f, -0.113f, 0.448f, -0.172f)
                curveToRelative(0.33f, -0.118f, 0.604f, -0.217f, 0.87f, -0.256f)
                curveToRelative(0.112f, -0.009f, 0.23f, 0.069f, 0.288f, 0.101f)
                lineToRelative(0.217f, -0.037f)
                arcToRelative(6.5f, 6.5f, 0.0f, false, false, 2.88f, 3.596f)
                lineToRelative(-0.09f, 0.218f)
                curveToRelative(0.033f, 0.084f, 0.069f, 0.199f, 0.044f, 0.282f)
                curveToRelative(-0.097f, 0.252f, -0.263f, 0.517f, -0.452f, 0.813f)
                curveToRelative(-0.091f, 0.136f, -0.185f, 0.242f, -0.268f, 0.399f)
                curveToRelative(-0.02f, 0.037f, -0.045f, 0.095f, -0.064f, 0.134f)
                curveToRelative(-0.128f, 0.275f, -0.034f, 0.591f, 0.213f, 0.71f)
                curveToRelative(0.248f, 0.12f, 0.556f, -0.007f, 0.69f, -0.282f)
                verticalLineToRelative(-0.002f)
                curveToRelative(0.02f, -0.039f, 0.046f, -0.09f, 0.062f, -0.127f)
                curveToRelative(0.07f, -0.162f, 0.094f, -0.301f, 0.144f, -0.458f)
                curveToRelative(0.132f, -0.332f, 0.205f, -0.68f, 0.387f, -0.897f)
                curveToRelative(0.05f, -0.06f, 0.13f, -0.082f, 0.215f, -0.105f)
                lineToRelative(0.113f, -0.205f)
                arcToRelative(6.453f, 6.453f, 0.0f, false, false, 4.609f, 0.012f)
                lineToRelative(0.106f, 0.192f)
                curveToRelative(0.086f, 0.028f, 0.18f, 0.042f, 0.256f, 0.155f)
                curveToRelative(0.136f, 0.232f, 0.229f, 0.507f, 0.342f, 0.84f)
                curveToRelative(0.05f, 0.156f, 0.074f, 0.295f, 0.145f, 0.457f)
                curveToRelative(0.016f, 0.037f, 0.043f, 0.09f, 0.062f, 0.129f)
                curveToRelative(0.133f, 0.276f, 0.442f, 0.402f, 0.69f, 0.282f)
                curveToRelative(0.247f, -0.118f, 0.341f, -0.435f, 0.213f, -0.71f)
                curveToRelative(-0.02f, -0.039f, -0.045f, -0.096f, -0.065f, -0.134f)
                curveToRelative(-0.083f, -0.156f, -0.177f, -0.261f, -0.268f, -0.398f)
                curveToRelative(-0.19f, -0.296f, -0.346f, -0.541f, -0.443f, -0.793f)
                curveToRelative(-0.04f, -0.13f, 0.007f, -0.21f, 0.038f, -0.294f)
                curveToRelative(-0.018f, -0.022f, -0.059f, -0.144f, -0.083f, -0.202f)
                arcToRelative(6.499f, 6.499f, 0.0f, false, false, 2.88f, -3.622f)
                curveToRelative(0.064f, 0.01f, 0.176f, 0.03f, 0.213f, 0.038f)
                curveToRelative(0.075f, -0.05f, 0.144f, -0.114f, 0.28f, -0.104f)
                curveToRelative(0.266f, 0.039f, 0.54f, 0.138f, 0.87f, 0.256f)
                curveToRelative(0.154f, 0.06f, 0.277f, 0.128f, 0.448f, 0.173f)
                curveToRelative(0.036f, 0.01f, 0.088f, 0.019f, 0.13f, 0.028f)
                lineToRelative(0.009f, 0.003f)
                lineToRelative(0.007f, 0.001f)
                curveToRelative(0.297f, 0.064f, 0.584f, -0.098f, 0.645f, -0.365f)
                curveToRelative(0.06f, -0.266f, -0.128f, -0.537f, -0.423f, -0.608f)
                close()
                moveTo(16.4f, 9.701f)
                lineToRelative(-1.95f, 1.746f)
                verticalLineToRelative(0.005f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, 0.173f, 0.757f)
                lineToRelative(0.003f, 0.01f)
                lineToRelative(2.526f, 0.728f)
                arcToRelative(5.199f, 5.199f, 0.0f, false, false, -0.108f, -1.674f)
                arcTo(5.208f, 5.208f, 0.0f, false, false, 16.4f, 9.7f)
                close()
                moveTo(12.387f, 15.026f)
                arcToRelative(0.437f, 0.437f, 0.0f, false, false, -0.404f, -0.232f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, -0.372f, 0.233f)
                horizontalLineToRelative(-0.002f)
                lineToRelative(-1.268f, 2.292f)
                arcToRelative(5.164f, 5.164f, 0.0f, false, false, 3.326f, 0.003f)
                lineToRelative(-1.27f, -2.296f)
                horizontalLineToRelative(-0.01f)
                close()
                moveTo(14.275f, 13.733f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, -0.27f, 0.036f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, -0.214f, 0.572f)
                lineToRelative(-0.003f, 0.004f)
                lineToRelative(1.01f, 2.438f)
                arcToRelative(5.15f, 5.15f, 0.0f, false, false, 2.081f, -2.615f)
                lineToRelative(-2.6f, -0.44f)
                lineToRelative(-0.004f, 0.005f)
                close()
            }
        }
        .build()
        return _kubernetes!!
    }

private var _kubernetes: ImageVector? = null
