package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Llvm: ImageVector
    get() {
        if (_llvm != null) {
            return _llvm!!
        }
        _llvm = Builder(name = "Llvm", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.83f, 2.978f)
                lineToRelative(-0.086f, 0.095f)
                arcToRelative(16.245f, 16.245f, 0.0f, false, false, -1.19f, 1.487f)
                arcToRelative(5.773f, 5.773f, 0.0f, false, false, -0.446f, 0.719f)
                arcToRelative(2.88f, 2.88f, 0.0f, false, false, -0.249f, 0.596f)
                arcToRelative(0.497f, 0.497f, 0.0f, false, false, -0.033f, 0.177f)
                verticalLineToRelative(0.004f)
                arcToRelative(0.297f, 0.297f, 0.0f, false, false, -0.21f, 0.29f)
                arcToRelative(0.3f, 0.3f, 0.0f, false, false, 0.187f, 0.284f)
                curveToRelative(0.038f, 0.371f, 0.08f, 1.142f, 0.07f, 2.2f)
                lineToRelative(-0.004f, 0.142f)
                arcToRelative(8.001f, 8.001f, 0.0f, false, true, -0.434f, 2.327f)
                curveToRelative(-0.016f, -0.01f, -0.03f, -0.014f, -0.04f, -0.013f)
                curveToRelative(-0.03f, 0.003f, -0.11f, 0.12f, -0.19f, 0.251f)
                curveToRelative(-0.058f, 0.09f, -0.119f, 0.195f, -0.154f, 0.291f)
                arcToRelative(0.37f, 0.37f, 0.0f, false, false, -0.03f, 0.14f)
                arcToRelative(0.249f, 0.249f, 0.0f, false, false, 0.01f, 0.088f)
                curveToRelative(0.01f, 0.037f, 0.022f, 0.058f, 0.022f, 0.058f)
                arcToRelative(6.836f, 6.836f, 0.0f, false, true, -0.003f, 0.007f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, false, -0.028f, 0.067f)
                lineToRelative(-0.012f, 0.029f)
                arcToRelative(6.836f, 6.836f, 0.0f, false, true, -0.257f, 0.527f)
                lineToRelative(-0.077f, 0.142f)
                arcToRelative(6.836f, 6.836f, 0.0f, false, true, -0.07f, 0.115f)
                arcToRelative(0.157f, 0.157f, 0.0f, false, false, -0.022f, -0.014f)
                arcToRelative(0.16f, 0.16f, 0.0f, false, false, -0.113f, 0.024f)
                curveToRelative(-0.047f, 0.035f, -0.151f, 0.194f, -0.498f, 0.368f)
                arcToRelative(1.384f, 1.384f, 0.0f, false, true, -0.32f, 0.114f)
                arcToRelative(14.1f, 14.1f, 0.0f, false, false, 0.248f, -2.07f)
                arcToRelative(5.072f, 5.072f, 0.0f, false, false, -0.064f, -1.057f)
                curveToRelative(0.003f, -0.01f, 0.003f, -0.017f, 0.003f, -0.017f)
                lineToRelative(-0.005f, 0.01f)
                arcToRelative(4.345f, 4.345f, 0.0f, false, false, -0.104f, -0.458f)
                arcToRelative(3.554f, 3.554f, 0.0f, false, false, -0.724f, -1.385f)
                curveToRelative(-0.631f, -0.754f, -1.496f, -1.14f, -2.256f, -1.165f)
                lineToRelative(-0.125f, -0.002f)
                curveToRelative(0.0f, -0.008f, 0.0f, -0.015f, 0.002f, -0.022f)
                curveToRelative(0.02f, -0.098f, 0.024f, -0.127f, -0.087f, -0.032f)
                arcToRelative(0.872f, 0.872f, 0.0f, false, false, -0.057f, 0.054f)
                arcToRelative(2.986f, 2.986f, 0.0f, false, false, -0.146f, 0.007f)
                arcToRelative(0.716f, 0.716f, 0.0f, false, true, -0.003f, -0.108f)
                curveToRelative(0.004f, -0.076f, 0.024f, -0.127f, -0.087f, -0.032f)
                arcToRelative(0.553f, 0.553f, 0.0f, false, false, -0.142f, 0.167f)
                curveToRelative(-0.05f, 0.008f, -0.08f, 0.015f, -0.08f, 0.015f)
                lineToRelative(0.045f, -0.002f)
                lineToRelative(-0.047f, 0.008f)
                curveToRelative(-0.016f, -0.042f, -0.053f, -0.105f, -0.048f, -0.16f)
                curveToRelative(0.01f, -0.118f, 0.043f, -0.14f, -0.037f, -0.065f)
                curveToRelative(-0.098f, 0.09f, -0.202f, 0.226f, -0.22f, 0.3f)
                lineToRelative(-0.096f, 0.03f)
                curveToRelative(-0.018f, -0.019f, -0.074f, -0.07f, -0.086f, -0.179f)
                curveToRelative(-0.013f, -0.11f, -0.012f, -0.166f, -0.08f, -0.05f)
                arcToRelative(1.14f, 1.14f, 0.0f, false, false, -0.13f, 0.348f)
                curveToRelative(-0.032f, 0.015f, -0.063f, 0.03f, -0.093f, 0.046f)
                arcToRelative(0.27f, 0.27f, 0.0f, false, true, -0.057f, -0.173f)
                curveToRelative(-0.005f, -0.144f, 0.04f, -0.26f, -0.067f, -0.068f)
                arcToRelative(1.634f, 1.634f, 0.0f, false, false, -0.146f, 0.406f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, false, -0.105f, 0.08f)
                arcToRelative(2.7f, 2.7f, 0.0f, false, true, -0.008f, -0.17f)
                curveToRelative(-0.002f, -0.143f, 0.021f, -0.296f, -0.067f, -0.026f)
                arcToRelative(1.832f, 1.832f, 0.0f, false, false, -0.07f, 0.321f)
                curveToRelative(-0.404f, 0.385f, -0.65f, 0.917f, -0.644f, 1.572f)
                verticalLineToRelative(0.007f)
                arcToRelative(3.42f, 3.42f, 0.0f, false, false, 0.014f, 0.33f)
                curveToRelative(0.02f, 0.238f, 0.057f, 0.438f, 0.107f, 0.605f)
                curveToRelative(-0.095f, 0.13f, -0.103f, 0.689f, -0.01f, 0.818f)
                curveToRelative(0.073f, 0.104f, 0.496f, 0.35f, 0.586f, 0.399f)
                arcToRelative(0.367f, 0.367f, 0.0f, false, true, 0.094f, 0.093f)
                curveToRelative(0.115f, 0.188f, 0.115f, 0.567f, 0.027f, 0.762f)
                curveToRelative(-0.107f, 0.238f, 0.107f, 0.285f, 0.285f, 0.32f)
                curveToRelative(0.178f, 0.036f, 0.415f, -0.023f, 0.463f, -0.118f)
                curveToRelative(0.047f, -0.095f, -0.154f, -0.31f, -0.237f, -0.748f)
                curveToRelative(-0.084f, -0.439f, 0.13f, -0.474f, 0.13f, -0.474f)
                reflectiveCurveToRelative(0.095f, 0.024f, 0.237f, 0.249f)
                curveToRelative(0.11f, 0.175f, 0.227f, 0.313f, 0.336f, 0.413f)
                arcToRelative(0.727f, 0.727f, 0.0f, false, true, -0.201f, 0.172f)
                curveToRelative(0.12f, 0.005f, 0.24f, -0.051f, 0.304f, -0.087f)
                arcToRelative(0.77f, 0.77f, 0.0f, false, false, 0.07f, 0.045f)
                arcToRelative(1.015f, 1.015f, 0.0f, false, true, -0.05f, 0.05f)
                arcToRelative(0.506f, 0.506f, 0.0f, false, false, 0.109f, -0.022f)
                arcToRelative(0.295f, 0.295f, 0.0f, false, false, 0.084f, 0.022f)
                curveToRelative(0.155f, 0.012f, 0.57f, -0.368f, 0.57f, -0.439f)
                curveToRelative(0.0f, -0.018f, -0.015f, -0.04f, -0.038f, -0.063f)
                curveToRelative(-0.042f, -0.045f, -0.12f, -0.1f, -0.207f, -0.177f)
                arcToRelative(1.03f, 1.03f, 0.0f, false, true, -0.11f, -0.116f)
                arcToRelative(0.723f, 0.723f, 0.0f, false, true, -0.141f, -0.374f)
                verticalLineToRelative(-0.01f)
                lineToRelative(-0.003f, -0.031f)
                reflectiveCurveToRelative(0.007f, -0.007f, 0.016f, -0.02f)
                verticalLineToRelative(0.004f)
                lineToRelative(0.004f, -0.01f)
                curveToRelative(0.052f, -0.08f, 0.15f, -0.379f, -0.47f, -1.078f)
                arcToRelative(3.045f, 3.045f, 0.0f, false, false, -0.924f, -0.706f)
                curveToRelative(-0.042f, -0.472f, 0.15f, -0.913f, 0.626f, -1.13f)
                lineToRelative(-0.005f, 0.005f)
                lineToRelative(0.008f, -0.006f)
                curveToRelative(0.227f, -0.102f, 0.517f, -0.155f, 0.877f, -0.136f)
                curveToRelative(0.69f, 0.036f, 1.22f, 0.36f, 1.59f, 0.845f)
                curveToRelative(0.514f, 0.712f, 0.738f, 1.78f, 0.575f, 2.856f)
                curveToRelative(-0.068f, 0.065f, -0.055f, 0.075f, -0.013f, 0.077f)
                arcToRelative(4.616f, 4.616f, 0.0f, false, true, -0.055f, 0.273f)
                lineToRelative(-0.027f, 0.015f)
                curveToRelative(-0.123f, 0.074f, -0.071f, 0.073f, 0.0f, 0.092f)
                lineToRelative(-0.006f, 0.02f)
                arcToRelative(3.98f, 3.98f, 0.0f, false, true, -0.066f, 0.193f)
                arcToRelative(0.956f, 0.956f, 0.0f, false, false, -0.087f, 0.03f)
                curveToRelative(-0.135f, 0.053f, -0.08f, 0.06f, -0.012f, 0.09f)
                lineToRelative(0.044f, 0.023f)
                arcToRelative(5.62f, 5.62f, 0.0f, false, true, -0.101f, 0.237f)
                arcToRelative(0.746f, 0.746f, 0.0f, false, false, -0.08f, 0.017f)
                curveToRelative(-0.142f, 0.036f, -0.088f, 0.05f, -0.024f, 0.09f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, true, 0.04f, 0.027f)
                arcToRelative(6.783f, 6.783f, 0.0f, false, true, -0.107f, 0.214f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, -0.153f, 0.025f)
                curveToRelative(-0.14f, 0.036f, -0.087f, 0.05f, -0.023f, 0.09f)
                curveToRelative(0.034f, 0.02f, 0.06f, 0.04f, 0.08f, 0.059f)
                arcToRelative(8.021f, 8.021f, 0.0f, false, true, -0.094f, 0.165f)
                lineToRelative(-0.023f, 0.036f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, -0.206f, 0.024f)
                curveToRelative(-0.142f, 0.036f, -0.088f, 0.05f, -0.024f, 0.09f)
                arcToRelative(0.67f, 0.67f, 0.0f, false, true, 0.104f, 0.079f)
                arcToRelative(8.61f, 8.61f, 0.0f, false, true, -0.126f, 0.18f)
                arcToRelative(0.514f, 0.514f, 0.0f, false, false, -0.23f, -0.005f)
                curveToRelative(-0.144f, 0.02f, -0.092f, 0.04f, -0.033f, 0.086f)
                curveToRelative(0.068f, 0.053f, 0.1f, 0.099f, 0.118f, 0.118f)
                lineToRelative(-0.062f, 0.084f)
                curveToRelative(-0.044f, -0.058f, -0.15f, -0.124f, -0.246f, -0.193f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, -0.29f, -0.13f)
                curveToRelative(-0.048f, 0.0f, -0.2f, 0.268f, -1.017f, 0.197f)
                curveToRelative(-0.819f, -0.071f, -0.87f, -0.15f, -0.942f, -0.15f)
                arcToRelative(0.978f, 0.978f, 0.0f, false, false, -0.228f, 0.059f)
                lineToRelative(-0.034f, -0.02f)
                arcToRelative(11.03f, 11.03f, 0.0f, false, true, -0.972f, -0.674f)
                curveToRelative(-0.464f, -0.37f, -0.72f, -0.647f, -0.72f, -0.647f)
                reflectiveCurveToRelative(0.137f, -0.125f, -0.047f, -0.284f)
                arcToRelative(3.32f, 3.32f, 0.0f, false, false, -0.338f, -0.277f)
                arcToRelative(2.157f, 2.157f, 0.0f, false, false, -0.242f, -0.166f)
                arcToRelative(3.57f, 3.57f, 0.0f, false, true, -0.088f, -0.127f)
                arcToRelative(11.485f, 11.485f, 0.0f, false, true, -0.363f, -0.628f)
                arcToRelative(10.455f, 10.455f, 0.0f, false, true, -0.25f, -0.527f)
                curveToRelative(-0.16f, -0.36f, -0.27f, -0.682f, -0.346f, -0.964f)
                arcToRelative(5.62f, 5.62f, 0.0f, false, true, -0.148f, -0.923f)
                arcToRelative(2.257f, 2.257f, 0.0f, false, true, 0.004f, -0.242f)
                arcToRelative(0.411f, 0.411f, 0.0f, false, false, 0.158f, -0.323f)
                arcToRelative(0.411f, 0.411f, 0.0f, false, false, -0.358f, -0.407f)
                curveToRelative(-0.204f, -0.427f, -0.982f, -1.477f, -3.881f, -3.68f)
                lineToRelative(-0.127f, -0.097f)
                lineToRelative(0.005f, 0.004f)
                lineToRelative(-0.036f, -0.027f)
                curveTo(7.067f, 6.599f, 7.644f, 7.587f, 7.795f, 8.0f)
                arcToRelative(0.411f, 0.411f, 0.0f, false, false, -0.027f, 0.033f)
                arcToRelative(18.69f, 18.69f, 0.0f, false, false, -0.018f, -0.013f)
                curveToRelative(0.018f, 0.0f, 0.025f, -0.005f, 0.025f, -0.005f)
                reflectiveCurveToRelative(-0.672f, -0.546f, -1.787f, -1.23f)
                curveToRelative(-1.118f, -0.687f, -1.748f, -0.849f, -1.88f, -0.877f)
                lineToRelative(-0.026f, -0.006f)
                reflectiveCurveToRelative(0.206f, 0.19f, 0.174f, 0.285f)
                curveToRelative(-0.01f, 0.032f, -0.168f, 0.022f, -0.421f, 0.028f)
                arcToRelative(3.948f, 3.948f, 0.0f, false, false, -0.725f, 0.07f)
                arcToRelative(4.1f, 4.1f, 0.0f, false, false, -1.567f, 0.63f)
                curveTo(0.238f, 7.785f, 0.0f, 8.401f, 0.0f, 8.401f)
                reflectiveCurveToRelative(0.55f, -0.768f, 1.58f, -1.305f)
                curveToRelative(-0.014f, 0.337f, -0.047f, 1.97f, 0.445f, 4.12f)
                curveToRelative(0.53f, 2.32f, 1.53f, 4.487f, 1.614f, 4.665f)
                curveToRelative(0.004f, 0.178f, 0.016f, 0.272f, 0.016f, 0.272f)
                reflectiveCurveToRelative(0.148f, -1.79f, 0.756f, -3.647f)
                curveToRelative(0.175f, 0.283f, 0.758f, 1.117f, 2.075f, 2.096f)
                curveToRelative(1.628f, 1.21f, 2.37f, 1.536f, 2.4f, 1.548f)
                curveToRelative(0.001f, 0.157f, 0.005f, 0.24f, 0.005f, 0.24f)
                reflectiveCurveToRelative(0.005f, -0.1f, 0.018f, -0.263f)
                arcToRelative(4.69f, 4.69f, 0.0f, false, true, 0.552f, -0.67f)
                arcToRelative(3.58f, 3.58f, 0.0f, false, true, 0.54f, -0.435f)
                curveToRelative(0.032f, 0.11f, 0.063f, 0.204f, 0.093f, 0.276f)
                curveToRelative(-0.02f, -0.097f, -0.036f, -0.19f, -0.052f, -0.282f)
                curveToRelative(0.107f, 0.01f, 0.538f, 0.066f, 1.206f, 0.393f)
                curveToRelative(0.343f, 0.168f, 0.609f, 0.395f, 0.798f, 0.595f)
                arcToRelative(0.167f, 0.167f, 0.0f, false, false, -0.014f, 0.006f)
                reflectiveCurveToRelative(0.123f, 0.112f, 0.269f, 0.403f)
                arcToRelative(2.416f, 2.416f, 0.0f, false, false, -0.73f, 0.084f)
                arcToRelative(2.913f, 2.913f, 0.0f, false, false, -0.098f, -0.19f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, false, -0.039f, -0.134f)
                curveToRelative(-0.027f, -0.061f, -0.095f, -0.1f, -0.164f, -0.14f)
                arcToRelative(0.397f, 0.397f, 0.0f, false, false, -0.104f, -0.073f)
                arcToRelative(0.225f, 0.225f, 0.0f, false, true, -0.055f, -0.073f)
                curveToRelative(-0.084f, -0.184f, -0.798f, 0.012f, -0.942f, 0.18f)
                curveToRelative(-0.175f, 0.204f, -0.209f, 0.464f, -0.14f, 0.608f)
                curveToRelative(0.021f, 0.045f, 0.07f, 0.082f, 0.138f, 0.11f)
                curveToRelative(0.002f, 0.22f, 0.137f, 0.75f, 0.404f, 1.133f)
                arcToRelative(4.964f, 4.964f, 0.0f, false, true, -0.108f, -0.666f)
                curveToRelative(-0.009f, -0.16f, 0.0f, -0.274f, 0.015f, -0.35f)
                curveToRelative(0.047f, 0.328f, 0.174f, 0.684f, 0.577f, 1.124f)
                curveToRelative(-0.248f, -0.54f, -0.22f, -0.861f, -0.195f, -1.143f)
                lineToRelative(0.01f, -0.044f)
                lineToRelative(0.005f, -0.001f)
                curveToRelative(0.036f, 0.263f, 0.142f, 0.534f, 0.482f, 0.963f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, true, -0.014f, -0.028f)
                lineToRelative(0.014f, 0.021f)
                arcToRelative(1.626f, 1.626f, 0.0f, false, true, -0.167f, -1.03f)
                lineToRelative(0.008f, -0.002f)
                curveToRelative(0.046f, 0.03f, 0.091f, 0.07f, 0.134f, 0.126f)
                curveToRelative(0.128f, 0.172f, 0.188f, 0.349f, 0.212f, 0.47f)
                arcToRelative(0.528f, 0.528f, 0.0f, false, false, 0.067f, 0.383f)
                arcToRelative(18.33f, 18.33f, 0.0f, false, true, -0.72f, 0.501f)
                curveToRelative(-0.23f, 0.15f, -0.49f, 0.313f, -0.757f, 0.47f)
                curveToRelative(-0.14f, 0.08f, -0.279f, 0.158f, -0.414f, 0.23f)
                lineToRelative(-0.135f, -0.077f)
                horizontalLineToRelative(0.002f)
                lineToRelative(-0.008f, -0.004f)
                curveToRelative(-0.97f, -0.559f, -1.69f, -0.932f, -2.518f, -1.082f)
                curveToRelative(-0.93f, -0.166f, -1.786f, 0.283f, -1.982f, 1.082f)
                arcToRelative(1.284f, 1.284f, 0.0f, false, false, 0.552f, 1.38f)
                lineToRelative(0.012f, 0.008f)
                curveToRelative(0.013f, 0.01f, 0.026f, 0.017f, 0.04f, 0.026f)
                lineToRelative(0.06f, 0.036f)
                horizontalLineToRelative(0.002f)
                arcToRelative(2.1f, 2.1f, 0.0f, false, false, 0.69f, 0.237f)
                lineToRelative(0.028f, 0.005f)
                horizontalLineToRelative(0.006f)
                arcToRelative(3.5f, 3.5f, 0.0f, false, false, 0.412f, 0.044f)
                curveToRelative(0.975f, 0.047f, 2.156f, -0.408f, 3.323f, -0.982f)
                curveToRelative(0.1f, 0.054f, 0.202f, 0.108f, 0.306f, 0.166f)
                curveToRelative(2.547f, 1.403f, 4.098f, 1.585f, 6.154f, 0.728f)
                curveToRelative(-0.502f, 0.151f, -1.208f, 0.356f, -2.094f, 0.344f)
                arcToRelative(0.05f, 0.05f, 0.0f, false, false, -0.02f, -0.006f)
                verticalLineToRelative(0.006f)
                arcToRelative(5.46f, 5.46f, 0.0f, false, true, -0.647f, -0.05f)
                lineToRelative(-0.03f, -0.004f)
                verticalLineToRelative(-0.003f)
                arcToRelative(0.267f, 0.267f, 0.0f, false, false, -0.001f, 0.002f)
                arcToRelative(6.25f, 6.25f, 0.0f, false, true, -1.556f, -0.436f)
                arcToRelative(7.792f, 7.792f, 0.0f, false, true, -0.745f, -0.362f)
                arcToRelative(57.065f, 57.065f, 0.0f, false, true, -1.006f, -0.569f)
                curveToRelative(0.348f, -0.178f, 0.692f, -0.363f, 1.026f, -0.545f)
                curveToRelative(0.355f, -0.189f, 0.672f, -0.362f, 0.918f, -0.5f)
                lineToRelative(0.009f, -0.004f)
                horizontalLineToRelative(0.007f)
                reflectiveCurveToRelative(0.083f, -0.019f, 0.16f, -0.043f)
                curveToRelative(0.17f, -0.052f, 0.41f, -0.149f, 0.695f, -0.283f)
                curveToRelative(0.028f, 0.117f, 0.095f, 0.215f, 0.195f, 0.253f)
                curveToRelative(0.235f, 0.091f, 0.407f, 0.027f, 0.522f, -0.102f)
                lineToRelative(0.018f, -0.01f)
                lineToRelative(0.047f, -0.037f)
                curveToRelative(0.05f, -0.03f, 0.107f, -0.067f, 0.156f, -0.09f)
                arcToRelative(1.14f, 1.14f, 0.0f, false, true, 0.053f, -0.022f)
                curveToRelative(0.04f, -0.01f, 0.078f, -0.023f, 0.116f, -0.037f)
                lineToRelative(0.033f, -0.01f)
                curveToRelative(-0.145f, 0.297f, -0.091f, 0.581f, -0.091f, 0.581f)
                curveToRelative(0.043f, -0.37f, 0.22f, -0.608f, 0.392f, -0.715f)
                curveToRelative(0.064f, -0.027f, 0.13f, -0.05f, 0.2f, -0.067f)
                curveToRelative(0.064f, 0.0f, 0.116f, 0.023f, 0.144f, 0.07f)
                curveToRelative(0.07f, 0.12f, 0.217f, 0.194f, 0.364f, 0.226f)
                curveToRelative(0.024f, 0.15f, -0.045f, 0.404f, -0.4f, 0.866f)
                lineToRelative(0.09f, -0.062f)
                lineToRelative(0.004f, -0.003f)
                lineToRelative(0.072f, -0.053f)
                curveToRelative(0.143f, -0.108f, 0.252f, -0.21f, 0.334f, -0.305f)
                arcToRelative(0.97f, 0.97f, 0.0f, false, false, 0.19f, -0.305f)
                curveToRelative(0.013f, 0.2f, -0.042f, 0.507f, -0.31f, 1.036f)
                curveToRelative(0.0f, 0.0f, 0.317f, -0.276f, 0.514f, -0.63f)
                curveToRelative(0.006f, 0.191f, -0.01f, 0.443f, -0.063f, 0.785f)
                curveToRelative(0.345f, -0.673f, 0.325f, -1.085f, 0.239f, -1.326f)
                lineToRelative(-0.01f, -0.036f)
                arcToRelative(0.433f, 0.433f, 0.0f, false, false, -0.01f, -0.065f)
                lineToRelative(0.042f, -0.057f)
                curveToRelative(0.118f, -0.166f, -0.048f, -0.344f, -0.154f, -0.414f)
                curveToRelative(-0.06f, -0.04f, -0.2f, -0.154f, -0.454f, -0.157f)
                curveToRelative(-0.225f, -0.27f, -0.51f, -0.15f, -0.958f, 0.145f)
                arcToRelative(1.297f, 1.297f, 0.0f, false, true, -0.166f, 0.092f)
                arcToRelative(0.725f, 0.725f, 0.0f, false, false, -0.055f, -0.116f)
                curveToRelative(0.16f, -0.096f, 0.326f, -0.2f, 0.494f, -0.308f)
                curveToRelative(0.317f, -0.207f, 0.553f, -0.416f, 0.728f, -0.615f)
                curveToRelative(0.51f, -0.517f, 0.69f, -1.02f, 1.21f, -1.446f)
                horizontalLineToRelative(-0.013f)
                lineToRelative(0.06f, -0.031f)
                curveToRelative(0.854f, -0.458f, 1.306f, -0.547f, 1.338f, -0.553f)
                lineToRelative(-0.003f, 0.128f)
                lineToRelative(0.018f, -0.125f)
                arcToRelative(1.795f, 1.795f, 0.0f, false, true, 0.481f, 0.344f)
                arcToRelative(2.12f, 2.12f, 0.0f, false, true, 0.362f, 0.487f)
                lineToRelative(0.044f, 0.3f)
                reflectiveCurveToRelative(0.0f, -0.116f, -0.01f, -0.33f)
                curveToRelative(0.153f, -0.151f, 1.02f, -1.043f, 1.724f, -2.466f)
                curveToRelative(0.694f, -1.404f, 0.944f, -2.523f, 1.017f, -2.924f)
                arcToRelative(18.188f, 18.188f, 0.0f, false, true, 0.665f, 2.466f)
                reflectiveCurveToRelative(-0.002f, -0.133f, -0.03f, -0.374f)
                curveToRelative(0.096f, -0.336f, 0.515f, -1.872f, 0.626f, -3.756f)
                curveToRelative(0.1f, -1.68f, -0.065f, -2.78f, -0.14f, -3.173f)
                curveToRelative(0.648f, 0.536f, 0.995f, 1.306f, 0.995f, 1.306f)
                reflectiveCurveToRelative(-0.04f, -0.163f, -0.188f, -0.437f)
                lineToRelative(0.02f, 0.027f)
                reflectiveCurveToRelative(-0.236f, -0.455f, -0.644f, -0.904f)
                arcToRelative(6.45f, 6.45f, 0.0f, false, false, -0.157f, -0.172f)
                curveToRelative(-0.432f, -0.46f, -0.854f, -0.617f, -1.17f, -0.672f)
                arcToRelative(1.57f, 1.57f, 0.0f, false, false, -0.308f, -0.03f)
                horizontalLineToRelative(-0.019f)
                curveToRelative(-0.125f, -0.003f, -0.2f, 0.002f, -0.207f, -0.026f)
                curveToRelative(-0.02f, -0.095f, 0.11f, -0.285f, 0.11f, -0.285f)
                reflectiveCurveToRelative(-0.177f, 0.046f, -0.554f, 0.33f)
                curveToRelative(-0.23f, 0.167f, -0.52f, 0.41f, -0.853f, 0.76f)
                arcToRelative(13.689f, 13.689f, 0.0f, false, false, -0.89f, 0.994f)
                lineToRelative(-0.075f, 0.095f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, false, -0.023f, -0.017f)
                curveToRelative(0.076f, -0.33f, 0.362f, -1.117f, 1.788f, -3.111f)
                close()
                moveTo(11.92f, 14.09f)
                arcToRelative(0.351f, 0.351f, 0.0f, false, true, 0.012f, 0.006f)
                close()
                moveTo(11.657f, 16.696f)
                curveToRelative(0.088f, 0.044f, 0.19f, 0.106f, 0.303f, 0.194f)
                horizontalLineToRelative(-0.005f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, false, -0.155f, 0.07f)
                arcToRelative(0.956f, 0.956f, 0.0f, false, true, -0.126f, -0.224f)
                close()
                moveTo(6.802f, 18.266f)
                curveToRelative(0.132f, 0.0f, 0.276f, 0.013f, 0.432f, 0.047f)
                lineToRelative(0.02f, 0.005f)
                lineToRelative(0.017f, 0.004f)
                curveToRelative(0.11f, 0.027f, 0.223f, 0.062f, 0.337f, 0.102f)
                lineToRelative(0.057f, 0.021f)
                curveToRelative(0.191f, 0.074f, 0.395f, 0.156f, 0.611f, 0.248f)
                curveToRelative(0.32f, 0.14f, 0.62f, 0.277f, 0.838f, 0.375f)
                lineToRelative(0.183f, 0.088f)
                curveToRelative(-0.22f, 0.106f, -0.424f, 0.196f, -0.577f, 0.261f)
                curveToRelative(-1.014f, 0.416f, -1.83f, 0.536f, -2.338f, 0.391f)
                curveToRelative(-0.944f, -0.269f, -0.76f, -1.536f, 0.42f, -1.542f)
                close()
            }
        }
        .build()
        return _llvm!!
    }

private var _llvm: ImageVector? = null
