package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Magisk: ImageVector
    get() {
        if (_magisk != null) {
            return _magisk!!
        }
        _magisk = Builder(name = "Magisk", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.857f, 14.458f)
                reflectiveCurveToRelative(0.155f, 0.921f, -0.034f, 2.952f)
                curveToRelative(-0.236f, 2.546f, 0.97f, 6.59f, 0.97f, 6.59f)
                reflectiveCurveToRelative(1.645f, -4.052f, 1.358f, -6.67f)
                curveToRelative(-0.236f, -2.152f, 0.107f, -2.904f, 0.034f, -2.803f)
                curveToRelative(-1.264f, 1.746f, -2.328f, -0.069f, -2.328f, -0.069f)
                close()
                moveTo(13.939f, 16.643f)
                curveToRelative(0.206f, 1.591f, -0.023f, 2.462f, -0.32f, 4.164f)
                curveToRelative(-0.15f, 0.861f, 3.068f, -2.589f, 4.302f, -4.645f)
                curveToRelative(0.206f, -0.343f, -1.18f, 1.337f, -2.55f, 0.137f)
                curveToRelative(-0.952f, -0.832f, -1.115f, -1.085f, -1.854f, -1.808f)
                curveToRelative(-0.249f, -0.244f, 0.277f, 1.014f, 0.423f, 2.151f)
                close()
                moveTo(10.427f, 14.618f)
                curveToRelative(-0.739f, 0.723f, -0.903f, 0.976f, -1.853f, 1.808f)
                curveToRelative(-1.371f, 1.2f, -2.757f, -0.48f, -2.551f, -0.137f)
                curveToRelative(1.234f, 2.057f, 4.452f, 5.506f, 4.302f, 4.645f)
                curveToRelative(-0.297f, -1.703f, -0.526f, -2.574f, -0.32f, -4.164f)
                curveToRelative(0.147f, -1.137f, 0.673f, -2.395f, 0.423f, -2.15f)
                close()
                moveTo(13.593f, 11.779f)
                curveToRelative(1.504f, 0.434f, 2.088f, 2.523f, 3.606f, 2.781f)
                curveToRelative(0.314f, 0.053f, 0.667f, 0.148f, 1.08f, 0.128f)
                curveToRelative(0.77f, -0.037f, 1.743f, -0.472f, 3.044f, -2.318f)
                curveToRelative(0.385f, -0.546f, -0.955f, 3.514f, -4.313f, 3.563f)
                curveToRelative(-2.46f, 0.036f, -2.747f, -2.408f, -4.387f, -2.482f)
                curveToRelative(-0.592f, -0.027f, -0.629f, -1.156f, -0.629f, -1.156f)
                reflectiveCurveToRelative(0.706f, -0.774f, 1.598f, -0.517f)
                close()
                moveTo(10.407f, 11.767f)
                curveToRelative(-1.504f, 0.434f, -2.088f, 2.523f, -3.606f, 2.781f)
                curveToRelative(-0.314f, 0.053f, -0.667f, 0.148f, -1.08f, 0.128f)
                curveToRelative(-0.77f, -0.037f, -1.743f, -0.472f, -3.044f, -2.318f)
                curveToRelative(-0.385f, -0.546f, 0.955f, 3.514f, 4.313f, 3.563f)
                curveToRelative(2.46f, 0.036f, 2.747f, -2.408f, 4.387f, -2.482f)
                curveToRelative(0.592f, -0.027f, 0.629f, -1.156f, 0.629f, -1.156f)
                reflectiveCurveToRelative(-0.706f, -0.774f, -1.598f, -0.517f)
                close()
                moveTo(16.033f, 11.747f)
                curveToRelative(1.513f, 1.146f, 1.062f, 2.408f, 1.911f, 2.048f)
                curveToRelative(2.86f, -1.212f, 2.36f, -7.434f, 2.128f, -6.682f)
                curveToRelative(-1.303f, 4.242f, -4.143f, 4.48f, -6.876f, 2.528f)
                curveToRelative(-0.534f, -0.38f, 1.985f, 1.46f, 2.837f, 2.105f)
                close()
                moveTo(10.793f, 9.641f)
                curveTo(8.06f, 11.592f, 5.22f, 11.355f, 3.917f, 7.113f)
                curveToRelative(-0.231f, -0.752f, -0.731f, 5.47f, 2.128f, 6.682f)
                curveToRelative(0.849f, 0.36f, 0.398f, -0.902f, 1.91f, -2.048f)
                curveToRelative(0.853f, -0.646f, 3.372f, -2.486f, 2.838f, -2.105f)
                close()
                moveTo(16.319f, 10.225f)
                curveToRelative(3.3f, -0.136f, 3.91f, -5.545f, 3.65f, -4.885f)
                curveToRelative(-1.165f, 2.963f, -5.574f, 1.848f, -5.995f, 3.718f)
                curveToRelative(-0.083f, 0.367f, 0.747f, 1.233f, 2.345f, 1.167f)
                close()
                moveTo(10.015f, 9.058f)
                curveToRelative(-0.421f, -1.87f, -4.831f, -0.755f, -5.995f, -3.718f)
                curveToRelative(-0.26f, -0.66f, 0.35f, 4.75f, 3.65f, 4.885f)
                curveToRelative(1.599f, 0.066f, 2.428f, -0.8f, 2.345f, -1.167f)
                close()
                moveTo(13.768f, 8.234f)
                reflectiveCurveToRelative(1.794f, -0.964f, 3.33f, -1.384f)
                curveToRelative(1.435f, -0.393f, 2.512f, -1.359f, 2.631f, -2.38f)
                curveToRelative(0.09f, -0.76f, -1.11f, -2.197f, -1.11f, -2.197f)
                reflectiveCurveToRelative(-0.84f, 2.334f, -1.945f, 3.501f)
                curveToRelative(-1.2f, 1.27f, -0.745f, 1.1f, -2.906f, 2.46f)
                close()
                moveTo(7.315f, 5.774f)
                curveToRelative(-1.104f, -1.167f, -1.945f, -3.5f, -1.945f, -3.5f)
                reflectiveCurveTo(4.17f, 3.708f, 4.26f, 4.47f)
                curveToRelative(0.12f, 1.021f, 1.196f, 1.987f, 2.63f, 2.38f)
                curveToRelative(1.537f, 0.421f, 3.331f, 1.384f, 3.331f, 1.384f)
                curveToRelative(-2.162f, -1.36f, -1.705f, -1.19f, -2.906f, -2.46f)
                close()
                moveTo(13.55f, 8.086f)
                curveToRelative(1.943f, -1.594f, 2.976f, -3.673f, 4.657f, -5.949f)
                curveToRelative(0.317f, -0.429f, -1.419f, -1.465f, -2.105f, -1.533f)
                curveToRelative(-0.686f, -0.068f, -1.262f, 2.453f, -1.327f, 3.936f)
                curveToRelative(-0.059f, 1.354f, -1.486f, 3.761f, -1.224f, 3.547f)
                close()
                moveTo(9.214f, 4.54f)
                curveTo(9.149f, 3.056f, 8.573f, 0.535f, 7.887f, 0.603f)
                curveTo(7.2f, 0.671f, 5.465f, 1.707f, 5.782f, 2.136f)
                curveToRelative(1.68f, 2.276f, 2.713f, 4.356f, 4.657f, 5.95f)
                curveToRelative(0.261f, 0.213f, -1.165f, -2.194f, -1.224f, -3.548f)
                close()
                moveTo(13.745f, 2.938f)
                curveToRelative(0.137f, -1.098f, 0.631f, -1.9f, 1.613f, -2.574f)
                curveToRelative(-0.868f, -0.29f, -1.591f, -0.526f, -1.968f, -0.217f)
                curveToRelative(-0.377f, 0.309f, -1.403f, 1.342f, -1.266f, 3.023f)
                reflectiveCurveToRelative(0.007f, 7.962f, 0.305f, 7.846f)
                curveToRelative(0.16f, -4.302f, 1.522f, -5.538f, 1.316f, -8.077f)
                close()
                moveTo(11.559f, 11.015f)
                curveToRelative(0.297f, 0.116f, 0.167f, -6.165f, 0.305f, -7.846f)
                curveToRelative(0.138f, -1.681f, -0.888f, -2.714f, -1.266f, -3.023f)
                curveToRelative(-0.377f, -0.309f, -1.1f, -0.073f, -1.968f, 0.217f)
                curveToRelative(0.983f, 0.674f, 1.476f, 1.476f, 1.613f, 2.574f)
                curveToRelative(-0.206f, 2.54f, 1.156f, 3.775f, 1.316f, 8.077f)
                close()
            }
        }
        .build()
        return _magisk!!
    }

private var _magisk: ImageVector? = null
