package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Mediatemple: ImageVector
    get() {
        if (_mediatemple != null) {
            return _mediatemple!!
        }
        _mediatemple = Builder(name = "Mediatemple", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.839f, 10.145f)
                verticalLineToRelative(0.57f)
                horizontalLineToRelative(0.034f)
                curveToRelative(1.021f, -0.615f, 2.07f, -0.666f, 2.7f, -0.666f)
                curveToRelative(1.695f, 0.0f, 2.28f, 0.479f, 2.49f, 0.66f)
                curveToRelative(0.39f, -0.225f, 1.229f, -0.676f, 2.685f, -0.676f)
                curveToRelative(2.896f, 0.0f, 2.896f, 1.141f, 2.896f, 1.59f)
                verticalLineToRelative(2.7f)
                lineTo(13.32f, 14.323f)
                verticalLineToRelative(-2.384f)
                curveToRelative(0.0f, -0.494f, 0.0f, -1.045f, -1.24f, -1.045f)
                curveToRelative(-0.612f, 0.0f, -1.242f, 0.187f, -1.463f, 0.46f)
                curveToRelative(-0.206f, 0.234f, -0.291f, 0.446f, -0.291f, 0.964f)
                verticalLineToRelative(2.021f)
                lineTo(8.001f, 14.339f)
                verticalLineToRelative(-2.303f)
                curveToRelative(0.0f, -0.711f, 0.015f, -1.14f, -1.206f, -1.14f)
                curveToRelative(-0.615f, 0.0f, -1.242f, 0.162f, -1.48f, 0.405f)
                curveToRelative(-0.186f, 0.185f, -0.307f, 0.379f, -0.307f, 0.996f)
                verticalLineToRelative(2.04f)
                lineTo(2.67f, 14.337f)
                verticalLineToRelative(-4.2f)
                horizontalLineToRelative(2.16f)
                lineToRelative(0.009f, 0.008f)
                close()
                moveTo(21.27f, 11.074f)
                horizontalLineToRelative(-1.69f)
                verticalLineToRelative(1.68f)
                curveToRelative(0.0f, 0.593f, 0.0f, 0.786f, 0.691f, 0.786f)
                curveToRelative(0.328f, 0.0f, 0.618f, -0.037f, 0.929f, -0.096f)
                lineToRelative(0.07f, -0.009f)
                lineToRelative(0.22f, 0.854f)
                curveToRelative(-0.817f, 0.15f, -1.711f, 0.166f, -1.966f, 0.166f)
                curveToRelative(-0.76f, 0.0f, -1.742f, -0.111f, -2.105f, -0.425f)
                curveToRelative(-0.309f, -0.255f, -0.346f, -0.506f, -0.346f, -1.141f)
                verticalLineToRelative(-1.82f)
                horizontalLineToRelative(-1.145f)
                verticalLineToRelative(-0.877f)
                horizontalLineToRelative(1.144f)
                verticalLineToRelative(-0.827f)
                lineToRelative(2.52f, -0.65f)
                verticalLineToRelative(1.479f)
                horizontalLineToRelative(1.696f)
                verticalLineToRelative(0.877f)
                lineToRelative(-0.018f, 0.003f)
                close()
                moveTo(1.54f, 16.71f)
                curveTo(0.615f, 15.313f, 0.0f, 13.65f, 0.0f, 11.979f)
                curveTo(0.0f, 10.005f, 0.775f, 8.4f, 1.561f, 7.27f)
                horizontalLineToRelative(0.936f)
                curveToRelative(-0.695f, 1.54f, -1.168f, 2.85f, -1.168f, 4.752f)
                curveToRelative(0.0f, 2.182f, 0.774f, 3.865f, 1.125f, 4.627f)
                curveToRelative(0.012f, 0.0f, 0.034f, 0.045f, 0.034f, 0.061f)
                lineTo(1.54f, 16.71f)
                close()
                moveTo(22.459f, 7.29f)
                curveTo(23.385f, 8.688f, 24.0f, 10.35f, 24.0f, 12.021f)
                curveToRelative(0.0f, 1.971f, -0.776f, 3.58f, -1.561f, 4.709f)
                horizontalLineToRelative(-0.936f)
                curveToRelative(0.694f, -1.541f, 1.17f, -2.85f, 1.17f, -4.752f)
                curveToRelative(0.0f, -2.184f, -0.777f, -3.863f, -1.129f, -4.629f)
                curveToRelative(-0.012f, -0.01f, -0.031f, -0.049f, -0.031f, -0.06f)
                horizontalLineToRelative(0.946f)
                close()
            }
        }
        .build()
        return _mediatemple!!
    }

private var _mediatemple: ImageVector? = null
