package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Mendeley: ImageVector
    get() {
        if (_mendeley != null) {
            return _mendeley!!
        }
        _mendeley = Builder(name = "Mendeley", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0037f, 9.1684f)
                horizontalLineToRelative(0.019f)
                arcToRelative(2.355f, 2.355f, 0.0f, false, true, 1.5038f, 4.1655f)
                arcToRelative(1.8076f, 1.8076f, 0.0f, false, true, -0.8561f, 0.452f)
                arcToRelative(2.348f, 2.348f, 0.0f, false, true, -0.6487f, 0.0923f)
                horizontalLineToRelative(-0.019f)
                curveToRelative(-0.2246f, 0.0f, -0.4421f, -0.033f, -0.6487f, -0.0922f)
                arcToRelative(1.8126f, 1.8126f, 0.0f, false, true, -0.8561f, -0.4521f)
                arcToRelative(2.346f, 2.346f, 0.0f, false, true, -0.8511f, -1.8106f)
                arcToRelative(2.358f, 2.358f, 0.0f, false, true, 2.3569f, -2.355f)
                moveToRelative(-9.9731f, 9.474f)
                curveToRelative(1.2652f, 0.1583f, 2.388f, -0.762f, 2.5073f, -2.0573f)
                arcToRelative(2.4442f, 2.4442f, 0.0f, false, false, -0.2136f, -1.236f)
                curveToRelative(-1.7724f, -3.8889f, 6.9726f, -3.978f, 5.4949f, -0.3078f)
                lineToRelative(-0.01f, 0.016f)
                curveToRelative(-0.6988f, 1.1178f, -0.3198f, 2.5695f, 0.841f, 3.2402f)
                curveToRelative(0.4272f, 0.2486f, 0.9003f, 0.3508f, 1.3625f, 0.3308f)
                curveToRelative(0.4622f, 0.02f, 0.9354f, -0.0822f, 1.3624f, -0.3308f)
                curveToRelative(1.161f, -0.6717f, 1.54f, -2.1224f, 0.8412f, -3.2402f)
                lineToRelative(-0.01f, -0.016f)
                curveToRelative(-1.4778f, -3.6703f, 7.2682f, -3.581f, 5.4938f, 0.3077f)
                arcToRelative(2.4462f, 2.4462f, 0.0f, false, false, -0.2126f, 1.2361f)
                curveToRelative(0.1203f, 1.2953f, 1.2422f, 2.2156f, 2.5083f, 2.0572f)
                arcToRelative(2.345f, 2.345f, 0.0f, false, false, 1.4246f, -0.7368f)
                reflectiveCurveToRelative(0.5885f, -0.4883f, 0.5795f, -1.7334f)
                curveToRelative(-0.008f, -1.0156f, -0.5795f, -1.578f, -0.5795f, -1.578f)
                arcToRelative(2.2116f, 2.2116f, 0.0f, false, false, -1.8145f, -0.6456f)
                curveToRelative(-1.6231f, -0.036f, -1.8637f, -1.3073f, -1.4056f, -3.7033f)
                curveToRelative(0.1685f, -0.4251f, 0.2416f, -0.8802f, 0.2266f, -1.3354f)
                arcToRelative(3.4166f, 3.4166f, 0.0f, false, false, -2.1304f, -3.2953f)
                curveToRelative(-0.039f, -0.017f, -0.0782f, -0.03f, -0.1183f, -0.0461f)
                arcToRelative(1.5138f, 1.5138f, 0.0f, false, false, -0.1343f, -0.0461f)
                arcToRelative(3.4156f, 3.4156f, 0.0f, false, false, -4.004f, 1.4526f)
                curveToRelative(-0.8171f, 0.8973f, -1.187f, 1.4417f, -2.0272f, 1.4417f)
                curveToRelative(-0.799f, 0.0f, -1.211f, -0.5444f, -2.0271f, -1.4417f)
                arcToRelative(3.4126f, 3.4126f, 0.0f, false, false, -4.1374f, -1.4075f)
                curveToRelative(-0.0401f, 0.016f, -0.0792f, 0.029f, -0.1193f, 0.0461f)
                arcToRelative(3.4156f, 3.4156f, 0.0f, false, false, -2.1294f, 3.2953f)
                curveToRelative(-0.016f, 0.4552f, 0.0582f, 0.9103f, 0.2256f, 1.3354f)
                curveToRelative(0.4581f, 2.397f, 0.2175f, 3.6672f, -1.4045f, 3.7033f)
                curveToRelative(-0.795f, -0.0852f, -1.3885f, 0.2426f, -1.988f, 0.8431f)
                curveToRelative(-0.6016f, 0.5995f, -0.5514f, 2.2056f, 0.0f, 2.9063f)
                curveToRelative(0.4f, 0.5103f, 0.9423f, 0.8632f, 1.598f, 0.9454f)
            }
        }
        .build()
        return _mendeley!!
    }

private var _mendeley: ImageVector? = null
