package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Opslevel: ImageVector
    get() {
        if (_opslevel != null) {
            return _opslevel!!
        }
        _opslevel = Builder(name = "Opslevel", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.998f, 0.0f)
                lineTo(7.3027f, 2.7168f)
                verticalLineToRelative(2.045f)
                lineToRelative(-4.875f, 2.7929f)
                verticalLineToRelative(5.0098f)
                lineTo(0.338f, 13.7735f)
                verticalLineToRelative(5.4355f)
                lineToRelative(4.6973f, 2.7187f)
                lineToRelative(1.662f, -0.9629f)
                lineTo(12.0f, 24.0f)
                lineToRelative(5.3008f, -3.0352f)
                lineToRelative(1.664f, 0.963f)
                lineToRelative(4.6973f, -2.7188f)
                verticalLineToRelative(-5.4356f)
                lineToRelative(-2.0898f, -1.207f)
                lineTo(21.5723f, 7.5547f)
                lineToRelative(-4.877f, -2.793f)
                lineTo(16.6953f, 2.7168f)
                lineTo(11.998f, 0.0f)
                close()
                moveTo(11.998f, 1.1953f)
                lineToRelative(3.127f, 1.8125f)
                lineTo(12.0f, 4.8028f)
                lineToRelative(-3.125f, -1.797f)
                lineToRelative(3.123f, -1.8105f)
                close()
                moveTo(8.3398f, 3.8945f)
                lineToRelative(3.1426f, 1.8067f)
                lineTo(11.4824f, 9.377f)
                lineTo(8.3398f, 7.5547f)
                lineTo(8.3398f, 3.8945f)
                close()
                moveTo(15.6582f, 3.8945f)
                verticalLineToRelative(3.6602f)
                lineTo(12.5195f, 9.373f)
                lineTo(12.5195f, 5.6992f)
                lineToRelative(3.1387f, -1.8047f)
                close()
                moveTo(16.6953f, 5.957f)
                lineToRelative(3.8418f, 2.1973f)
                verticalLineToRelative(3.8125f)
                lineToRelative(-1.5723f, -0.9102f)
                lineToRelative(-4.6972f, 2.7168f)
                verticalLineToRelative(5.4356f)
                lineToRelative(1.998f, 1.1562f)
                lineTo(12.0f, 22.8047f)
                lineToRelative(-4.2637f, -2.4395f)
                lineToRelative(1.9961f, -1.1562f)
                verticalLineToRelative(-5.4356f)
                lineToRelative(-4.6972f, -2.7168f)
                lineToRelative(-1.5704f, 0.9082f)
                lineTo(3.4648f, 8.1543f)
                lineToRelative(3.838f, -2.1953f)
                verticalLineToRelative(2.1953f)
                horizontalLineToRelative(0.0019f)
                lineTo(12.0f, 10.8711f)
                lineToRelative(4.6953f, -2.7168f)
                lineTo(16.6953f, 5.957f)
                close()
                moveTo(5.0352f, 12.254f)
                lineToRelative(3.125f, 1.8085f)
                lineToRelative(-3.125f, 1.7969f)
                lineToRelative(-3.125f, -1.7969f)
                lineToRelative(0.5175f, -0.3008f)
                lineToRelative(2.6075f, -1.5078f)
                close()
                moveTo(18.9648f, 12.254f)
                lineToRelative(2.6075f, 1.5097f)
                lineToRelative(0.5156f, 0.2988f)
                lineToRelative(-3.123f, 1.7969f)
                lineToRelative(-3.125f, -1.7969f)
                lineToRelative(3.125f, -1.8086f)
                close()
                moveTo(1.377f, 14.9491f)
                lineToRelative(3.1425f, 1.8086f)
                verticalLineToRelative(3.6758f)
                lineTo(1.377f, 18.6113f)
                verticalLineToRelative(-3.662f)
                close()
                moveTo(8.6953f, 14.9491f)
                verticalLineToRelative(3.6621f)
                lineToRelative(-3.0371f, 1.7578f)
                lineToRelative(-0.1016f, 0.0606f)
                verticalLineToRelative(-3.6738f)
                lineToRelative(3.1387f, -1.8067f)
                close()
                moveTo(15.3047f, 14.9491f)
                lineToRelative(3.1445f, 1.8086f)
                verticalLineToRelative(3.6758f)
                lineToRelative(-0.1074f, -0.0645f)
                lineToRelative(-3.0371f, -1.7578f)
                verticalLineToRelative(-3.662f)
                close()
                moveTo(22.623f, 14.9491f)
                verticalLineToRelative(3.6621f)
                lineToRelative(-3.1386f, 1.8184f)
                verticalLineToRelative(-3.6719f)
                lineToRelative(3.1386f, -1.8086f)
                close()
            }
        }
        .build()
        return _opslevel!!
    }

private var _opslevel: ImageVector? = null
