package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Php: ImageVector
    get() {
        if (_php != null) {
            return _php!!
        }
        _php = Builder(name = "Php", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.01f, 10.207f)
                horizontalLineToRelative(-0.944f)
                lineToRelative(-0.515f, 2.648f)
                horizontalLineToRelative(0.838f)
                curveToRelative(0.556f, 0.0f, 0.97f, -0.105f, 1.242f, -0.314f)
                curveToRelative(0.272f, -0.21f, 0.455f, -0.559f, 0.55f, -1.049f)
                curveToRelative(0.092f, -0.47f, 0.05f, -0.802f, -0.124f, -0.995f)
                curveToRelative(-0.175f, -0.193f, -0.523f, -0.29f, -1.047f, -0.29f)
                close()
                moveTo(12.0f, 5.688f)
                curveTo(5.373f, 5.688f, 0.0f, 8.514f, 0.0f, 12.0f)
                reflectiveCurveToRelative(5.373f, 6.313f, 12.0f, 6.313f)
                reflectiveCurveTo(24.0f, 15.486f, 24.0f, 12.0f)
                curveToRelative(0.0f, -3.486f, -5.373f, -6.312f, -12.0f, -6.312f)
                close()
                moveTo(8.74f, 13.139f)
                curveToRelative(-0.261f, 0.25f, -0.575f, 0.438f, -0.917f, 0.551f)
                curveToRelative(-0.336f, 0.108f, -0.765f, 0.164f, -1.285f, 0.164f)
                lineTo(5.357f, 13.854f)
                lineToRelative(-0.327f, 1.681f)
                lineTo(3.652f, 15.535f)
                lineToRelative(1.23f, -6.326f)
                horizontalLineToRelative(2.65f)
                curveToRelative(0.797f, 0.0f, 1.378f, 0.209f, 1.744f, 0.628f)
                curveToRelative(0.366f, 0.418f, 0.476f, 1.002f, 0.33f, 1.752f)
                arcToRelative(2.836f, 2.836f, 0.0f, false, true, -0.305f, 0.847f)
                curveToRelative(-0.143f, 0.255f, -0.33f, 0.49f, -0.561f, 0.703f)
                close()
                moveTo(12.764f, 13.854f)
                lineToRelative(0.543f, -2.799f)
                curveToRelative(0.063f, -0.318f, 0.039f, -0.536f, -0.068f, -0.651f)
                curveToRelative(-0.107f, -0.116f, -0.336f, -0.174f, -0.687f, -0.174f)
                lineTo(11.46f, 10.23f)
                lineToRelative(-0.704f, 3.625f)
                lineTo(9.388f, 13.855f)
                lineToRelative(1.23f, -6.327f)
                horizontalLineToRelative(1.367f)
                lineToRelative(-0.327f, 1.682f)
                horizontalLineToRelative(1.218f)
                curveToRelative(0.767f, 0.0f, 1.295f, 0.134f, 1.586f, 0.401f)
                reflectiveCurveToRelative(0.378f, 0.7f, 0.263f, 1.299f)
                lineToRelative(-0.572f, 2.944f)
                horizontalLineToRelative(-1.389f)
                close()
                moveTo(20.361f, 11.589f)
                arcToRelative(2.782f, 2.782f, 0.0f, false, true, -0.305f, 0.847f)
                curveToRelative(-0.143f, 0.255f, -0.33f, 0.49f, -0.561f, 0.703f)
                arcToRelative(2.44f, 2.44f, 0.0f, false, true, -0.917f, 0.551f)
                curveToRelative(-0.336f, 0.108f, -0.765f, 0.164f, -1.286f, 0.164f)
                horizontalLineToRelative(-1.18f)
                lineToRelative(-0.327f, 1.682f)
                horizontalLineToRelative(-1.378f)
                lineToRelative(1.23f, -6.326f)
                horizontalLineToRelative(2.649f)
                curveToRelative(0.797f, 0.0f, 1.378f, 0.209f, 1.744f, 0.628f)
                curveToRelative(0.366f, 0.417f, 0.477f, 1.001f, 0.331f, 1.751f)
                close()
                moveTo(17.766f, 10.207f)
                horizontalLineToRelative(-0.943f)
                lineToRelative(-0.516f, 2.648f)
                horizontalLineToRelative(0.838f)
                curveToRelative(0.557f, 0.0f, 0.971f, -0.105f, 1.242f, -0.314f)
                curveToRelative(0.272f, -0.21f, 0.455f, -0.559f, 0.551f, -1.049f)
                curveToRelative(0.092f, -0.47f, 0.049f, -0.802f, -0.125f, -0.995f)
                reflectiveCurveToRelative(-0.524f, -0.29f, -1.047f, -0.29f)
                close()
            }
        }
        .build()
        return _php!!
    }

private var _php: ImageVector? = null
