package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Playstation3: ImageVector
    get() {
        if (_playstation3 != null) {
            return _playstation3!!
        }
        _playstation3 = Builder(name = "Playstation3", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.362f, 9.433f)
                horizontalLineToRelative(-3.148f)
                curveToRelative(-0.97f, 0.0f, -1.446f, 0.6f, -1.446f, 1.38f)
                verticalLineToRelative(2.365f)
                curveToRelative(0.0f, 0.483f, -0.228f, 0.83f, -0.71f, 0.83f)
                lineTo(7.304f, 14.008f)
                arcToRelative(0.035f, 0.035f, 0.0f, false, false, -0.035f, 0.035f)
                verticalLineToRelative(0.47f)
                curveToRelative(0.0f, 0.02f, 0.01f, 0.032f, 0.03f, 0.032f)
                horizontalLineToRelative(3.11f)
                curveToRelative(0.97f, 0.0f, 1.45f, -0.597f, 1.45f, -1.377f)
                verticalLineToRelative(-2.363f)
                curveToRelative(0.0f, -0.484f, 0.224f, -0.832f, 0.71f, -0.832f)
                horizontalLineToRelative(2.781f)
                curveToRelative(0.02f, 0.0f, 0.04f, -0.014f, 0.04f, -0.033f)
                verticalLineToRelative(-0.475f)
                curveToRelative(0.0f, -0.02f, -0.02f, -0.035f, -0.04f, -0.035f)
                close()
                moveTo(6.096f, 9.433f)
                lineTo(0.038f, 9.433f)
                curveToRelative(-0.022f, 0.0f, -0.038f, 0.017f, -0.038f, 0.035f)
                verticalLineToRelative(0.477f)
                curveToRelative(0.0f, 0.02f, 0.016f, 0.036f, 0.038f, 0.036f)
                horizontalLineToRelative(5.694f)
                curveToRelative(0.48f, 0.0f, 0.71f, 0.347f, 0.71f, 0.83f)
                reflectiveCurveToRelative(-0.228f, 0.83f, -0.71f, 0.83f)
                lineTo(1.228f, 11.641f)
                curveToRelative(-0.7f, 0.0f, -1.227f, 0.586f, -1.227f, 1.365f)
                verticalLineToRelative(1.513f)
                curveToRelative(0.0f, 0.02f, 0.02f, 0.037f, 0.04f, 0.037f)
                horizontalLineToRelative(1.03f)
                curveToRelative(0.02f, 0.0f, 0.04f, -0.016f, 0.04f, -0.037f)
                verticalLineToRelative(-1.513f)
                curveToRelative(0.0f, -0.48f, 0.28f, -0.82f, 0.68f, -0.82f)
                lineTo(6.1f, 12.186f)
                curveToRelative(0.97f, 0.0f, 1.444f, -0.594f, 1.444f, -1.374f)
                curveToRelative(0.0f, -0.778f, -0.473f, -1.38f, -1.442f, -1.38f)
                close()
                moveTo(23.549f, 11.931f)
                arcToRelative(0.04f, 0.04f, 0.0f, false, true, 0.0f, -0.056f)
                curveToRelative(0.3f, -0.25f, 0.45f, -0.627f, 0.45f, -1.062f)
                curveToRelative(0.0f, -0.778f, -0.474f, -1.38f, -1.446f, -1.38f)
                horizontalLineToRelative(-6.057f)
                curveToRelative(-0.02f, 0.0f, -0.036f, 0.018f, -0.036f, 0.038f)
                verticalLineToRelative(0.475f)
                curveToRelative(0.0f, 0.02f, 0.02f, 0.04f, 0.04f, 0.04f)
                horizontalLineToRelative(5.7f)
                curveToRelative(0.48f, 0.0f, 0.715f, 0.35f, 0.715f, 0.83f)
                reflectiveCurveToRelative(-0.23f, 0.83f, -0.712f, 0.83f)
                horizontalLineToRelative(-5.7f)
                curveToRelative(-0.02f, 0.0f, -0.036f, 0.02f, -0.036f, 0.04f)
                verticalLineToRelative(0.48f)
                curveToRelative(0.0f, 0.02f, 0.016f, 0.033f, 0.037f, 0.033f)
                horizontalLineToRelative(5.7f)
                curveToRelative(0.63f, 0.007f, 0.71f, 0.62f, 0.71f, 0.93f)
                verticalLineToRelative(0.06f)
                curveToRelative(0.0f, 0.485f, -0.23f, 0.833f, -0.71f, 0.833f)
                horizontalLineToRelative(-5.7f)
                curveToRelative(-0.02f, 0.0f, -0.036f, 0.015f, -0.036f, 0.034f)
                verticalLineToRelative(0.477f)
                curveToRelative(0.0f, 0.02f, 0.015f, 0.037f, 0.036f, 0.037f)
                horizontalLineToRelative(6.05f)
                curveToRelative(0.973f, 0.0f, 1.446f, -0.645f, 1.446f, -1.38f)
                verticalLineToRelative(-0.057f)
                curveToRelative(0.0f, -0.47f, -0.15f, -0.916f, -0.45f, -1.19f)
                close()
            }
        }
        .build()
        return _playstation3!!
    }

private var _playstation3: ImageVector? = null
