package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Playstation4: ImageVector
    get() {
        if (_playstation4 != null) {
            return _playstation4!!
        }
        _playstation4 = Builder(name = "Playstation4", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.302f, 13.18f)
                verticalLineToRelative(-2.387f)
                curveToRelative(0.0f, -0.486f, 0.227f, -0.834f, 0.712f, -0.834f)
                horizontalLineToRelative(2.99f)
                curveToRelative(0.017f, 0.0f, 0.035f, -0.018f, 0.035f, -0.036f)
                verticalLineToRelative(-0.475f)
                curveToRelative(0.0f, -0.004f, 0.0f, -0.008f, -0.003f, -0.012f)
                horizontalLineToRelative(-3.66f)
                curveToRelative(-0.792f, 0.1f, -1.18f, 0.653f, -1.18f, 1.357f)
                verticalLineToRelative(2.386f)
                curveToRelative(0.0f, 0.482f, -0.233f, 0.831f, -0.71f, 0.831f)
                lineTo(7.332f, 14.01f)
                curveToRelative(-0.018f, 0.0f, -0.036f, 0.012f, -0.036f, 0.036f)
                verticalLineToRelative(0.475f)
                curveToRelative(0.0f, 0.02f, 0.01f, 0.035f, 0.023f, 0.04f)
                horizontalLineToRelative(3.584f)
                curveToRelative(0.933f, -0.025f, 1.393f, -0.62f, 1.393f, -1.385f)
                close()
                moveTo(0.024f, 14.564f)
                horizontalLineToRelative(1.05f)
                arcToRelative(0.042f, 0.042f, 0.0f, false, false, 0.025f, -0.04f)
                verticalLineToRelative(-1.52f)
                curveToRelative(0.0f, -0.487f, 0.275f, -0.823f, 0.676f, -0.823f)
                horizontalLineToRelative(4.323f)
                curveToRelative(0.974f, 0.0f, 1.445f, -0.6f, 1.445f, -1.384f)
                curveToRelative(0.0f, -0.705f, -0.386f, -1.257f, -1.18f, -1.357f)
                lineTo(0.006f, 9.44f)
                curveToRelative(0.0f, 0.003f, -0.006f, 0.005f, -0.006f, 0.01f)
                verticalLineToRelative(0.475f)
                curveToRelative(0.0f, 0.024f, 0.013f, 0.036f, 0.037f, 0.036f)
                horizontalLineToRelative(5.697f)
                curveToRelative(0.484f, 0.0f, 0.712f, 0.35f, 0.712f, 0.833f)
                curveToRelative(0.0f, 0.484f, -0.227f, 0.836f, -0.712f, 0.836f)
                lineTo(1.226f, 11.63f)
                curveToRelative(-0.7f, 0.0f, -1.226f, 0.592f, -1.226f, 1.373f)
                verticalLineToRelative(1.519f)
                curveToRelative(0.0f, 0.02f, 0.01f, 0.036f, 0.028f, 0.04f)
                close()
                moveTo(16.022f, 14.014f)
                horizontalLineToRelative(5.738f)
                curveToRelative(0.017f, 0.0f, 0.03f, 0.012f, 0.03f, 0.024f)
                verticalLineToRelative(0.483f)
                curveToRelative(0.0f, 0.024f, 0.017f, 0.036f, 0.035f, 0.036f)
                horizontalLineToRelative(1.035f)
                curveToRelative(0.018f, 0.0f, 0.036f, -0.01f, 0.036f, -0.036f)
                verticalLineToRelative(-0.475f)
                curveToRelative(0.0f, -0.018f, 0.02f, -0.036f, 0.04f, -0.036f)
                horizontalLineToRelative(1.028f)
                curveToRelative(0.024f, 0.0f, 0.036f, -0.018f, 0.036f, -0.036f)
                verticalLineToRelative(-0.484f)
                curveToRelative(0.0f, -0.018f, -0.01f, -0.036f, -0.035f, -0.036f)
                horizontalLineToRelative(-1.03f)
                curveToRelative(-0.02f, 0.0f, -0.037f, -0.017f, -0.037f, -0.035f)
                lineTo(22.898f, 9.96f)
                curveToRelative(0.0f, -0.283f, -0.104f, -0.463f, -0.28f, -0.523f)
                horizontalLineToRelative(-0.3f)
                arcToRelative(1.153f, 1.153f, 0.0f, false, false, -0.303f, 0.132f)
                lineToRelative(-6.18f, 3.815f)
                curveToRelative(-0.24f, 0.15f, -0.323f, 0.318f, -0.263f, 0.445f)
                curveToRelative(0.048f, 0.104f, 0.185f, 0.182f, 0.454f, 0.182f)
                close()
                moveTo(16.917f, 13.377f)
                lineToRelative(4.79f, -2.961f)
                curveToRelative(0.03f, -0.024f, 0.09f, -0.018f, 0.09f, 0.048f)
                verticalLineToRelative(2.961f)
                curveToRelative(0.0f, 0.018f, -0.016f, 0.036f, -0.034f, 0.036f)
                horizontalLineToRelative(-4.817f)
                curveToRelative(-0.04f, 0.0f, -0.06f, -0.012f, -0.065f, -0.024f)
                curveToRelative(-0.006f, -0.024f, 0.005f, -0.042f, 0.036f, -0.06f)
                close()
            }
        }
        .build()
        return _playstation4!!
    }

private var _playstation4: ImageVector? = null
