package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.PopOs: ImageVector
    get() {
        if (_popOs != null) {
            return _popOs!!
        }
        _popOs = Builder(name = "PopOs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.724f, 11.253f)
                curveToRelative(-0.776f, 1.366f, -0.932f, 1.5f, -1.153f, 1.411f)
                curveToRelative(-0.261f, -0.104f, -0.171f, -1.472f, 0.067f, -3.134f)
                curveToRelative(0.067f, -0.464f, 0.183f, -0.684f, 0.312f, -0.796f)
                curveToRelative(0.186f, -0.158f, 0.524f, -0.165f, 0.752f, -0.131f)
                curveToRelative(0.263f, 0.038f, 0.514f, 0.16f, 0.704f, 0.344f)
                curveToRelative(0.168f, 0.163f, 0.187f, 0.33f, 0.13f, 0.546f)
                curveToRelative(-0.094f, 0.344f, -0.256f, 0.674f, -0.411f, 0.996f)
                curveToRelative(-0.036f, 0.079f, -0.358f, 0.689f, -0.401f, 0.764f)
                close()
                moveTo(14.314f, 13.287f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, false, -0.382f, 0.411f)
                arcToRelative(0.53f, 0.53f, 0.0f, false, false, 0.146f, 0.52f)
                arcToRelative(0.451f, 0.451f, 0.0f, false, false, 0.543f, 0.055f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, false, 0.208f, -0.309f)
                curveToRelative(0.08f, -0.336f, -0.093f, -0.794f, -0.514f, -0.677f)
                close()
                moveTo(9.304f, 12.048f)
                curveToRelative(0.154f, 0.656f, 0.138f, 1.377f, 0.006f, 1.896f)
                curveToRelative(-0.123f, 0.49f, -0.458f, 0.93f, -0.989f, 1.076f)
                curveToRelative(-0.466f, 0.13f, -1.009f, 0.035f, -1.341f, -0.285f)
                curveToRelative(-0.548f, -0.525f, -0.868f, -1.758f, -0.725f, -2.653f)
                curveToRelative(0.115f, -0.718f, 0.503f, -1.638f, 1.352f, -1.678f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, 0.163f, 0.003f)
                curveToRelative(0.866f, 0.078f, 1.34f, 0.808f, 1.534f, 1.641f)
                close()
                moveTo(8.151f, 12.398f)
                arcToRelative(0.807f, 0.807f, 0.0f, false, false, -0.205f, -0.333f)
                curveToRelative(-0.344f, -0.314f, -0.688f, 0.013f, -0.748f, 0.386f)
                curveToRelative(-0.046f, 0.291f, 0.021f, 0.63f, 0.203f, 0.865f)
                arcToRelative(0.588f, 0.588f, 0.0f, false, false, 0.336f, 0.226f)
                arcToRelative(0.32f, 0.32f, 0.0f, false, false, 0.144f, -0.006f)
                curveToRelative(0.162f, -0.046f, 0.255f, -0.215f, 0.298f, -0.378f)
                arcToRelative(1.296f, 1.296f, 0.0f, false, false, -0.028f, -0.76f)
                close()
                moveTo(12.951f, 12.53f)
                curveToRelative(-0.333f, 0.508f, -1.34f, 0.876f, -1.772f, 0.844f)
                verticalLineToRelative(0.066f)
                curveToRelative(-0.002f, 1.212f, 0.12f, 2.14f, -0.413f, 2.25f)
                curveToRelative(-0.432f, 0.087f, -0.418f, -0.292f, -0.45f, -0.61f)
                curveToRelative(-0.129f, -1.235f, -0.246f, -3.285f, -0.296f, -4.526f)
                curveToRelative(0.035f, -0.533f, 0.392f, -0.86f, 0.764f, -0.94f)
                curveToRelative(0.573f, -0.123f, 1.185f, -0.088f, 1.692f, 0.226f)
                curveToRelative(1.003f, 0.62f, 1.083f, 1.76f, 0.475f, 2.69f)
                close()
                moveTo(11.909f, 11.264f)
                curveToRelative(-0.077f, -0.24f, -0.315f, -0.584f, -0.602f, -0.541f)
                curveToRelative(-0.062f, 0.01f, -0.165f, 0.038f, -0.194f, 0.099f)
                curveToRelative(-0.069f, 0.142f, -0.064f, 1.047f, 0.056f, 1.425f)
                curveToRelative(0.02f, 0.062f, 0.062f, 0.122f, 0.125f, 0.144f)
                curveToRelative(0.227f, 0.083f, 0.432f, -0.195f, 0.525f, -0.363f)
                arcToRelative(0.972f, 0.972f, 0.0f, false, false, 0.09f, -0.764f)
                close()
                moveTo(5.52f, 9.69f)
                curveToRelative(0.135f, 0.61f, 0.107f, 1.234f, -0.081f, 1.635f)
                curveToRelative(-0.376f, 0.795f, -1.001f, 1.427f, -1.865f, 1.74f)
                curveToRelative(0.248f, 0.647f, 0.5f, 1.288f, 0.748f, 1.935f)
                curveToRelative(0.138f, 0.35f, 0.269f, 0.732f, 0.149f, 1.076f)
                curveToRelative(-0.125f, 0.352f, -0.612f, 0.45f, -0.965f, 0.075f)
                curveToRelative(-0.68f, -0.724f, -2.98f, -5.308f, -3.15f, -5.652f)
                curveToRelative(-0.145f, -0.297f, -0.36f, -0.614f, -0.355f, -0.957f)
                curveToRelative(0.011f, -0.516f, 0.808f, -1.037f, 1.191f, -1.305f)
                curveToRelative(0.535f, -0.373f, 1.153f, -0.628f, 1.814f, -0.63f)
                curveToRelative(0.516f, 0.0f, 0.956f, 0.142f, 1.347f, 0.392f)
                arcTo(2.698f, 2.698f, 0.0f, false, true, 5.52f, 9.69f)
                close()
                moveTo(3.687f, 10.453f)
                arcTo(2.533f, 2.533f, 0.0f, false, false, 2.864f, 9.2f)
                arcToRelative(0.883f, 0.883f, 0.0f, false, false, -0.277f, -0.168f)
                curveToRelative(-0.717f, -0.235f, -0.407f, 0.964f, -0.29f, 1.266f)
                curveToRelative(0.162f, 0.424f, 0.407f, 0.96f, 0.735f, 1.28f)
                curveToRelative(0.072f, 0.07f, 0.157f, 0.134f, 0.255f, 0.153f)
                curveToRelative(0.149f, 0.03f, 0.287f, -0.074f, 0.362f, -0.195f)
                arcToRelative(0.845f, 0.845f, 0.0f, false, false, 0.1f, -0.338f)
                arcToRelative(1.999f, 1.999f, 0.0f, false, false, -0.063f, -0.745f)
                close()
                moveTo(21.815f, 16.027f)
                close()
                moveTo(22.861f, 14.709f)
                curveToRelative(-0.355f, -0.05f, -0.556f, -0.117f, -0.556f, -0.355f)
                curveToRelative(0.0f, -0.243f, 0.31f, -0.379f, 0.6f, -0.383f)
                curveToRelative(0.133f, -0.003f, 0.308f, 0.02f, 0.478f, 0.101f)
                lineToRelative(0.027f, 0.355f)
                horizontalLineToRelative(0.421f)
                curveToRelative(0.0f, -0.216f, 0.003f, -0.344f, 0.003f, -0.56f)
                curveToRelative(-0.328f, -0.263f, -0.586f, -0.32f, -0.949f, -0.312f)
                curveToRelative(-0.45f, 0.0f, -1.058f, 0.267f, -1.058f, 0.804f)
                curveToRelative(0.0f, 0.602f, 0.432f, 0.733f, 0.97f, 0.788f)
                curveToRelative(0.314f, 0.032f, 0.705f, 0.093f, 0.716f, 0.391f)
                curveToRelative(0.0f, 0.328f, -0.35f, 0.413f, -0.687f, 0.413f)
                arcToRelative(1.21f, 1.21f, 0.0f, false, true, -0.544f, -0.142f)
                lineToRelative(-0.03f, -0.367f)
                horizontalLineToRelative(-0.435f)
                curveToRelative(0.003f, 0.076f, 0.001f, 0.51f, 0.0f, 0.586f)
                curveToRelative(0.328f, 0.286f, 0.587f, 0.363f, 1.002f, 0.362f)
                curveToRelative(0.544f, 0.0f, 1.178f, -0.178f, 1.182f, -0.853f)
                curveToRelative(-0.002f, -0.62f, -0.561f, -0.75f, -1.14f, -0.828f)
                close()
                moveTo(21.816f, 16.027f)
                curveToRelative(0.0f, 0.017f, 0.0f, 0.015f, 0.0f, 0.0f)
                close()
                moveTo(21.418f, 14.981f)
                curveToRelative(-0.003f, 0.703f, -0.432f, 1.406f, -1.378f, 1.406f)
                reflectiveCurveToRelative(-1.386f, -0.692f, -1.386f, -1.398f)
                curveToRelative(0.0f, -0.88f, 0.613f, -1.425f, 1.406f, -1.425f)
                curveToRelative(0.918f, 0.008f, 1.366f, 0.69f, 1.358f, 1.417f)
                close()
                moveTo(20.94f, 14.981f)
                curveToRelative(0.008f, -0.475f, -0.243f, -0.962f, -0.88f, -0.973f)
                curveToRelative(-0.595f, 0.0f, -0.928f, 0.413f, -0.93f, 0.977f)
                curveToRelative(0.0f, 0.49f, 0.273f, 0.95f, 0.918f, 0.95f)
                reflectiveCurveToRelative(0.892f, -0.499f, 0.892f, -0.955f)
                close()
                moveTo(17.844f, 15.915f)
                lineTo(15.27f, 15.915f)
                arcToRelative(0.223f, 0.223f, 0.0f, false, false, -0.223f, 0.223f)
                verticalLineToRelative(0.02f)
                curveToRelative(0.0f, 0.122f, 0.099f, 0.222f, 0.223f, 0.222f)
                horizontalLineToRelative(2.573f)
                arcToRelative(0.223f, 0.223f, 0.0f, false, false, 0.223f, -0.223f)
                verticalLineToRelative(-0.019f)
                arcToRelative(0.222f, 0.222f, 0.0f, false, false, -0.223f, -0.223f)
                close()
            }
        }
        .build()
        return _popOs!!
    }

private var _popOs: ImageVector? = null
