package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Redux: ImageVector
    get() {
        if (_redux != null) {
            return _redux!!
        }
        _redux = Builder(name = "Redux", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.634f, 16.504f)
                curveToRelative(0.87f, -0.075f, 1.543f, -0.84f, 1.5f, -1.754f)
                curveToRelative(-0.047f, -0.914f, -0.796f, -1.648f, -1.709f, -1.648f)
                horizontalLineToRelative(-0.061f)
                arcToRelative(1.71f, 1.71f, 0.0f, false, false, -1.648f, 1.769f)
                curveToRelative(0.03f, 0.479f, 0.226f, 0.869f, 0.494f, 1.153f)
                curveToRelative(-1.048f, 2.038f, -2.621f, 3.536f, -5.005f, 4.795f)
                curveToRelative(-1.603f, 0.838f, -3.296f, 1.154f, -4.944f, 0.93f)
                curveToRelative(-1.378f, -0.195f, -2.456f, -0.81f, -3.116f, -1.799f)
                curveToRelative(-0.988f, -1.499f, -1.078f, -3.116f, -0.255f, -4.734f)
                curveToRelative(0.6f, -1.17f, 1.499f, -2.023f, 2.099f, -2.443f)
                arcToRelative(9.96f, 9.96f, 0.0f, false, true, -0.42f, -1.543f)
                curveTo(-0.868f, 14.408f, -0.416f, 18.752f, 0.932f, 20.805f)
                curveToRelative(1.004f, 1.498f, 3.057f, 2.456f, 5.304f, 2.456f)
                curveToRelative(0.6f, 0.0f, 1.23f, -0.044f, 1.843f, -0.194f)
                curveToRelative(3.897f, -0.749f, 6.848f, -3.086f, 8.541f, -6.532f)
                close()
                moveTo(21.982f, 12.758f)
                curveToRelative(-2.32f, -2.728f, -5.738f, -4.226f, -9.634f, -4.226f)
                horizontalLineToRelative(-0.51f)
                curveToRelative(-0.253f, -0.554f, -0.837f, -0.899f, -1.498f, -0.899f)
                horizontalLineToRelative(-0.045f)
                curveToRelative(-0.943f, 0.0f, -1.678f, 0.81f, -1.647f, 1.753f)
                curveToRelative(0.03f, 0.898f, 0.794f, 1.648f, 1.708f, 1.648f)
                horizontalLineToRelative(0.074f)
                arcToRelative(1.69f, 1.69f, 0.0f, false, false, 1.499f, -1.049f)
                horizontalLineToRelative(0.555f)
                curveToRelative(2.309f, 0.0f, 4.495f, 0.674f, 6.488f, 1.992f)
                curveToRelative(1.527f, 1.005f, 2.622f, 2.323f, 3.237f, 3.897f)
                curveToRelative(0.538f, 1.288f, 0.509f, 2.547f, -0.045f, 3.597f)
                curveToRelative(-0.855f, 1.647f, -2.294f, 2.517f, -4.196f, 2.517f)
                curveToRelative(-1.199f, 0.0f, -2.367f, -0.375f, -2.967f, -0.644f)
                curveToRelative(-0.36f, 0.298f, -0.96f, 0.793f, -1.394f, 1.093f)
                curveToRelative(1.318f, 0.598f, 2.652f, 0.943f, 3.94f, 0.943f)
                curveToRelative(2.922f, 0.0f, 5.094f, -1.647f, 5.919f, -3.236f)
                curveToRelative(0.898f, -1.798f, 0.824f, -4.824f, -1.47f, -7.416f)
                close()
                moveTo(6.49f, 17.042f)
                curveToRelative(0.03f, 0.899f, 0.793f, 1.648f, 1.708f, 1.648f)
                horizontalLineToRelative(0.06f)
                arcToRelative(1.688f, 1.688f, 0.0f, false, false, 1.648f, -1.768f)
                curveToRelative(0.0f, -0.9f, -0.779f, -1.647f, -1.693f, -1.647f)
                horizontalLineToRelative(-0.06f)
                curveToRelative(-0.06f, 0.0f, -0.15f, 0.0f, -0.226f, 0.029f)
                curveToRelative(-1.243f, -2.098f, -1.768f, -4.347f, -1.572f, -6.772f)
                curveToRelative(0.12f, -1.828f, 0.72f, -3.417f, 1.797f, -4.735f)
                curveToRelative(0.9f, -1.124f, 2.593f, -1.68f, 3.747f, -1.708f)
                curveToRelative(3.236f, -0.061f, 4.585f, 3.971f, 4.689f, 5.574f)
                lineToRelative(1.498f, 0.45f)
                curveTo(17.741f, 3.197f, 14.686f, 0.62f, 11.764f, 0.62f)
                curveTo(9.02f, 0.62f, 6.49f, 2.613f, 5.47f, 5.535f)
                curveTo(4.077f, 9.43f, 4.991f, 13.177f, 6.7f, 16.174f)
                curveToRelative(-0.15f, 0.195f, -0.24f, 0.539f, -0.21f, 0.868f)
                close()
            }
        }
        .build()
        return _redux!!
    }

private var _redux: ImageVector? = null
