package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Revolut: ImageVector
    get() {
        if (_revolut != null) {
            return _revolut!!
        }
        _revolut = Builder(name = "Revolut", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.408f, 20.114f)
                curveToRelative(0.449f, 0.999f, -0.003f, 2.261f, -0.94f, 2.77f)
                curveToRelative(-0.536f, 0.292f, -1.15f, 0.563f, -1.763f, 0.715f)
                arcToRelative(14.797f, 14.797f, 0.0f, false, true, -3.084f, 0.401f)
                curveToRelative(-1.662f, 0.0f, -3.329f, -0.952f, -4.047f, -2.11f)
                curveToRelative(-0.185f, 0.4f, -0.855f, 1.203f, -2.03f, 1.581f)
                curveToRelative(-0.741f, 0.24f, -1.635f, 0.529f, -3.502f, 0.527f)
                curveToRelative(-1.673f, -0.001f, -2.627f, -0.76f, -3.13f, -1.396f)
                curveToRelative(-0.804f, -1.012f, -0.922f, -2.298f, -0.765f, -3.164f)
                lineToRelative(0.008f, -0.042f)
                curveToRelative(0.631f, -3.167f, 1.494f, -8.925f, 1.892f, -11.81f)
                lineToRelative(0.004f, -0.028f)
                curveToRelative(0.108f, -0.8f, 0.219f, -1.6f, 0.285f, -2.406f)
                curveToRelative(0.032f, -0.406f, 0.054f, -0.814f, 0.058f, -1.221f)
                curveToRelative(0.004f, -0.385f, -0.031f, -0.77f, -0.028f, -1.154f)
                curveToRelative(0.004f, -0.363f, 0.063f, -0.73f, 0.233f, -1.052f)
                arcTo(2.391f, 2.391f, 0.0f, false, true, 5.917f, 0.619f)
                curveToRelative(0.587f, -0.196f, 1.2f, -0.275f, 1.811f, -0.346f)
                arcTo(48.39f, 48.39f, 0.0f, false, true, 9.604f, 0.086f)
                arcTo(31.823f, 31.823f, 0.0f, false, true, 11.9f, 0.0f)
                curveToRelative(1.31f, -0.001f, 2.63f, 0.02f, 3.921f, 0.287f)
                curveToRelative(1.316f, 0.271f, 2.646f, 0.79f, 3.684f, 1.699f)
                curveToRelative(0.711f, 0.623f, 1.276f, 1.408f, 1.7f, 2.268f)
                curveToRelative(0.372f, 0.758f, 0.523f, 1.555f, 0.613f, 2.164f)
                arcToRelative(9.047f, 9.047f, 0.0f, false, true, -0.124f, 3.286f)
                arcToRelative(7.203f, 7.203f, 0.0f, false, true, -0.953f, 2.215f)
                curveToRelative(-0.494f, 0.768f, -1.129f, 1.465f, -1.937f, 2.128f)
                curveToRelative(0.492f, 1.43f, 1.776f, 4.222f, 2.604f, 6.067f)
                close()
                moveTo(6.688f, 2.922f)
                curveToRelative(0.032f, 0.53f, 0.036f, 1.064f, 0.013f, 1.596f)
                arcToRelative(23.53f, 23.53f, 0.0f, false, true, -0.13f, 1.626f)
                curveToRelative(-0.06f, 0.538f, -0.132f, 1.075f, -0.205f, 1.611f)
                lineToRelative(-0.024f, 0.175f)
                curveToRelative(-0.23f, 1.677f, -0.471f, 3.352f, -0.725f, 5.024f)
                arcToRelative(280.578f, 280.578f, 0.0f, false, true, -0.866f, 5.255f)
                curveToRelative(-0.139f, 0.816f, -0.45f, 1.861f, -0.024f, 2.64f)
                curveToRelative(0.38f, 0.695f, 1.354f, 0.78f, 2.034f, 0.71f)
                curveToRelative(2.474f, -0.253f, 2.867f, -0.803f, 2.867f, -0.803f)
                curveToRelative(-0.493f, -0.547f, -0.064f, -3.039f, 0.432f, -6.388f)
                horizontalLineToRelative(1.759f)
                lineToRelative(1.84f, 5.567f)
                reflectiveCurveToRelative(0.543f, 1.724f, 2.05f, 1.641f)
                curveToRelative(1.932f, -0.106f, 3.353f, -0.548f, 3.558f, -0.793f)
                curveToRelative(-0.595f, -0.332f, -2.296f, -4.585f, -3.222f, -7.708f)
                curveToRelative(0.448f, -0.274f, 0.883f, -0.571f, 1.294f, -0.904f)
                curveToRelative(0.56f, -0.457f, 1.08f, -0.984f, 1.477f, -1.603f)
                arcToRelative(4.75f, 4.75f, 0.0f, false, false, 0.63f, -1.453f)
                arcToRelative(5.72f, 5.72f, 0.0f, false, false, 0.125f, -0.842f)
                arcToRelative(6.494f, 6.494f, 0.0f, false, false, -0.046f, -1.486f)
                curveToRelative(-0.07f, -0.472f, -0.173f, -0.997f, -0.383f, -1.422f)
                curveToRelative(-0.392f, -0.797f, -0.946f, -1.492f, -1.701f, -1.936f)
                curveToRelative(-1.275f, -0.75f, -2.745f, -0.892f, -4.177f, -0.97f)
                arcToRelative(26.434f, 26.434f, 0.0f, false, false, -4.657f, 0.152f)
                curveToRelative(-0.174f, 0.02f, -1.926f, 0.175f, -1.918f, 0.31f)
                close()
                moveTo(11.422f, 5.077f)
                curveToRelative(-0.296f, 2.085f, -0.533f, 3.842f, -0.96f, 6.577f)
                curveToRelative(1.153f, -0.025f, 3.77f, 0.434f, 4.346f, -3.304f)
                curveToRelative(0.477f, -3.11f, -1.649f, -3.398f, -3.386f, -3.273f)
                close()
            }
        }
        .build()
        return _revolut!!
    }

private var _revolut: ImageVector? = null
