package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Sqlite: ImageVector
    get() {
        if (_sqlite != null) {
            return _sqlite!!
        }
        _sqlite = Builder(name = "Sqlite", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.678f, 0.521f)
                curveToRelative(-1.032f, -0.92f, -2.28f, -0.55f, -3.513f, 0.544f)
                arcToRelative(8.71f, 8.71f, 0.0f, false, false, -0.547f, 0.535f)
                curveToRelative(-2.109f, 2.237f, -4.066f, 6.38f, -4.674f, 9.544f)
                curveToRelative(0.237f, 0.48f, 0.422f, 1.093f, 0.544f, 1.561f)
                arcToRelative(13.044f, 13.044f, 0.0f, false, true, 0.164f, 0.703f)
                reflectiveCurveToRelative(-0.019f, -0.071f, -0.096f, -0.296f)
                lineToRelative(-0.05f, -0.146f)
                arcToRelative(1.689f, 1.689f, 0.0f, false, false, -0.033f, -0.08f)
                curveToRelative(-0.138f, -0.32f, -0.518f, -0.995f, -0.686f, -1.289f)
                curveToRelative(-0.143f, 0.423f, -0.27f, 0.818f, -0.376f, 1.176f)
                curveToRelative(0.484f, 0.884f, 0.778f, 2.4f, 0.778f, 2.4f)
                reflectiveCurveToRelative(-0.025f, -0.099f, -0.147f, -0.442f)
                curveToRelative(-0.107f, -0.303f, -0.644f, -1.244f, -0.772f, -1.464f)
                curveToRelative(-0.217f, 0.804f, -0.304f, 1.346f, -0.226f, 1.478f)
                curveToRelative(0.152f, 0.256f, 0.296f, 0.698f, 0.422f, 1.186f)
                curveToRelative(0.286f, 1.1f, 0.485f, 2.44f, 0.485f, 2.44f)
                lineToRelative(0.017f, 0.224f)
                arcToRelative(22.41f, 22.41f, 0.0f, false, false, 0.056f, 2.748f)
                curveToRelative(0.095f, 1.146f, 0.273f, 2.13f, 0.5f, 2.657f)
                lineToRelative(0.155f, -0.084f)
                curveToRelative(-0.334f, -1.038f, -0.47f, -2.399f, -0.41f, -3.967f)
                curveToRelative(0.09f, -2.398f, 0.642f, -5.29f, 1.661f, -8.304f)
                curveToRelative(1.723f, -4.55f, 4.113f, -8.201f, 6.3f, -9.945f)
                curveToRelative(-1.993f, 1.8f, -4.692f, 7.63f, -5.5f, 9.788f)
                curveToRelative(-0.904f, 2.416f, -1.545f, 4.684f, -1.931f, 6.857f)
                curveToRelative(0.666f, -2.037f, 2.821f, -2.912f, 2.821f, -2.912f)
                reflectiveCurveToRelative(1.057f, -1.304f, 2.292f, -3.166f)
                curveToRelative(-0.74f, 0.169f, -1.955f, 0.458f, -2.362f, 0.629f)
                curveToRelative(-0.6f, 0.251f, -0.762f, 0.337f, -0.762f, 0.337f)
                reflectiveCurveToRelative(1.945f, -1.184f, 3.613f, -1.72f)
                curveTo(21.695f, 7.9f, 24.195f, 2.767f, 21.678f, 0.521f)
                moveToRelative(-18.573f, 0.543f)
                arcTo(1.842f, 1.842f, 0.0f, false, false, 1.27f, 2.9f)
                verticalLineToRelative(16.608f)
                arcToRelative(1.84f, 1.84f, 0.0f, false, false, 1.835f, 1.834f)
                horizontalLineToRelative(9.418f)
                arcToRelative(22.953f, 22.953f, 0.0f, false, true, -0.052f, -2.707f)
                curveToRelative(-0.006f, -0.062f, -0.011f, -0.141f, -0.016f, -0.2f)
                arcToRelative(27.01f, 27.01f, 0.0f, false, false, -0.473f, -2.378f)
                curveToRelative(-0.121f, -0.47f, -0.275f, -0.898f, -0.369f, -1.057f)
                curveToRelative(-0.116f, -0.197f, -0.098f, -0.31f, -0.097f, -0.432f)
                curveToRelative(0.0f, -0.12f, 0.015f, -0.245f, 0.037f, -0.386f)
                arcToRelative(9.98f, 9.98f, 0.0f, false, true, 0.234f, -1.045f)
                lineToRelative(0.217f, -0.028f)
                curveToRelative(-0.017f, -0.035f, -0.014f, -0.065f, -0.031f, -0.097f)
                lineToRelative(-0.041f, -0.381f)
                arcToRelative(32.8f, 32.8f, 0.0f, false, true, 0.382f, -1.194f)
                lineToRelative(0.2f, -0.019f)
                curveToRelative(-0.008f, -0.016f, -0.01f, -0.038f, -0.018f, -0.053f)
                lineToRelative(-0.043f, -0.316f)
                curveToRelative(0.63f, -3.28f, 2.587f, -7.443f, 4.8f, -9.791f)
                curveToRelative(0.066f, -0.069f, 0.133f, -0.128f, 0.198f, -0.194f)
                close()
            }
        }
        .build()
        return _sqlite!!
    }

private var _sqlite: ImageVector? = null
