package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Stmicroelectronics: ImageVector
    get() {
        if (_stmicroelectronics != null) {
            return _stmicroelectronics!!
        }
        _stmicroelectronics = Builder(name = "Stmicroelectronics", defaultWidth = 24.0.dp,
                defaultHeight = 24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.818f, 5.61f)
                lineTo(6.402f, 5.61f)
                curveTo(5.125f, 5.609f, 3.968f, 6.362f, 3.452f, 7.529f)
                lineTo(0.014f, 15.811f)
                curveTo(-0.036f, 15.931f, 0.052f, 16.063f, 0.182f, 16.061f)
                lineTo(8.046f, 16.061f)
                curveTo(8.601f, 16.061f, 8.848f, 15.523f, 8.412f, 15.093f)
                lineTo(5.524f, 12.388f)
                curveTo(4.008f, 10.9f, 4.658f, 7.45f, 7.81f, 7.45f)
                lineTo(23.206f, 7.45f)
                curveTo(23.283f, 7.451f, 23.352f, 7.402f, 23.378f, 7.329f)
                lineTo(23.987f, 5.857f)
                curveTo(23.996f, 5.835f, 24.001f, 5.811f, 24.0f, 5.787f)
                curveTo(23.997f, 5.689f, 23.917f, 5.61f, 23.818f, 5.61f)
                moveTo(22.082f, 9.826f)
                lineTo(19.126f, 9.826f)
                curveTo(18.932f, 9.825f, 18.756f, 9.94f, 18.681f, 10.118f)
                lineTo(15.369f, 18.118f)
                curveTo(15.355f, 18.144f, 15.347f, 18.173f, 15.347f, 18.202f)
                curveTo(15.348f, 18.302f, 15.429f, 18.383f, 15.529f, 18.381f)
                lineTo(16.632f, 18.381f)
                curveTo(17.93f, 18.387f, 19.105f, 17.613f, 19.612f, 16.418f)
                lineTo(22.244f, 10.063f)
                curveTo(22.252f, 10.042f, 22.257f, 10.019f, 22.257f, 9.996f)
                curveTo(22.253f, 9.902f, 22.176f, 9.828f, 22.082f, 9.826f)
                moveTo(16.271f, 10.005f)
                curveTo(16.271f, 9.905f, 16.189f, 9.825f, 16.089f, 9.825f)
                lineTo(7.706f, 9.825f)
                curveTo(7.251f, 9.825f, 6.853f, 10.38f, 7.335f, 10.825f)
                lineTo(10.104f, 13.404f)
                curveTo(10.104f, 13.404f, 11.224f, 14.437f, 10.984f, 15.916f)
                curveTo(10.778f, 17.219f, 9.889f, 18.016f, 9.241f, 18.302f)
                curveTo(9.208f, 18.31f, 9.196f, 18.351f, 9.219f, 18.376f)
                curveTo(9.23f, 18.387f, 9.246f, 18.392f, 9.261f, 18.388f)
                lineTo(12.489f, 18.388f)
                curveTo(12.683f, 18.39f, 12.859f, 18.275f, 12.934f, 18.095f)
                lineTo(16.256f, 10.068f)
                curveTo(16.266f, 10.049f, 16.271f, 10.027f, 16.271f, 10.005f)
            }
        }
        .build()
        return _stmicroelectronics!!
    }

private var _stmicroelectronics: ImageVector? = null
