package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Thunderbird: ImageVector
    get() {
        if (_thunderbird != null) {
            return _thunderbird!!
        }
        _thunderbird = Builder(name = "Thunderbird", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.7296f, 10.23f)
                curveToRelative(-0.225f, -1.1996f, -0.6936f, -2.3617f, -1.3308f, -3.4113f)
                curveToRelative(-0.1806f, -0.3233f, -0.4172f, -0.6295f, -0.6186f, -0.9185f)
                curveToRelative(-1.3495f, -1.8931f, -2.418f, -2.5304f, -2.6241f, -2.6429f)
                curveToRelative(-0.1874f, -0.1312f, -0.3749f, -0.2624f, -0.5623f, -0.3748f)
                curveToRelative(-1.7432f, -1.0872f, -2.8678f, -1.2371f, -2.8678f, -1.2371f)
                curveToRelative(-0.806f, -0.3374f, -1.5932f, -0.5248f, -2.1743f, -0.6186f)
                curveToRelative(-1.2558f, -0.15f, -2.3055f, -0.1312f, -3.2239f, 0.0f)
                curveToRelative(0.15f, -0.2624f, 0.2812f, -0.356f, 0.3186f, -0.3748f)
                curveToRelative(0.0232f, 0.0f, 0.0166f, 0.0f, 0.0f, 0.0f)
                curveToRelative(-0.4498f, 0.0375f, -0.9934f, 0.3374f, -1.4807f, 0.6373f)
                curveTo(9.503f, 0.6333f, 10.2153f, 0.2583f, 10.309f, 0.202f)
                horizontalLineToRelative(0.0187f)
                curveTo(9.7655f, 0.1646f, 8.1723f, 0.5208f, 6.804f, 2.0391f)
                curveTo(2.549f, 3.8196f, 0.0f, 7.7183f, 0.0f, 11.973f)
                curveToRelative(0.0f, 3.224f, 1.2558f, 5.5482f, 2.6241f, 7.0852f)
                curveToRelative(1.2933f, 1.4058f, 2.7179f, 2.1555f, 3.3926f, 2.3617f)
                curveToRelative(0.0708f, 0.0279f, 0.225f, 0.0375f, 0.225f, 0.0375f)
                curveToRelative(0.0187f, -0.0562f, -0.8622f, -1.462f, -1.2559f, -3.149f)
                curveToRelative(0.7873f, 0.806f, 1.7245f, 1.4246f, 2.7741f, 1.537f)
                curveToRelative(0.1125f, 0.0188f, -0.3749f, -0.581f, -0.8997f, -1.3682f)
                lineToRelative(0.7123f, 0.2436f)
                lineToRelative(7.8161f, 2.6054f)
                curveToRelative(-0.7685f, 0.7872f, -1.7994f, 1.5557f, -3.2052f, 2.2305f)
                curveToRelative(0.0f, 0.0f, 3.149f, -0.2624f, 4.7047f, -2.0056f)
                curveToRelative(-0.6373f, 1.462f, -2.3805f, 2.2493f, -2.3805f, 2.2493f)
                curveToRelative(1.2746f, -0.1875f, 4.6485f, -1.1809f, 6.7853f, -3.8612f)
                curveToRelative(2.4367f, -3.0365f, 3.1677f, -5.8856f, 2.4367f, -9.7093f)
                close()
                moveTo(17.5066f, 17.3339f)
                curveToRelative(-0.2436f, 1.1808f, -0.7497f, 2.493f, -1.893f, 3.7487f)
                lineTo(1.7993f, 16.4904f)
                curveToRelative(-0.3936f, -1.2558f, -0.581f, -2.7178f, -0.4686f, -4.4235f)
                curveToRelative(0.2437f, 0.4499f, 0.9747f, 0.8247f, 1.4245f, 0.8435f)
                curveToRelative(-1.0496f, -2.343f, -0.6373f, -3.955f, 0.15f, -5.0233f)
                arcToRelative(635.68f, 635.68f, 0.0f, false, true, 1.0309f, 1.5182f)
                verticalLineToRelative(-0.1125f)
                curveToRelative(0.0187f, -0.15f, 0.0375f, -0.2624f, 0.075f, -0.3748f)
                curveToRelative(-0.3562f, -0.5249f, -0.656f, -0.9747f, -0.881f, -1.2934f)
                curveToRelative(0.4311f, -0.4873f, 0.9184f, -0.8434f, 1.3496f, -1.0871f)
                curveToRelative(0.0187f, 0.2062f, 0.0562f, 0.3936f, 0.1124f, 0.6185f)
                curveToRelative(0.075f, 0.3187f, 0.0937f, 0.7873f, 0.0562f, 1.1622f)
                verticalLineToRelative(-0.0188f)
                curveToRelative(0.0f, 0.075f, -0.0187f, 0.15f, -0.0374f, 0.225f)
                curveToRelative(-0.0188f, 0.075f, -0.225f, 0.281f, -0.2812f, 0.8247f)
                curveToRelative(-0.0562f, 0.581f, 0.15f, 0.8997f, 0.3561f, 1.1433f)
                curveToRelative(0.2437f, -0.2249f, 0.6936f, -0.7872f, 1.5183f, -1.1059f)
                curveToRelative(0.8247f, -0.3373f, 1.3683f, -0.8247f, 2.418f, -1.3495f)
                curveToRelative(0.6185f, -0.3186f, 1.2745f, -0.2812f, 2.0992f, -0.2437f)
                curveToRelative(1.4808f, 0.2624f, 3.4301f, 0.7873f, 5.2483f, 0.881f)
                curveToRelative(0.4123f, 0.9747f, 0.581f, 2.3804f, 0.581f, 2.418f)
                curveToRelative(0.0f, 0.1311f, 0.0188f, 0.2436f, 0.0188f, 0.356f)
                curveToRelative(-3.224f, 1.2184f, -7.0102f, 2.6054f, -8.6034f, 3.0178f)
                curveToRelative(-0.1312f, 0.0375f, -1.5183f, -1.968f, -2.8116f, -3.88f)
                curveToRelative(-0.0187f, 0.0375f, -0.0562f, 0.0563f, -0.075f, 0.075f)
                curveToRelative(-0.0374f, 0.0375f, -0.075f, 0.075f, -0.0937f, 0.1125f)
                horizontalLineToRelative(-0.1124f)
                curveToRelative(1.387f, 2.043f, 2.8678f, 4.161f, 3.0177f, 4.161f)
                curveToRelative(1.4058f, -0.506f, 5.6044f, -1.9493f, 8.6596f, -2.9989f)
                curveToRelative(-0.0187f, 2.3055f, -0.581f, 3.1677f, -0.581f, 3.1677f)
                reflectiveCurveToRelative(0.7685f, -0.3f, 1.5557f, -1.0871f)
                curveToRelative(0.0f, 0.6372f, -0.1687f, 2.2867f, -1.4995f, 3.8799f)
                curveToRelative(0.0f, 0.0f, 0.6935f, -0.1874f, 1.4807f, -0.5623f)
                close()
            }
        }
        .build()
        return _thunderbird!!
    }

private var _thunderbird: ImageVector? = null
