package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Ticketmaster: ImageVector
    get() {
        if (_ticketmaster != null) {
            return _ticketmaster!!
        }
        _ticketmaster = Builder(name = "Ticketmaster", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.5153f, 11.3333f)
                curveToRelative(-0.2454f, 0.0f, -0.4826f, 0.0464f, -0.716f, 0.1304f)
                lineToRelative(-0.0776f, 0.4499f)
                curveToRelative(0.2168f, -0.105f, 0.4499f, -0.1681f, 0.6912f, -0.1681f)
                curveToRelative(0.1924f, 0.0f, 0.4214f, 0.063f, 0.4214f, 0.2817f)
                curveToRelative(0.0f, 0.063f, 0.0f, 0.126f, -0.0163f, 0.185f)
                horizontalLineToRelative(-0.1923f)
                curveToRelative(-0.5153f, 0.0f, -1.2924f, 0.0546f, -1.2924f, 0.7697f)
                curveToRelative(0.0f, 0.3994f, 0.2699f, 0.6181f, 0.6502f, 0.6181f)
                curveToRelative(0.3026f, 0.0f, 0.4909f, -0.1388f, 0.679f, -0.3828f)
                horizontalLineToRelative(0.0082f)
                lineToRelative(-0.0574f, 0.3324f)
                horizontalLineToRelative(0.4624f)
                curveToRelative(0.0491f, -0.408f, 0.2576f, -1.2576f, 0.2576f, -1.5477f)
                curveToRelative(0.0f, -0.5088f, -0.3966f, -0.6686f, -0.818f, -0.6686f)
                close()
                moveTo(14.1348f, 13.1879f)
                curveToRelative(-0.139f, 0.0f, -0.2781f, -0.0758f, -0.2781f, -0.2272f)
                curveToRelative(0.0f, -0.3658f, 0.4418f, -0.412f, 0.7076f, -0.412f)
                horizontalLineToRelative(0.1922f)
                curveToRelative(-0.0857f, 0.349f, -0.2125f, 0.6392f, -0.6217f, 0.6392f)
                close()
                moveTo(5.4878f, 12.4053f)
                lineToRelative(0.656f, 1.1947f)
                horizontalLineToRelative(-0.6391f)
                lineToRelative(-0.563f, -1.1647f)
                horizontalLineToRelative(-0.0084f)
                lineTo(4.688f, 13.6f)
                horizontalLineToRelative(-0.5546f)
                lineToRelative(0.6731f, -3.2f)
                horizontalLineToRelative(0.567f)
                lineToRelative(-0.3767f, 1.8007f)
                horizontalLineToRelative(0.0085f)
                lineToRelative(0.7915f, -0.798f)
                horizontalLineToRelative(0.7366f)
                lineTo(5.488f, 12.4053f)
                close()
                moveTo(9.2949f, 13.1513f)
                curveToRelative(0.0947f, 0.0f, 0.1894f, -0.0216f, 0.2562f, -0.0517f)
                lineToRelative(-0.0907f, 0.4485f)
                curveToRelative(-0.0905f, 0.0216f, -0.193f, 0.052f, -0.2837f, 0.052f)
                curveToRelative(-0.3587f, 0.0f, -0.6111f, -0.1554f, -0.6111f, -0.5825f)
                curveToRelative(0.0f, -0.1725f, 0.0316f, -0.3407f, 0.067f, -0.5175f)
                lineToRelative(0.1498f, -0.7506f)
                lineTo(8.4f, 11.7495f)
                lineToRelative(0.0828f, -0.4228f)
                horizontalLineToRelative(0.3824f)
                lineToRelative(0.0907f, -0.4574f)
                lineToRelative(0.5677f, -0.2026f)
                lineToRelative(-0.1301f, 0.66f)
                horizontalLineToRelative(0.4732f)
                lineToRelative(-0.0828f, 0.4226f)
                horizontalLineToRelative(-0.4734f)
                lineToRelative(-0.193f, 0.9707f)
                arcToRelative(0.9992f, 0.9992f, 0.0f, false, false, -0.0236f, 0.2156f)
                curveToRelative(0.0f, 0.1339f, 0.0826f, 0.2157f, 0.201f, 0.2157f)
                close()
                moveTo(0.8949f, 13.1513f)
                curveToRelative(0.0947f, 0.0f, 0.1894f, -0.0216f, 0.2564f, -0.0517f)
                lineToRelative(-0.0906f, 0.4485f)
                curveToRelative(-0.0908f, 0.0216f, -0.1934f, 0.052f, -0.284f, 0.052f)
                curveToRelative(-0.3587f, 0.0f, -0.6111f, -0.1554f, -0.6111f, -0.5825f)
                curveToRelative(0.0f, -0.1725f, 0.0316f, -0.3407f, 0.067f, -0.5175f)
                lineToRelative(0.1498f, -0.7506f)
                lineTo(0.0f, 11.7495f)
                lineToRelative(0.0827f, -0.4228f)
                horizontalLineToRelative(0.3826f)
                lineToRelative(0.0907f, -0.4574f)
                lineToRelative(0.5675f, -0.2026f)
                lineToRelative(-0.1302f, 0.66f)
                horizontalLineToRelative(0.4734f)
                lineToRelative(-0.0828f, 0.4226f)
                lineTo(0.9107f, 11.7493f)
                lineToRelative(-0.1931f, 0.9707f)
                arcToRelative(1.004f, 1.004f, 0.0f, false, false, -0.0237f, 0.2156f)
                curveToRelative(0.0f, 0.1339f, 0.0828f, 0.2157f, 0.201f, 0.2157f)
                close()
                moveTo(2.9967f, 12.5992f)
                curveToRelative(0.0f, 0.2816f, 0.0937f, 0.5633f, 0.4858f, 0.5633f)
                curveToRelative(0.1406f, 0.0f, 0.3154f, -0.0378f, 0.4644f, -0.1093f)
                lineToRelative(-0.0638f, 0.4459f)
                curveToRelative(-0.1747f, 0.084f, -0.3623f, 0.101f, -0.5498f, 0.101f)
                curveToRelative(-0.5668f, 0.0f, -0.9333f, -0.3742f, -0.9333f, -0.9337f)
                curveToRelative(0.0f, -0.757f, 0.5072f, -1.333f, 1.2956f, -1.333f)
                curveToRelative(0.213f, 0.0f, 0.4176f, 0.0378f, 0.571f, 0.084f)
                lineToRelative(-0.1406f, 0.4626f)
                curveToRelative(-0.111f, -0.0715f, -0.26f, -0.1093f, -0.4176f, -0.1093f)
                curveToRelative(-0.456f, 0.0f, -0.7117f, 0.4205f, -0.7117f, 0.8285f)
                close()
                moveTo(2.5393f, 10.9559f)
                horizontalLineToRelative(-0.61f)
                lineToRelative(0.1276f, -0.556f)
                horizontalLineToRelative(0.6098f)
                lineToRelative(-0.1274f, 0.556f)
                close()
                moveTo(2.4437f, 11.3639f)
                lineTo(1.9432f, 13.6f)
                horizontalLineToRelative(-0.6099f)
                lineToRelative(0.5006f, -2.236f)
                horizontalLineToRelative(0.6098f)
                close()
                moveTo(20.8f, 12.1576f)
                curveToRelative(0.0f, 0.164f, -0.0199f, 0.3236f, -0.0515f, 0.4836f)
                horizontalLineToRelative(-1.2524f)
                curveToRelative(0.001f, -0.1027f, 0.0094f, -0.2168f, 0.0564f, -0.387f)
                horizontalLineToRelative(0.7276f)
                arcToRelative(0.9136f, 0.9136f, 0.0f, false, false, 0.012f, -0.1471f)
                curveToRelative(0.0f, -0.2314f, -0.1152f, -0.3616f, -0.3373f, -0.3616f)
                curveToRelative(-0.3133f, 0.0f, -0.4579f, 0.1904f, -0.56f, 0.466f)
                arcToRelative(1.2249f, 1.2249f, 0.0f, false, false, -0.0864f, 0.4297f)
                horizontalLineToRelative(-4.0E-4f)
                lineToRelative(1.0E-4f, 0.0063f)
                lineToRelative(-2.0E-4f, 0.012f)
                curveToRelative(0.0f, 0.0208f, 0.0017f, 0.04f, 0.0026f, 0.0598f)
                horizontalLineToRelative(4.0E-4f)
                curveToRelative(0.0258f, 0.3406f, 0.2243f, 0.4686f, 0.5646f, 0.4686f)
                curveToRelative(0.2182f, 0.0f, 0.4285f, -0.0588f, 0.627f, -0.1558f)
                lineToRelative(-0.0677f, 0.446f)
                curveToRelative(-0.2061f, 0.0672f, -0.4324f, 0.122f, -0.6507f, 0.122f)
                curveToRelative(-0.5873f, 0.0f, -0.9841f, -0.3029f, -0.9841f, -0.9464f)
                curveToRelative(0.0f, -0.6726f, 0.4921f, -1.3204f, 1.1627f, -1.3204f)
                curveToRelative(0.504f, 0.0f, 0.8373f, 0.2732f, 0.8373f, 0.8243f)
                close()
                moveTo(22.573f, 11.3333f)
                curveToRelative(0.0755f, 0.0f, 0.156f, 0.0042f, 0.227f, 0.0215f)
                lineToRelative(-0.1247f, 0.5635f)
                arcToRelative(0.7823f, 0.7823f, 0.0f, false, false, -0.2272f, -0.0344f)
                curveToRelative(-0.4233f, 0.0f, -0.628f, 0.3656f, -0.704f, 0.7226f)
                lineToRelative(-0.2137f, 0.9935f)
                horizontalLineToRelative(-0.597f)
                lineToRelative(0.4098f, -1.9183f)
                curveToRelative(0.0177f, -0.0946f, 0.0356f, -0.1936f, 0.0535f, -0.2968f)
                horizontalLineToRelative(0.5702f)
                lineToRelative(-0.0802f, 0.4174f)
                horizontalLineToRelative(0.0089f)
                curveToRelative(0.107f, -0.241f, 0.401f, -0.469f, 0.6773f, -0.469f)
                close()
                moveTo(23.7163f, 11.5964f)
                curveToRelative(0.0f, -0.1183f, -0.0707f, -0.1763f, -0.2142f, -0.1763f)
                horizontalLineToRelative(-0.239f)
                verticalLineToRelative(0.6255f)
                horizontalLineToRelative(0.1018f)
                verticalLineToRelative(-0.2765f)
                horizontalLineToRelative(0.0852f)
                lineToRelative(0.1746f, 0.2765f)
                horizontalLineToRelative(0.1082f)
                lineToRelative(-0.178f, -0.2765f)
                curveToRelative(0.098f, 0.0f, 0.1614f, -0.0724f, 0.1614f, -0.1727f)
                close()
                moveTo(23.3649f, 11.6894f)
                verticalLineToRelative(-0.1892f)
                horizontalLineToRelative(0.1208f)
                curveToRelative(0.0654f, 0.0f, 0.129f, 0.0206f, 0.129f, 0.0915f)
                curveToRelative(0.0f, 0.0812f, -0.0507f, 0.0976f, -0.129f, 0.0976f)
                horizontalLineToRelative(-0.1208f)
                close()
                moveTo(13.2f, 11.9398f)
                curveToRelative(0.0f, 0.1977f, -0.0497f, 0.4216f, -0.0955f, 0.602f)
                lineTo(12.8804f, 13.6f)
                horizontalLineToRelative(-0.5564f)
                lineToRelative(0.2243f, -1.0796f)
                curveToRelative(0.029f, -0.1333f, 0.0706f, -0.3399f, 0.0706f, -0.473f)
                curveToRelative(0.0f, -0.1635f, -0.1205f, -0.2667f, -0.2616f, -0.2667f)
                curveToRelative(-0.3862f, 0.0f, -0.4817f, 0.4644f, -0.5522f, 0.7656f)
                lineToRelative(-0.22f, 1.0537f)
                horizontalLineToRelative(-0.5564f)
                lineToRelative(0.2242f, -1.0796f)
                curveToRelative(0.0291f, -0.1333f, 0.0707f, -0.3399f, 0.0707f, -0.473f)
                curveToRelative(0.0f, -0.1635f, -0.1205f, -0.2667f, -0.2616f, -0.2667f)
                curveToRelative(-0.3779f, 0.0f, -0.4817f, 0.4688f, -0.5523f, 0.7656f)
                lineToRelative(-0.22f, 1.0537f)
                horizontalLineToRelative(-0.5564f)
                lineToRelative(0.3903f, -1.9699f)
                curveToRelative(0.0167f, -0.086f, 0.0332f, -0.1764f, 0.0457f, -0.2453f)
                horizontalLineToRelative(0.519f)
                lineToRelative(-0.0498f, 0.297f)
                horizontalLineToRelative(0.0082f)
                curveToRelative(0.1496f, -0.228f, 0.3944f, -0.3485f, 0.656f, -0.3485f)
                curveToRelative(0.2533f, 0.0f, 0.5148f, 0.1548f, 0.544f, 0.4215f)
                horizontalLineToRelative(0.0082f)
                curveToRelative(0.1411f, -0.2881f, 0.4526f, -0.4215f, 0.7514f, -0.4215f)
                curveToRelative(0.3197f, 0.0f, 0.5937f, 0.271f, 0.5937f, 0.6066f)
                close()
                moveTo(23.4668f, 11.2f)
                horizontalLineToRelative(-1.0E-4f)
                arcToRelative(0.5343f, 0.5343f, 0.0f, false, false, -0.5334f, 0.5337f)
                arcToRelative(0.534f, 0.534f, 0.0f, false, false, 0.5334f, 0.533f)
                arcToRelative(0.5341f, 0.5341f, 0.0f, false, false, 0.5333f, -0.533f)
                arcToRelative(0.5343f, 0.5343f, 0.0f, false, false, -0.5332f, -0.5337f)
                close()
                moveTo(23.4685f, 12.1872f)
                curveToRelative(-0.2481f, 0.0f, -0.4333f, -0.198f, -0.4333f, -0.4535f)
                curveToRelative(0.0f, -0.2556f, 0.1852f, -0.4537f, 0.4332f, -0.4537f)
                curveToRelative(0.2448f, 0.0f, 0.4297f, 0.1981f, 0.4297f, 0.4537f)
                curveToRelative(0.0f, 0.2555f, -0.1849f, 0.4534f, -0.4296f, 0.4535f)
                close()
                moveTo(18.0508f, 12.72f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.0236f, 0.2156f)
                curveToRelative(0.0f, 0.1339f, 0.0828f, 0.2157f, 0.201f, 0.2157f)
                curveToRelative(0.0947f, 0.0f, 0.1894f, -0.0216f, 0.2563f, -0.0517f)
                lineToRelative(-0.0906f, 0.4485f)
                curveToRelative(-0.0907f, 0.0216f, -0.1932f, 0.052f, -0.284f, 0.052f)
                curveToRelative(-0.3587f, 0.0f, -0.6111f, -0.1554f, -0.6111f, -0.5825f)
                curveToRelative(0.0f, -0.1725f, 0.0317f, -0.3407f, 0.067f, -0.5175f)
                lineToRelative(0.15f, -0.7506f)
                horizontalLineToRelative(-0.3825f)
                lineToRelative(0.0827f, -0.4228f)
                horizontalLineToRelative(0.3827f)
                lineToRelative(0.0906f, -0.4574f)
                lineToRelative(0.5676f, -0.2026f)
                lineToRelative(-0.13f, 0.66f)
                lineTo(18.8f, 11.3267f)
                lineToRelative(-0.0828f, 0.4226f)
                horizontalLineToRelative(-0.4733f)
                lineToRelative(-0.1931f, 0.9707f)
                close()
                moveTo(16.6472f, 11.3333f)
                curveToRelative(0.216f, 0.0f, 0.4364f, 0.0379f, 0.5528f, 0.0667f)
                lineToRelative(-0.128f, 0.4247f)
                curveToRelative(-0.0635f, -0.033f, -0.2267f, -0.0792f, -0.3941f, -0.0792f)
                curveToRelative(-0.1762f, 0.0f, -0.3967f, 0.0462f, -0.3967f, 0.2186f)
                curveToRelative(0.0f, 0.2734f, 0.767f, 0.3744f, 0.767f, 0.9042f)
                curveToRelative(0.0f, 0.5636f, -0.5157f, 0.7317f, -1.0226f, 0.7317f)
                curveToRelative(-0.2381f, 0.0f, -0.4763f, -0.0336f, -0.6923f, -0.1303f)
                lineToRelative(0.128f, -0.45f)
                curveToRelative(0.1675f, 0.0883f, 0.335f, 0.1682f, 0.5642f, 0.1682f)
                curveToRelative(0.1984f, 0.0f, 0.4056f, -0.0632f, 0.4056f, -0.2396f)
                curveToRelative(0.0f, -0.3491f, -0.767f, -0.383f, -0.767f, -0.9254f)
                curveToRelative(0.0f, -0.5088f, 0.5156f, -0.6896f, 0.9831f, -0.6896f)
                close()
                moveTo(8.2667f, 12.1576f)
                curveToRelative(0.0f, 0.164f, -0.02f, 0.3236f, -0.0516f, 0.4836f)
                lineTo(6.9628f, 12.6412f)
                curveToRelative(0.001f, -0.1027f, 0.0092f, -0.2168f, 0.0565f, -0.387f)
                horizontalLineToRelative(0.7275f)
                arcToRelative(0.9136f, 0.9136f, 0.0f, false, false, 0.012f, -0.1471f)
                curveToRelative(0.0f, -0.2314f, -0.1152f, -0.3616f, -0.3373f, -0.3616f)
                curveToRelative(-0.3134f, 0.0f, -0.4579f, 0.1904f, -0.56f, 0.466f)
                arcToRelative(1.2276f, 1.2276f, 0.0f, false, false, -0.0864f, 0.4297f)
                horizontalLineToRelative(-4.0E-4f)
                lineToRelative(1.0E-4f, 0.0063f)
                lineToRelative(-3.0E-4f, 0.012f)
                curveToRelative(0.0f, 0.0208f, 0.0018f, 0.04f, 0.0027f, 0.0598f)
                horizontalLineToRelative(5.0E-4f)
                curveToRelative(0.0255f, 0.3406f, 0.2243f, 0.4686f, 0.5644f, 0.4686f)
                curveToRelative(0.2182f, 0.0f, 0.4286f, -0.0588f, 0.627f, -0.1558f)
                lineToRelative(-0.0676f, 0.446f)
                curveToRelative(-0.2062f, 0.0672f, -0.4324f, 0.122f, -0.6507f, 0.122f)
                curveToRelative(-0.5873f, 0.0f, -0.9841f, -0.3028f, -0.9841f, -0.9464f)
                curveToRelative(0.0f, -0.6726f, 0.492f, -1.3204f, 1.1626f, -1.3204f)
                curveToRelative(0.504f, 0.0f, 0.8374f, 0.2732f, 0.8374f, 0.8243f)
                close()
            }
        }
        .build()
        return _ticketmaster!!
    }

private var _ticketmaster: ImageVector? = null
