package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Zoho: ImageVector
    get() {
        if (_zoho != null) {
            return _zoho!!
        }
        _zoho = Builder(name = "Zoho", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.838f, 14.351f)
                curveToRelative(-0.203f, -0.244f, -0.306f, -0.579f, -0.306f, -1.009f)
                curveToRelative(0.0f, -0.438f, 0.103f, -0.779f, 0.305f, -1.024f)
                curveToRelative(0.202f, -0.246f, 0.477f, -0.368f, 0.833f, -0.368f)
                curveToRelative(0.353f, 0.0f, 0.625f, 0.122f, 0.828f, 0.368f)
                curveToRelative(0.202f, 0.245f, 0.305f, 0.586f, 0.305f, 1.024f)
                curveToRelative(0.0f, 0.428f, -0.103f, 0.763f, -0.305f, 1.008f)
                curveToRelative(-0.203f, 0.244f, -0.475f, 0.366f, -0.828f, 0.366f)
                curveToRelative(-0.354f, 0.0f, -0.628f, -0.121f, -0.832f, -0.365f)
                close()
                moveTo(18.282f, 10.624f)
                horizontalLineToRelative(4.932f)
                verticalLineToRelative(5.307f)
                horizontalLineToRelative(-4.932f)
                verticalLineToRelative(-1.163f)
                lineToRelative(0.148f, -0.414f)
                arcToRelative(0.17f, 0.17f, 0.0f, false, false, 0.01f, -0.084f)
                lineToRelative(-0.158f, -1.214f)
                verticalLineToRelative(-2.432f)
                close()
                moveTo(18.6f, 13.341f)
                curveToRelative(0.0f, 0.307f, 0.051f, 0.593f, 0.155f, 0.857f)
                curveToRelative(0.104f, 0.265f, 0.257f, 0.503f, 0.46f, 0.713f)
                curveToRelative(0.19f, 0.196f, 0.408f, 0.345f, 0.652f, 0.445f)
                curveToRelative(0.245f, 0.1f, 0.513f, 0.15f, 0.804f, 0.15f)
                curveToRelative(0.28f, 0.0f, 0.544f, -0.05f, 0.788f, -0.15f)
                curveToRelative(0.244f, -0.1f, 0.465f, -0.249f, 0.661f, -0.445f)
                curveToRelative(0.205f, -0.21f, 0.36f, -0.447f, 0.465f, -0.711f)
                curveToRelative(0.105f, -0.264f, 0.157f, -0.55f, 0.157f, -0.859f)
                curveToRelative(0.0f, -0.308f, -0.052f, -0.594f, -0.157f, -0.857f)
                arcToRelative(2.11f, 2.11f, 0.0f, false, false, -0.465f, -0.707f)
                curveToRelative(-0.196f, -0.2f, -0.416f, -0.35f, -0.66f, -0.452f)
                arcToRelative(2.037f, 2.037f, 0.0f, false, false, -0.79f, -0.152f)
                arcToRelative(1.953f, 1.953f, 0.0f, false, false, -1.456f, 0.604f)
                arcToRelative(2.044f, 2.044f, 0.0f, false, false, -0.46f, 0.704f)
                arcToRelative(2.34f, 2.34f, 0.0f, false, false, -0.154f, 0.86f)
                close()
                moveTo(23.57f, 10.513f)
                verticalLineToRelative(5.166f)
                lineToRelative(0.43f, -0.43f)
                verticalLineToRelative(-5.233f)
                lineToRelative(-0.43f, 0.497f)
                close()
                moveTo(19.01f, 9.722f)
                lineToRelative(-0.502f, 0.547f)
                horizontalLineToRelative(4.802f)
                lineToRelative(0.478f, -0.552f)
                lineToRelative(-4.777f, 0.005f)
                close()
                moveTo(17.018f, 10.154f)
                lineToRelative(0.303f, -0.87f)
                lineToRelative(-4.8f, 0.669f)
                lineToRelative(-0.063f, 0.21f)
                lineToRelative(0.15f, 0.593f)
                lineToRelative(4.41f, -0.602f)
                close()
                moveTo(17.332f, 10.334f)
                lineToRelative(0.239f, 1.682f)
                lineToRelative(0.374f, 2.637f)
                lineToRelative(0.136f, -0.38f)
                lineToRelative(-0.576f, -4.436f)
                lineToRelative(-0.173f, 0.497f)
                close()
                moveTo(12.264f, 11.483f)
                lineToRelative(0.097f, 0.043f)
                lineToRelative(-1.935f, 4.391f)
                lineToRelative(-4.28f, -1.93f)
                lineTo(8.08f, 9.596f)
                lineToRelative(4.184f, 1.886f)
                close()
                moveTo(11.341f, 12.587f)
                curveToRelative(0.0f, -0.262f, -0.046f, -0.518f, -0.139f, -0.77f)
                curveToRelative(-0.098f, -0.266f, -0.237f, -0.495f, -0.418f, -0.685f)
                reflectiveCurveToRelative(-0.4f, -0.341f, -0.658f, -0.45f)
                arcToRelative(1.969f, 1.969f, 0.0f, false, false, -0.776f, -0.163f)
                horizontalLineToRelative(-0.012f)
                arcToRelative(1.93f, 1.93f, 0.0f, false, false, -0.784f, 0.176f)
                curveToRelative(-0.27f, 0.117f, -0.505f, 0.282f, -0.704f, 0.493f)
                curveToRelative(-0.2f, 0.21f, -0.362f, 0.464f, -0.488f, 0.76f)
                arcToRelative(2.516f, 2.516f, 0.0f, false, false, -0.207f, 0.976f)
                curveToRelative(0.0f, 0.258f, 0.044f, 0.51f, 0.132f, 0.758f)
                arcToRelative(1.89f, 1.89f, 0.0f, false, false, 1.087f, 1.13f)
                curveToRelative(0.253f, 0.108f, 0.511f, 0.162f, 0.772f, 0.162f)
                horizontalLineToRelative(0.007f)
                curveToRelative(0.263f, -0.002f, 0.524f, -0.058f, 0.782f, -0.169f)
                arcToRelative(2.23f, 2.23f, 0.0f, false, false, 0.711f, -0.499f)
                curveToRelative(0.202f, -0.21f, 0.365f, -0.464f, 0.49f, -0.758f)
                arcToRelative(2.48f, 2.48f, 0.0f, false, false, 0.205f, -0.961f)
                close()
                moveTo(17.334f, 12.877f)
                lineToRelative(0.335f, 2.36f)
                lineToRelative(-4.777f, 0.671f)
                lineToRelative(-0.505f, -3.56f)
                lineToRelative(0.37f, -0.84f)
                curveToRelative(0.002f, -0.002f, 0.0f, -0.005f, 0.0f, -0.007f)
                arcToRelative(0.175f, 0.175f, 0.0f, false, false, 0.01f, -0.108f)
                lineToRelative(-0.072f, -0.29f)
                lineToRelative(4.303f, -0.587f)
                lineToRelative(0.336f, 2.36f)
                close()
                moveTo(16.791f, 14.847f)
                arcToRelative(0.874f, 0.874f, 0.0f, false, false, -0.01f, -0.127f)
                lineToRelative(-0.504f, -3.432f)
                curveToRelative(-0.023f, -0.158f, -0.077f, -0.278f, -0.164f, -0.357f)
                arcToRelative(0.37f, 0.37f, 0.0f, false, false, -0.256f, -0.094f)
                arcToRelative(0.537f, 0.537f, 0.0f, false, false, -0.079f, 0.006f)
                arcToRelative(0.398f, 0.398f, 0.0f, false, false, -0.297f, 0.182f)
                arcToRelative(0.494f, 0.494f, 0.0f, false, false, -0.068f, 0.265f)
                curveToRelative(0.0f, 0.039f, 0.003f, 0.08f, 0.01f, 0.123f)
                lineToRelative(0.187f, 1.32f)
                lineToRelative(-1.475f, 0.217f)
                lineToRelative(-0.187f, -1.32f)
                arcToRelative(0.586f, 0.586f, 0.0f, false, false, -0.162f, -0.353f)
                arcToRelative(0.359f, 0.359f, 0.0f, false, false, -0.253f, -0.1f)
                arcToRelative(0.496f, 0.496f, 0.0f, false, false, -0.071f, 0.006f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, false, -0.309f, 0.18f)
                arcToRelative(0.48f, 0.48f, 0.0f, false, false, -0.069f, 0.266f)
                arcToRelative(0.8f, 0.8f, 0.0f, false, false, 0.01f, 0.126f)
                lineToRelative(0.505f, 3.433f)
                curveToRelative(0.023f, 0.158f, 0.078f, 0.278f, 0.169f, 0.355f)
                curveToRelative(0.07f, 0.061f, 0.16f, 0.092f, 0.26f, 0.091f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, 0.087f, -0.006f)
                arcToRelative(0.375f, 0.375f, 0.0f, false, false, 0.284f, -0.182f)
                arcToRelative(0.504f, 0.504f, 0.0f, false, false, 0.063f, -0.258f)
                arcToRelative(0.851f, 0.851f, 0.0f, false, false, -0.01f, -0.125f)
                lineToRelative(-0.206f, -1.357f)
                lineToRelative(1.475f, -0.216f)
                lineToRelative(0.206f, 1.356f)
                arcToRelative(0.56f, 0.56f, 0.0f, false, false, 0.167f, 0.353f)
                arcToRelative(0.38f, 0.38f, 0.0f, false, false, 0.259f, 0.094f)
                arcToRelative(0.525f, 0.525f, 0.0f, false, false, 0.079f, -0.006f)
                arcToRelative(0.392f, 0.392f, 0.0f, false, false, 0.294f, -0.18f)
                arcToRelative(0.492f, 0.492f, 0.0f, false, false, 0.065f, -0.26f)
                close()
                moveTo(12.333f, 11.123f)
                lineToRelative(-0.277f, -1.103f)
                lineToRelative(-4.262f, -1.95f)
                lineToRelative(0.343f, 1.161f)
                lineToRelative(4.196f, 1.893f)
                close()
                moveTo(7.8f, 9.348f)
                lineToRelative(-0.319f, -1.076f)
                lineToRelative(-1.509f, 3.582f)
                lineToRelative(0.184f, 1.226f)
                lineTo(7.8f, 9.348f)
                close()
                moveTo(9.81f, 11.42f)
                arcToRelative(1.12f, 1.12f, 0.0f, false, false, -0.438f, -0.096f)
                arcToRelative(0.957f, 0.957f, 0.0f, false, false, -0.469f, 0.125f)
                curveToRelative(-0.283f, 0.157f, -0.515f, 0.442f, -0.693f, 0.86f)
                arcToRelative(1.942f, 1.942f, 0.0f, false, false, -0.173f, 0.752f)
                curveToRelative(0.0f, 0.116f, 0.015f, 0.226f, 0.044f, 0.33f)
                curveToRelative(0.087f, 0.312f, 0.288f, 0.532f, 0.61f, 0.67f)
                curveToRelative(0.149f, 0.063f, 0.293f, 0.094f, 0.433f, 0.094f)
                arcToRelative(0.962f, 0.962f, 0.0f, false, false, 0.469f, -0.124f)
                curveToRelative(0.283f, -0.156f, 0.512f, -0.436f, 0.686f, -0.845f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, false, 0.178f, -0.772f)
                curveToRelative(0.0f, -0.113f, -0.014f, -0.221f, -0.042f, -0.323f)
                curveToRelative(-0.085f, -0.313f, -0.284f, -0.534f, -0.604f, -0.67f)
                close()
                moveTo(4.98f, 11.742f)
                lineToRelative(0.518f, 3.41f)
                lineToRelative(-4.739f, 0.742f)
                lineTo(0.0f, 11.245f)
                lineToRelative(3.912f, -0.599f)
                lineToRelative(0.882f, -0.135f)
                lineToRelative(0.187f, 1.231f)
                close()
                moveTo(4.48f, 14.766f)
                arcToRelative(0.485f, 0.485f, 0.0f, false, false, -0.007f, -0.084f)
                arcToRelative(0.365f, 0.365f, 0.0f, false, false, -0.078f, -0.177f)
                arcToRelative(0.357f, 0.357f, 0.0f, false, false, -0.16f, -0.106f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -0.246f, -0.035f)
                curveToRelative(-0.09f, 0.0f, -0.194f, 0.01f, -0.311f, 0.03f)
                lineToRelative(-1.343f, 0.23f)
                curveToRelative(0.014f, -0.104f, 0.065f, -0.24f, 0.156f, -0.406f)
                arcToRelative(5.35f, 5.35f, 0.0f, false, true, 0.448f, -0.668f)
                lineToRelative(0.155f, -0.208f)
                curveToRelative(0.025f, -0.031f, 0.061f, -0.078f, 0.107f, -0.14f)
                curveToRelative(0.308f, -0.403f, 0.498f, -0.731f, 0.57f, -0.989f)
                arcToRelative(2.07f, 2.07f, 0.0f, false, false, 0.08f, -0.562f)
                curveToRelative(0.0f, -0.106f, -0.008f, -0.21f, -0.026f, -0.314f)
                arcToRelative(0.855f, 0.855f, 0.0f, false, false, -0.07f, -0.234f)
                arcToRelative(0.331f, 0.331f, 0.0f, false, false, -0.118f, -0.14f)
                arcToRelative(0.451f, 0.451f, 0.0f, false, false, -0.233f, -0.048f)
                curveToRelative(-0.083f, 0.0f, -0.182f, 0.01f, -0.299f, 0.03f)
                lineToRelative(-1.552f, 0.266f)
                curveToRelative(-0.188f, 0.032f, -0.327f, 0.088f, -0.416f, 0.17f)
                arcToRelative(0.33f, 0.33f, 0.0f, false, false, -0.106f, 0.25f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, 0.007f, 0.08f)
                curveToRelative(0.022f, 0.132f, 0.09f, 0.229f, 0.201f, 0.278f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, false, 0.237f, 0.044f)
                curveToRelative(0.063f, 0.0f, 0.132f, -0.007f, 0.207f, -0.02f)
                lineToRelative(1.3f, -0.219f)
                arcToRelative(0.695f, 0.695f, 0.0f, false, true, -0.038f, 0.307f)
                curveToRelative(-0.04f, 0.108f, -0.136f, 0.261f, -0.29f, 0.457f)
                lineToRelative(-0.2f, 0.249f)
                curveToRelative(-0.35f, 0.424f, -0.6f, 0.786f, -0.753f, 1.087f)
                arcToRelative(2.35f, 2.35f, 0.0f, false, false, -0.223f, 0.613f)
                arcToRelative(1.69f, 1.69f, 0.0f, false, false, -0.036f, 0.337f)
                curveToRelative(0.0f, 0.078f, 0.006f, 0.152f, 0.018f, 0.225f)
                arcToRelative(0.92f, 0.92f, 0.0f, false, false, 0.078f, 0.257f)
                arcToRelative(0.337f, 0.337f, 0.0f, false, false, 0.133f, 0.148f)
                curveToRelative(0.05f, 0.028f, 0.125f, 0.039f, 0.228f, 0.04f)
                curveToRelative(0.13f, 0.0f, 0.305f, -0.02f, 0.526f, -0.058f)
                lineToRelative(1.409f, -0.24f)
                curveToRelative(0.25f, -0.044f, 0.423f, -0.103f, 0.523f, -0.186f)
                arcToRelative(0.327f, 0.327f, 0.0f, false, false, 0.122f, -0.264f)
                close()
                moveTo(5.143f, 10.203f)
                lineToRelative(-0.02f, 0.109f)
                lineToRelative(0.599f, 3.944f)
                lineToRelative(0.14f, -0.73f)
                lineTo(5.27f, 9.55f)
                lineToRelative(-0.125f, 0.654f)
                close()
                moveTo(5.07f, 8.706f)
                lineTo(0.303f, 9.47f)
                lineTo(0.02f, 10.883f)
                lineToRelative(4.772f, -0.73f)
                lineToRelative(0.277f, -1.446f)
                close()
            }
        }
        .build()
        return _zoho!!
    }

private var _zoho: ImageVector? = null
